# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

ANDELLRIAS_LETTER_ID = 1036
MOTHERTREE_FRUIT_ID = 1037
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      htmltext = "30362-04.htm"
      st.giveItems(ANDELLRIAS_LETTER_ID,1)
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30362 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
      if st.getInt(("cond"))<15 :
        if st.getPlayer().getRace().ordinal() != 1 :
          htmltext = "30362-00.htm"
        elif st.getPlayer().getLevel() >= 3 :
          htmltext = "30362-03.htm"
          return htmltext
        else:
          htmltext = "30362-02.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30362-02.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30362 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30362 and st.getInt(("cond")) :
      if st.getQuestItemsCount(ANDELLRIAS_LETTER_ID) == 1 and st.getQuestItemsCount(MOTHERTREE_FRUIT_ID) == 0 :
        htmltext = "30362-05.htm"
      elif st.getQuestItemsCount(MOTHERTREE_FRUIT_ID) == 1 and st.getInt(("onlyone")) == 0 :
          htmltext = "30362-06.htm"
          st.giveItems(ADENA_ID,500)
          st.addExpAndSp(1000,0)
          st.takeItems(MOTHERTREE_FRUIT_ID,1)
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.set("onlyone","1")
   elif npcId == 30371 and st.getInt(("cond"))==1 :
      if st.getQuestItemsCount(ANDELLRIAS_LETTER_ID) == 1 :
        if st.getInt("id") != 161 :
          st.set("id","161")
          htmltext = "30371-01.htm"
          st.giveItems(MOTHERTREE_FRUIT_ID,1)
          st.takeItems(ANDELLRIAS_LETTER_ID,1)
      elif st.getQuestItemsCount(MOTHERTREE_FRUIT_ID) == 1 :
        htmltext = "30371-02.htm"
   return htmltext

QUEST       = Quest(161,"161_FruitsOfMothertree","Fruits Of Mothertree")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30362)

QUEST.addTalkId(30362)

QUEST.addTalkId(30362)
QUEST.addTalkId(30371)


STARTED.addQuestDrop(30371,MOTHERTREE_FRUIT_ID,1)
STARTED.addQuestDrop(30362,ANDELLRIAS_LETTER_ID,1)

print "importing quests: 161: Fruits Of Mothertree"
