# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

#item definition
RECOMMENDATION_OF_BALANKI = 2864
RECOMMENDATION_OF_FILAUR = 2865
RECOMMENDATION_OF_ARIN = 2866
MARK_OF_MAESTRO = 2867
LETTER_OF_SOLDER_DETACHMENT = 2868
PAINT_OF_KAMURU = 2869
NECKLACE_OF_KAMURU = 2870
PAINT_OF_TELEPORT_DEVICE = 2871
TELEPORT_DEVICE = 2872
ARCHITECTURE_OF_KRUMA = 2873
REPORT_OF_KRUMA = 2874
INGREDIENTS_OF_ANTIDOTE = 2875
WEIRD_BEES_NEEDLE = 2876
MARSH_SPIDERS_WEB = 2877
BLOOD_OF_LEECH = 2878
BROKEN_TELEPORT_DEVICE = 2916
DIMENSION_DIAMOND = 7562

#This Handels all Mob Drop Data.  npcId:[condition,maxcount,item]
DROPLIST = {
20225:[13,10,BLOOD_OF_LEECH],
20229:[13,10,WEIRD_BEES_NEEDLE],
20233:[13,10,MARSH_SPIDERS_WEB],
27133:[4,1,NECKLACE_OF_KAMURU]
}

#if you have all three recommendation it sets a end cond
def recommendationCount(st):
  count = 0
  for device in [RECOMMENDATION_OF_ARIN,RECOMMENDATION_OF_FILAUR,RECOMMENDATION_OF_BALANKI]:
    count += st.getQuestItemsCount(device)
  if count == 3 :
    st.set("cond","17")

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
       htmltext = "30531-04.htm"
#       if st.getStateId() != "Aborted" :
#          st.giveItems(DIMENSION_DIAMOND,23)
       st.setState(STARTED)
       st.playSound("ItemSound.quest_accept")
       st.set("cond","1")
    elif event == "30533_1" :
       htmltext = "30533-02.htm"
       st.set("cond","2")
    elif event == "30671_1" :
       htmltext = "30671-02.htm"
       st.giveItems(PAINT_OF_KAMURU,1)
       st.set("cond","3")
    elif event == "30556_1" :
       htmltext = "30556-02.htm"
    elif event == "30556_2" :
       htmltext = "30556-03.htm"
    elif event == "30556_3" :
       htmltext = "30556-05.htm"
       st.takeItems(PAINT_OF_TELEPORT_DEVICE,1)
       st.getPlayer().teleToLocation(140352,-194133,-2028);
       st.giveItems(BROKEN_TELEPORT_DEVICE,1)
       st.set("cond","9")
    elif event == "30556_4" :
       htmltext = "30556-04.htm"
    elif event == "30673_1" :
       htmltext = "30673-04.htm"
       st.giveItems(REPORT_OF_KRUMA,1)
       st.takeItems(WEIRD_BEES_NEEDLE,-1)
       st.takeItems(MARSH_SPIDERS_WEB,-1)
       st.takeItems(BLOOD_OF_LEECH,-1)
       st.takeItems(INGREDIENTS_OF_ANTIDOTE,-1)
       st.set("cond","15")
    return htmltext

 def onTalk (self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 30531 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getClassId().getId() == 0x38 and st.getPlayer().getLevel() > 38 :
               htmltext = "30531-03.htm"
            elif st.getPlayer().getClassId().getId() == 0x38 :
               htmltext = "30531-01.htm"
               st.exitCurrentQuest(True)
            else:
               htmltext = "30531-02.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><head><body>This quest has already been completed.</body></html>"
      elif cond > 0 and cond < 17 :
         htmltext = "30531-05.htm"
      elif cond == 17 :
        st.addExpAndSp(154499,37500)
        htmltext = "30531-06.htm"
        st.giveItems(MARK_OF_MAESTRO,1)
        st.takeItems(RECOMMENDATION_OF_BALANKI,1)
        st.takeItems(RECOMMENDATION_OF_FILAUR,1)
        st.takeItems(RECOMMENDATION_OF_ARIN,1)
        st.set("cond","0")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
   elif npcId == 30533 :
      if (cond == 1 or cond == 11 or cond == 16) and st.getQuestItemsCount(RECOMMENDATION_OF_BALANKI) == 0:
         htmltext = "30533-01.htm"
      elif cond == 2 :
         htmltext = "30533-03.htm"
      elif cond == 6 :
         htmltext = "30533-04.htm"
         st.giveItems(RECOMMENDATION_OF_BALANKI,1)
         st.takeItems(LETTER_OF_SOLDER_DETACHMENT,1)
         st.set("cond","7")
         recommendationCount(st)
      elif cond == 7 or cond == 17 :
         htmltext = "30533-05.htm"
   elif npcId == 30671 :
      if cond == 2 :
         htmltext = "30671-01.htm"
      elif cond == 3 :
         htmltext = "30671-03.htm"
      elif cond == 5 :
         htmltext = "30671-04.htm"
         st.giveItems(LETTER_OF_SOLDER_DETACHMENT,1)
         st.takeItems(NECKLACE_OF_KAMURU,1)
         st.takeItems(PAINT_OF_KAMURU,1)
         st.set("cond","6")
      elif cond == 6 :
         htmltext = "30671-05.htm"
   elif npcId == 30672 and cond == 3 :
     htmltext = "30672-01.htm"
   elif npcId == 30675 and cond == 3 :
     st.set("cond","4")
     htmltext="30675-01.htm"
   elif npcId == 30536 :
      if (cond == 1 or cond == 7 or cond == 16) and st.getQuestItemsCount(RECOMMENDATION_OF_ARIN) == 0:
         htmltext = "30536-01.htm"
         st.giveItems(PAINT_OF_TELEPORT_DEVICE,1)
         st.set("cond","8")
      elif cond == 8 :
         htmltext = "30536-02.htm"
      elif cond == 10 :
         htmltext = "30536-03.htm"
         st.giveItems(RECOMMENDATION_OF_ARIN,1)
         st.takeItems(TELEPORT_DEVICE,5)
         st.set("cond","11")
         recommendationCount(st)
      elif cond == 11 or cond == 17 :
         htmltext = "30536-04.htm"
   elif npcId == 30556 :
      if cond == 8 :
         htmltext = "30556-01.htm"
      elif cond == 9 :
         htmltext = "30556-06.htm"
         st.giveItems(TELEPORT_DEVICE,5)
         st.takeItems(BROKEN_TELEPORT_DEVICE,1)
         st.set("cond","10")
      elif cond == 10 :
         htmltext = "30556-07.htm"
   elif npcId == 30535 :  
      if (cond == 1 or cond == 7 or cond == 11) and st.getQuestItemsCount(RECOMMENDATION_OF_FILAUR) == 0 :
         htmltext = "30535-01.htm"
         st.giveItems(ARCHITECTURE_OF_KRUMA,1)
         st.set("cond","12")
      elif cond == 12 :
         htmltext = "30535-02.htm"
      elif cond == 15 :
         htmltext = "30535-03.htm"
         st.giveItems(RECOMMENDATION_OF_FILAUR,1)
         st.takeItems(REPORT_OF_KRUMA,1)
         st.set("cond","16")
         recommendationCount(st)
      elif cond > 15 :
         htmltext = "30535-04.htm"
   elif npcId == 30673 :
      if cond == 12 :
         htmltext = "30673-01.htm"
         st.giveItems(INGREDIENTS_OF_ANTIDOTE,1)
         st.takeItems(ARCHITECTURE_OF_KRUMA,1)
         st.set("cond","13")
      elif cond == 14 :
         htmltext = "30673-03.htm"
      elif cond == 15 :
         htmltext = "30673-05.htm"
      elif cond == 13 :
         htmltext = "30673-02.htm"
   elif npcId == 30532 and cond == 1 :
      htmltext = "30532-01.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   condition,maxcount,item=DROPLIST[npcId]
   count = st.getQuestItemsCount(item)
   if st.getInt("cond") == condition and count < maxcount :
      st.giveItems(item,1)
      if count == maxcount-1 :
         st.playSound("Itemsound.quest_middle")
         if npcId == 27133 or (st.getQuestItemsCount(WEIRD_BEES_NEEDLE)+st.getQuestItemsCount(MARSH_SPIDERS_WEB)+st.getQuestItemsCount(BLOOD_OF_LEECH)>29) :
            st.set("cond",str(st.getInt("cond")+1))
      else :
         st.playSound("Itemsound.quest_itemget")
   return

QUEST       = Quest(231,"231_TestOfMaestro","Test Of Maestro")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30531)

QUEST.addTalkId(30531)
QUEST.addTalkId(30531)
QUEST.addTalkId(30531)

for npcId in [30531,30532,30533,30535,30536,30556,30671,30672,30673,30675]:
  QUEST.addTalkId(npcId)

for mobId in [20225,20229,20233,27133]:
  QUEST.addKillId(mobId)

for item in range(2864,2867)+range(2868,2879)+[2916]:
  STARTED.addQuestDrop(30531,item,1)

print "importing quests: 231: Test Of Maestro"