import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

WOLF_PELT = 702

Cotton_Shirt = 390
Leather_Pants = 29
Leather_Shirt = 22
Short_Leather_Gloves = 1119
Tunic = 426

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30001-03.htm" :
       st.set("cond","1")
       st.setState(STARTED)
       st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):

   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if cond==0 :
      if st.getPlayer().getLevel() >= 3 :
          htmltext = "30001-02.htm"
          return htmltext
      else:
          htmltext = "30001-01.htm"
          st.exitCurrentQuest(True)
   elif cond==1 and (st.getQuestItemsCount(WOLF_PELT)>=0) and (st.getQuestItemsCount(WOLF_PELT)<40) :
      htmltext = "30001-05.htm"
   elif cond==2 and (st.getQuestItemsCount(WOLF_PELT)>=40) :
          st.takeItems(WOLF_PELT,40)
          n = st.getRandom(16)
          if n == 0 :
            st.giveItems(Cotton_Shirt,1)
            st.playSound("ItemSound.quest_jackpot")
          elif n < 6 :
            st.giveItems(Leather_Pants,1)
          elif n < 9 :
            st.giveItems(Leather_Shirt,1)
          elif n < 13 :
            st.giveItems(Short_Leather_Gloves,1)
          else:
            st.giveItems(Tunic,1)
          htmltext = "30001-06.htm"
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.exitCurrentQuest(True)
   return htmltext

 def onKill (self,npc,st):

   if st.getQuestItemsCount(WOLF_PELT)<40 and st.getInt("cond")==1 :
     st.giveItems(WOLF_PELT,1)
     if st.getQuestItemsCount(WOLF_PELT) == 40 :
       st.playSound("ItemSound.quest_middle")
       st.set("cond","2")
     else:
       st.playSound("ItemSound.quest_itemget")

   return


QUEST       = Quest(258,"258_BringWolfPelts","Bring Wolf Pelts")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30001)
QUEST.addTalkId(30001)
QUEST.addTalkId(30001)
QUEST.addTalkId(30001)
QUEST.addKillId(20120)
QUEST.addKillId(20442)
STARTED.addQuestDrop(20120,WOLF_PELT,1)
STARTED.addQuestDrop(20442,WOLF_PELT,1)
print "importing quests: 258: Bring Wolf Pelts"