# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

GRAVE_ROBBERS_HEAD_ID = 1474
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30572-03.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30572 and st.getInt(("cond"))==0 :
      if st.getInt(("cond")) < 15 :
        if st.getPlayer().getRace().ordinal() != 3 :
          htmltext = "30572-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() < 5 :
          htmltext = "30572-01.htm"
          st.exitCurrentQuest(True)
        else:
          htmltext = "30572-02.htm"
          return htmltext
      else:
        htmltext = "30572-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30572 and st.getInt(("cond")) :
      if st.getQuestItemsCount(GRAVE_ROBBERS_HEAD_ID) < 50 :
        htmltext = "30572-04.htm"
      else:
        if st.getInt("id") != 272 :
          st.set("id","272")
          htmltext = "30572-05.htm"
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.giveItems(ADENA_ID,1500)
          st.takeItems(GRAVE_ROBBERS_HEAD_ID,st.getQuestItemsCount(GRAVE_ROBBERS_HEAD_ID))
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId in [20319,20320] :
      st.set("id","0")
      if st.getInt(("cond")) and st.getQuestItemsCount(GRAVE_ROBBERS_HEAD_ID) < 50 :
        if st.getQuestItemsCount(GRAVE_ROBBERS_HEAD_ID) < 49 :
          st.playSound("ItemSound.quest_itemget")
        else:
          st.playSound("ItemSound.quest_middle")
        st.giveItems(GRAVE_ROBBERS_HEAD_ID,1)
   return

QUEST       = Quest(272,"272_WrathOfAncestors","Wrath Of Ancestors")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30572)

QUEST.addTalkId(30572)

QUEST.addTalkId(30572)

QUEST.addKillId(20319)
QUEST.addKillId(20320)

STARTED.addQuestDrop(20319,GRAVE_ROBBERS_HEAD_ID,1)
STARTED.addQuestDrop(20320,GRAVE_ROBBERS_HEAD_ID,1)

print "importing quests: 272: Wrath Of Ancestors"
