# Made by ValianT
# Edit (http://balancer.ru/forum/punbb/viewtopic.php?id=52429) by ValianT. Update 26/02/07.
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
# NPC List
Lanosco=31570
Shaling=31434
# ~~~
# Item List
BigBlueTreasureChest=6500
StrangeGolemBlueprint=7625
BlackPearlRing=880
#~~~
class Quest (JQuest) :
    def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
    def onEvent (self,event,st) :
        htmltext=event
        if event=="31570-04.htm" :
            st.set("cond","1")
            st.playSound("ItemSound.quest_accept")
        elif event=="31570-07.htm" :
            if st.getQuestItemsCount(BigBlueTreasureChest) :
                st.takeItems(BigBlueTreasureChest,1)
                st.giveItems(StrangeGolemBlueprint,1)
                st.set("cond","2")
                st.playSound("ItemSound.quest_middle")
            else :
                htmltext="31570-08.htm"
        elif event=="31434-02.htm" :
            if st.getQuestItemsCount(StrangeGolemBlueprint)==1 :
                st.takeItems(StrangeGolemBlueprint,-1)
                st.giveItems(BlackPearlRing,1)
                st.set("cond","0")
                st.setState(COMPLETED)
                st.playSound("ItemSound.quest_finish")
            else :
                htmltext="31434-03.htm"
                st.exitCurrentQuest(True)
        return htmltext

    def onTalk (Self,npc,st):
        npcId=npc.getNpcId()
        htmltext="<html><head><body>I have nothing to say you</body></html>"
        id=st.getState()
        if id==CREATED :
            st.setState(STARTED)
            st.set("cond","0")

        cond=st.getInt("cond")
        id=st.getState()
        if npcId==Lanosco :
            if cond==0 and id==STARTED :
                PlayerLevel=st.getPlayer().getLevel()
                if PlayerLevel<27 :
                    LanoscosSpecialBait=st.getPlayer().getQuestState("50_LanoscosSpecialBait")
                    if not LanoscosSpecialBait is None :
                        if LanoscosSpecialBait.st.getState()==COMPLETED :
                            htmltext="31570-01.htm"
                        else :
                            htmltext="31570-02.htm"
                            st.exitCurrentQuest(True)
                    else :
                        htmltext="31570-03.htm"
                        st.exitCurrentQuest(True)
                else :
                    htmltext="31570-01.htm"
            elif cond==0 and id==COMPLETED :
                htmltext="<html><head><body>This quest have already been completed.</body></html>"
            elif cond==1 :
                htmltext="31570-05.htm"
                if st.getQuestItemsCount(BigBlueTreasureChest)==0 :
                    htmltext="31570-06.htm"
            elif cond==2 :
                htmltext="31570-09.htm"
        elif npcId==Shaling :
            if cond==2 :
                htmltext="31434-01.htm"
        return htmltext

QUEST      = Quest(27,"27_ChestCaughtWithABaitOfWind","Chest caught with a bait of wind")
CREATED    = State('Start', QUEST)
STARTED    = State('Started', QUEST)
COMPLETED  = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(Lanosco)

QUEST.addTalkId(Lanosco)
QUEST.addTalkId(Lanosco)
QUEST.addTalkId(Shaling)
QUEST.addTalkId(Lanosco)

print "importing quests: 27: Chest caught with a bait of wind"
