# Made by ValianT
# Edit (http://balancer.ru/forum/punbb/viewtopic.php?id=52429) by ValianT. Update 26/02/07.
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
# NPC List
OFulle=31572
Kiki=31442
# ~~~
# Item List
BigYellowTreasureChest=6503
KikisLetter=7626
ElvenRing=881
# ~~~
class Quest (JQuest) :
    def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
    def onEvent (self,event,st) :
        htmltext=event
        if event=="31572-04.htm" :
            st.set("cond","1")
            st.playSound("ItemSound.quest_accept")
        elif event=="31572-07.htm" :
            if st.getQuestItemsCount(BigYellowTreasureChest) :
                st.set("cond","2")
                st.takeItems(BigYellowTreasureChest,1)
                st.giveItems(KikisLetter,1)
                st.playSound("ItemSound.quest_middle")
            else :
                htmltext="31572-08.htm"
        elif event=="31442-02.htm" :
            if st.getQuestItemsCount(KikisLetter)==1 :
                htmltext="31442-02.htm"
                st.takeItems(KikisLetter,-1)
                st.giveItems(ElvenRing,1)
                st.set("cond","0")
                st.setState(COMPLETED)
                st.playSound("ItemSound.quest_finish")
            else :
                htmltext="31442-03.htm"
                st.exitCurrentQuest(True)
        return htmltext

    def onTalk (Self,npc,st):
        npcId=npc.getNpcId()
        htmltext="<html><head><body>I have nothing to say you</body></html>"
        id=st.getState()
        if id==CREATED :
            st.setState(STARTED)
            st.set("cond","0")

        cond=st.getInt("cond")
        id=st.getState()
        if npcId==OFulle :
            if cond==0 and id==STARTED:
                PlayerLevel=st.getPlayer().getLevel()
                if PlayerLevel<36 :
                    OFullesSpecialBait=st.getPlayer().getQuestState("51_OFullesSpecialBait")
                    if not OFullesSpecialBait is None :
                        if OFullesSpecialBait.getState()==COMPLETED :
                            htmltext="31572-01.htm"
                        else :
                            htmltext="31572-02.htm"
                            st.exitCurrentQuest(True)
                    else :
                        htmltext="31572-03.htm"
                        st.exitCurrentQuest(True)
                else :
                    htmltext="31572-01.htm"
            elif cond==1 :
                htmltext="31572-05.htm"
                if st.getQuestItemsCount(BigYellowTreasureChest)==0 :
                    htmltext="31572-06.htm"
            elif cond==2 :
                htmltext="31572-09.htm"
            elif cond==0 and id==COMPLETED :
                htmltext="<html><head><body>This quest have already been completed.</body></html>"
        elif npcId==Kiki :
            if cond==2 :
                htmltext="31442-01.htm"
        return htmltext

QUEST      = Quest(28,"28_ChestCaughtWithABaitOfIcyAir","Chest caught with a bait of icy air")
CREATED    = State('Start', QUEST)
STARTED    = State('Started', QUEST)
COMPLETED  = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(OFulle)

QUEST.addTalkId(OFulle)
QUEST.addTalkId(OFulle)
QUEST.addTalkId(Kiki)
QUEST.addTalkId(OFulle)

print "importing quests: 28: Chest caught with a bait of icy air"
