import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

STARSTONE = 1573
GATEKEEPER_TOKEN = 1659

class Quest (JQuest) :

 def __init__(self,id,name,descr,party): JQuest.__init__(self,id,name,descr,party)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30540-03.htm" :
       st.set("cond","1")
       st.setState(STARTED)
       st.playSound("ItemSound.quest_accept")

    return htmltext

 def onTalk (Self,npc,st):

   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   if id == CREATED :
      st.set("cond","0")
   cond = st.getInt("cond") 
   if cond == 0 :
      if st.getPlayer().getLevel() >= 15 :
         htmltext = "30540-02.htm"
      else :
         htmltext = "30540-01.htm"
   elif cond == 1 or st.getQuestItemsCount(STARSTONE) < 20 :
      htmltext = "30540-04.htm"
   elif cond == 2 and st.getQuestItemsCount(STARSTONE) >= 20 :
      htmltext = "30540-05.htm"
      st.takeItems(STARSTONE,-1)
      st.giveItems(GATEKEEPER_TOKEN,2)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):

   if st.getInt("cond") == 1 and st.getQuestItemsCount(STARSTONE) < 20 and st.getRandom(2) == 0 :
      st.giveItems(STARSTONE,1)
      if st.getQuestItemsCount(STARSTONE) == 20 :
         st.playSound("ItemSound.quest_middle")
         st.set("cond","2")
      else:
         st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(297,"297_GatekeepersFavor","Gatekeepers Favor",True)
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30540)

QUEST.addTalkId(30540)
QUEST.addTalkId(30540)
QUEST.addTalkId(30540)

QUEST.addKillId(20521)

STARTED.addQuestDrop(20521,STARSTONE,1)
STARTED.addQuestDrop(30540,GATEKEEPER_TOKEN,1)

print "importing quests: 297: Gatekeepers Favor"