# Made by ValianT
# Edit (http://balancer.ru/forum/punbb/viewtopic.php?id=52429) by ValianT. Update 26/02/07.
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
# NPC List
Linnaeus=31577
Rukal=30629
# ~~~
# Item List
RedTreasureChest=6511
RukalsMusicalScore=7628
NecklaceOfProtection=916
# ~~~
class Quest (JQuest) :
    def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
    def onEvent (self,event,st) :
        htmltext=event
        if event=="31577-04.htm" :
            st.set("cond","1")
            st.playSound("ItemSound.quest_accept")
        elif event=="31577-07.htm" :
            if st.getQuestItemsCount(RedTreasureChest) :
                st.takeItems(RedTreasureChest,1)
                st.giveItems(RukalsMusicalScore,1)
                st.set("cond","2")
                st.playSound("ItemSound.quest_middle")
            else :
                htmltext="31577-08.htm"
        elif event=="30629-02.htm" :
            if st.getQuestItemsCount(RukalsMusicalScore)==1 :
                st.takeItems(RukalsMusicalScore,-1)
                st.giveItems(NecklaceOfProtection,1)
                st.setState(COMPLETED)
                st.set("cond","0")
                st.playSound("ItemSound.quest_finish")
            else :
                htmltext="30629-03.htm"
                st.exitCurrentQuest(True)
        return htmltext

    def onTalk (Self,npc,st):
        npcId=npc.getNpcId()
        htmltext="<html><head><body>I have nothing to say you</body></html>"
        id=st.getState()
        if id==CREATED :
            st.setState(STARTED)
            st.set("cond","0")
        id=st.getState()
        cond=st.getInt("cond")
        if npcId==Linnaeus :
            if cond==0 and id==STARTED :
                PLevel=st.getPlayer().getLevel()
                if PLevel<60 :
                    LinnaeusSpecialBait=st.getPlayer().getQuestState("53_LinnaeusSpecialBait")
                    if not LinnaeusSpecialBait is None :
                        if LinnaeusSpecialBait.getState()==COMPLETED :
                            htmltext="31577-01.htm"
                        else :
                            htmltext="31577-02.htm"
                            st.exitCurrentQuest(True)
                    else :
                        htmltext="31577-03.htm"
                        st.exitCurrentQuest(True)
                else :
                    htmltext="31577-01.htm"
            elif cond==0 and id==COMPLETED :
                htmltext="<html><head><body>This quest have already been completed.</body></html>"
            elif cond==1 :
                htmltext="31577-05.htm"
                if st.getQuestItemsCount(RedTreasureChest)==0 :
                    htmltext="31577-06.htm"
            elif cond==2 :
                htmltext="31577-09.htm"
        elif npcId==Rukal :
            if cond==2 :
                htmltext="30629-01.htm"
        return htmltext

QUEST      = Quest(30,"30_ChestCaughtWithABaitOfFire","Chest caught with a bait of fire")
CREATED    = State('Start', QUEST)
STARTED    = State('Started', QUEST)
COMPLETED  = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(Linnaeus)

QUEST.addTalkId(Linnaeus)
QUEST.addTalkId(Linnaeus)
QUEST.addTalkId(Rukal)
QUEST.addTalkId(Linnaeus)

print "importing quests: 30: Chest caught with a bait of fire"
