# Made by disKret
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

#CUSTOM VALUES
DROPRATE=50
REWARD1=900  #This is paid per item
REWARD2=10000  #Extra reward, if > 100

#NPC
SILVA = 30686

#ITEMS
JADE_CRYSTAL = 5867

class Quest (JQuest) :

 def __init__(self,id,name,descr,party): JQuest.__init__(self,id,name,descr,party)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "30686-2.htm" :
     st.set("cond","1")
     st.setState(STARTED)
     st.playSound("ItemSound.quest_accept")
   elif event == "30686-7.htm" :
     count = st.getQuestItemsCount(JADE_CRYSTAL)
     if count:
       reward = count * REWARD1
       if count >= 100 :
         reward = reward + REWARD2
       st.takeItems(JADE_CRYSTAL,-1)
       st.giveItems(57,reward)
     else:
       htmltext="30686-4.htm"
   if event == "30686-8.htm" :
     st.playSound("ItemSound.quest_finish")
     st.exitCurrentQuest(True)
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond=st.getInt("cond")
   jade = st.getQuestItemsCount(JADE_CRYSTAL)
   if cond == 0 or id == CREATED:
     if st.getPlayer().getLevel() >= 47 :
       htmltext = "30686-0.htm"
     else:
       htmltext = "30686-0a.htm"
       st.exitCurrentQuest(True)
   elif not jade :
       htmltext = "30686-4.htm"
   elif jade :
       htmltext = "30686-6.htm"
   return htmltext

 def onKill (self,npc,st):
   chance = st.getRandom(100) 
   if chance < DROPRATE :
     st.giveItems(JADE_CRYSTAL,1)
     st.playSound("ItemSound.quest_itemget")    
   return

QUEST       = Quest(357,"357_WarehouseKeepersAmbition","Warehouse Keepers Ambition",True)
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(SILVA)
QUEST.addTalkId(SILVA)
QUEST.addTalkId(SILVA)

for MOBS in range(20594,20598) :
  QUEST.addKillId(MOBS)
  STARTED.addQuestDrop(MOBS,JADE_CRYSTAL,1)

print "importing quests: 357: Warehouse Keepers Ambition"
