import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

EGG = 7206
FEE_FOR_EGGS = 7196

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31521-02.htm" :
       st.set("cond","1")
       st.setState(STARTED)
       st.giveItems(EGG,5)
       st.playSound("ItemSound.quest_accept")

    if event == "31547-02.htm" :
       st.set("cond","6")
       st.takeItems(EGG,1)
       st.giveItems(FEE_FOR_EGGS ,1)
       st.playSound("ItemSound.quest_middle")

    if event == "31546-02.htm" :
       st.set("cond","5")
       st.takeItems(EGG,1)
       st.giveItems(FEE_FOR_EGGS ,1)
       st.playSound("ItemSound.quest_middle")

    if event == "31545-02.htm" :
       st.set("cond","4")
       st.takeItems(EGG,1)
       st.giveItems(FEE_FOR_EGGS ,1)
       st.playSound("ItemSound.quest_middle")

    if event == "31544-02.htm" :
       st.set("cond","3")
       st.takeItems(EGG,1)
       st.giveItems(FEE_FOR_EGGS ,1)
       st.playSound("ItemSound.quest_middle")

    if event == "31543-02.htm" :
       st.set("cond","2")
       st.takeItems(EGG,1)
       st.giveItems(FEE_FOR_EGGS ,1)
       st.playSound("ItemSound.quest_middle")

    if event == "31521-04.htm" :
       st.takeItems(FEE_FOR_EGGS ,-1)
       st.giveItems(57,18800)
       st.giveItems(734,1)
       st.set("cond","0")
       st.setState(COMPLETED)
       st.playSound("ItemSound.quest_finish")
       st.exitCurrentQuest(True)

    return htmltext

 def onTalk (Self,npc,st) :

   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
      st.setState(STARTING)
      st.set("cond","0")
      st.set("id","0")
   cond = st.getInt(("cond"))
   if npcId == 31521 :
      if st.getPlayer().getLevel() < 68 :
         htmltext = "31521-00.htm"
         st.exitCurrentQuest(True)
      elif st.getPlayer().getLevel() >= 68 and st.getState() == STARTING :
         htmltext = "31521-01.htm"
      elif st.getPlayer().getLevel() >= 68 and cond >= 1 and st.getQuestItemsCount(FEE_FOR_EGGS ) < 5 :
         htmltext = "31521-02.htm"
      elif st.getPlayer().getLevel() >= 68 and cond == 6 and st.getQuestItemsCount(FEE_FOR_EGGS ) == 5 :
         htmltext = "31521-03.htm"

   elif npcId == 31543 :
      if cond == 1 :
         htmltext = "31543-01.htm"

   elif npcId == 31544 :
      if cond == 2 :
         htmltext = "31544-01.htm"

   elif npcId == 31545 :
      if cond == 3 :
         htmltext = "31545-01.htm"

   elif npcId == 31546 :
      if cond == 4 :
         htmltext = "31546-01.htm"

   elif npcId == 31547 :
      if cond == 5 :
         htmltext = "31547-01.htm"

   return htmltext

QUEST       = Quest(621,"621_EggDelivery","Egg Delivery")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
STARTING    = State('Starting', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31521)

QUEST.addTalkId(31521)
QUEST.addTalkId(31521)
QUEST.addTalkId(31521)
QUEST.addTalkId(31521)

for i in range(31543,31548) :
  QUEST.addTalkId(i)

STARTED.addQuestDrop(31521,EGG,1)
STARTED.addQuestDrop(31547,FEE_FOR_EGGS ,1)
STARTED.addQuestDrop(31546,FEE_FOR_EGGS ,1)
STARTED.addQuestDrop(31545,FEE_FOR_EGGS ,1)
STARTED.addQuestDrop(31544,FEE_FOR_EGGS ,1)
STARTED.addQuestDrop(31543,FEE_FOR_EGGS ,1)
STARTED.addQuestDrop(31521,57,1)
STARTED.addQuestDrop(31521,6335,1)
STARTED.addQuestDrop(31521,6337,1)
STARTED.addQuestDrop(31521,6339,1)
STARTED.addQuestDrop(31521,734,1)

print "importing quests: 621: Egg Delivery"