# Made by Kerb
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
from L2jFT.game.model.instances import L2NpcInstance
from L2jFT.game.tables import SpawnTable

#Npc
TANTAN = 32012
SARA = 30180

#Items
CSS = 1464

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "32012-02.htm" :
      if st.getQuestItemsCount(CSS) > 99 :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        st.takeItems(CSS,100)
        htmltext = "32012-03.htm"
    elif event == "32012-02a.htm" :
        st.exitCurrentQuest(True)
        st.playSound("ItemSound.quest_giveup")
    return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>You are either not carrying out your quest or don't meet the criteria.</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == TANTAN :
       if st.getPlayer().getLevel() >= 46 :
           htmltext = "32012-01.htm"
       else:
           htmltext = "32012-00.htm"
           st.exitCurrentQuest(True)
   elif npcId == SARA and st.getInt("cond")==1 :
       htmltext = "30180-01.htm"
       EAD_CHANCE = st.getRandom(100)
       st.giveItems(57,5026)
       if EAD_CHANCE <= 50:
          st.giveItems(956,1)
       st.playSound("ItemSound.quest_finish")
       st.exitCurrentQuest(True)
   return htmltext

QUEST       = Quest(652,"652_AnAgedExAdventurer","AnAgedExAdventurer")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(TANTAN)

QUEST.addTalkId(TANTAN)
QUEST.addTalkId(SARA)

print "importing quests: 652: AnAgedExAdventurer"