#
# Created by DraX on 2005.08.12
# minor fixes by DrLecter 2005.09.10
# add new function by ValianT 2007.02.05
import sys

from L2jFT.game.model.quest        import State  
from L2jFT.game.model.quest        import QuestState  
from L2jFT.game.model.quest import QuestJython as JQuest  



NPC=[30026,30031,30037,30066,30070,30109,30115,30120,30154,30174,30175,30176,30187,30191,30195,30288,30289,30290,30297,30358,30373,30462,30474,30498,30499,30500,30503,30504,30505,30508,30511,30512,30513,30520,30525,30565,30594,30595,30676,30677,30681,30685,30687,30689,30694,30699,30704,30845,30847,30849,30854,30857,30862,30865,30894,30897,30900,30905,30910,30913,31269,31272,31276,31279,31285,31288,31314,31317,31321,31324,31326,31328,31331,31334,31755,31958,31961,31965,31968,31974,31977,31996,32092,32093,32094,32095,32096,32097,32098]

class Quest (JQuest) :

        def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

        def onEvent (self,event,st):
                htmltext     = event
                Level        = st.getPlayer().getLevel()
                ClanLeader   = st.player.isClanLeader()
                PlayerInClan = st.player.getClanId()

                if event == "9000-02.htm" :
                        # Player less 10 levels, and can not create clan
                        if Level <= 9:
                                htmltext = "9000-06.htm"
                        # Player already is a clan by leader and can not newly create clan
                        elif ClanLeader == 1:
                                htmltext = "9000-07.htm"
                        # Player already consists in clan and can not create clan
                        elif PlayerInClan != 0:
                                htmltext = "9000-09.htm"
                elif event == "9000-04.htm" :
                        if ClanLeader :
                                st.exitCurrentQuest(True)
                                return htmltext
                        else :
                                # Player already consists in clan and can not create clan
                                if PlayerInClan :
                                        htmltext = "9000-08.htm"
                                # Player not in clan and can not dismiss clan
                                else:
                                        htmltext = "9000-11.htm"
                elif event == "9000-17.htm" :
                        if ClanLeader :
                                return htmltext
                        else :
                                # Player not clan leader and can not fix clan a lesdership
                                if PlayerInClan :
                                        htmtlext = "9000-18.htm"
                                # Player does not consist in clan and can not change clan of the leader
                                else :
                                        htmltext = "9000-19.htm"
                elif event in ["9000-01.htm","9000-03.htm","9000-05.htm","9000-12.htm","9000-13.htm","9000-14.htm","9000-15.htm","9000-16.htm","9000-20.htm"] :
                        return htmltext
                else:
                        htmltext = "9000-02.htm"
                return htmltext

        def onTalk (Self,npc,st):
                return "9000-01.htm"

QUEST       = Quest(9000,"9000_clan","village_master")
CREATED     = State('Start',     QUEST)

QUEST.setInitialState(CREATED)

for npcId in NPC:
        QUEST.addStartNpc(npcId)
        QUEST.addTalkId(npcId)

print "importing village master data: Clan                   ...done"
