package ai;

import L2jFT.extensions.scripts.Functions;
import L2jFT.game.ai.DefaultAI;
import L2jFT.game.model.L2Character;
import L2jFT.game.network.serverpackets.MagicSkillUse;
import L2jFT.util.Rnd;

public class EvilNpc extends DefaultAI
{
	private long _lastAction;
	private static String[] _txt = {
			"отстань!", "уймись!", "прекрати, отлучу от телепорта!",
			"я тебе отомщу, потом будешь прощения просить!",
			"у тебя будут неприятности!", "я на тебя пожалуюсь, тебя арестуют!" };

	public EvilNpc(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected void onEvtAttacked(L2Character attacker, Boolean canBeAttackedByMob)
	{
		if(attacker == null)
			return;

		_actor.startAttackStanceTask();

		int chance = Rnd.get(0, 100);
		if(chance < 10)
		{
			attacker.getPlayer().setKarma(attacker.getPlayer().getKarma() + 5);
			attacker.setTitle("GNIDA");
		}
		else if(chance < 25)
			attacker.addExpAndSp(-10000, -500);
		else if(chance < 50)
			attacker.addExpAndSp(-1000, -50);

		// Ругаемся и кастуем скилл не чаще, чем раз в 3 секунды
		if(System.currentTimeMillis() - _lastAction > 3000)
		{
			Functions.npcShout(_thisActor, attacker.getName() + ", " + _txt[Rnd.get(_txt.length)]);
			_thisActor.broadcastPacket(new MagicSkillUse(_thisActor, attacker.getPlayer(), 4606, 12, 1000, 100));
			_lastAction = System.currentTimeMillis();
		}
	}
}