package commands.admin;

import L2jFT.game.handler.IAdminCommandHandler;
import L2jFT.game.handler.AdminCommandHandler;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2Object;
import L2jFT.game.model.L2World;
import L2jFT.game.network.serverpackets.ExShowSlideshowKamael;
import L2jFT.extensions.scripts.ScriptFile;

/**
 * Превьюшка камаэля :) Интерсно посмотреть ;)
 * 
 * @Author: Death
 * @Date: 10/7/2007
 * @Time: 19:40:50
 */
public class AdminKamaelPreview implements IAdminCommandHandler, ScriptFile
{
	private static String[] _adminCommands = { "admin_kamael", "admin_kamael2" };

	public boolean useAdminCommand(String command, L2Player activeChar)
	{
		if(command.equals("admin_kamael"))
		{
			L2Object t = activeChar.getTarget();
			if(t != null && t.isPlayer)
				((L2Player) t).sendPacket(new ExShowSlideshowKamael());
			else
				activeChar.sendPacket(new ExShowSlideshowKamael());
		}
		else if(command.equals("admin_kamael2"))
			for(L2Player player : L2World.getAllPlayers())
				if(player != null)
					player.sendPacket(new ExShowSlideshowKamael());

		return true;
	}

	public String[] getAdminCommandList()
	{
		return _adminCommands;
	}

	public void onLoad()
	{
		AdminCommandHandler.getInstance().registerAdminCommandHandler(this);
	}

	public void onReload()
	{}

	public void onShutdown()
	{}

	public String[] getDescription()
	{
		return new String[] { "Описание команды kamael", "Описание команды kamael2" };
	}

	public String[] getCommandGroup()
	{
		return new String[] {
				AdminCommandHandler.GROUP_EDITCHAR, AdminCommandHandler.GROUP_EDITCHAR };
	}
}
