package events.TheFlowOfTheHorror;

import java.util.ArrayList;

import L2jFT.database.mysql;
import L2jFT.extensions.scripts.Functions;
import L2jFT.extensions.scripts.ScriptFile;
import L2jFT.game.model.L2Object;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2Spawn;
import L2jFT.game.model.instances.L2NpcInstance;
import L2jFT.game.tables.NpcTable;
import L2jFT.game.tables.SpawnTable;
import L2jFT.game.templates.L2NpcTemplate;
import L2jFT.util.Files;
import L2jFT.util.Location;

public class TheFlowOfTheHorror extends Functions implements ScriptFile
{
	public static L2Object self;
	public static L2NpcInstance npc;

	@SuppressWarnings("unused")
	private static L2NpcInstance _manager;
	@SuppressWarnings("unused")
	private static int _status = 0;

	private static ArrayList<L2Spawn> _spawns = new ArrayList<L2Spawn>();

	private static ArrayList<Location> points11 = new ArrayList<Location>();
	private static ArrayList<Location> points12 = new ArrayList<Location>();
	private static ArrayList<Location> points13 = new ArrayList<Location>();
	private static ArrayList<Location> points21 = new ArrayList<Location>();
	private static ArrayList<Location> points22 = new ArrayList<Location>();
	private static ArrayList<Location> points23 = new ArrayList<Location>();
	private static ArrayList<Location> points31 = new ArrayList<Location>();
	private static ArrayList<Location> points32 = new ArrayList<Location>();
	private static ArrayList<Location> points33 = new ArrayList<Location>();

	public void onLoad()
	{
		//Рукав 1, линия 1
		points11.add(new Location(84211, 117965, -3020));
		points11.add(new Location(83389, 117590, -3036));
		points11.add(new Location(82226, 117051, -3150));
		points11.add(new Location(80902, 116155, -3533));
		points11.add(new Location(79832, 115784, -3733));
		points11.add(new Location(78442, 116510, -3823));
		points11.add(new Location(76299, 117355, -3786));
		points11.add(new Location(74244, 117674, -3785));

		//Рукав 1, линия 2
		points12.add(new Location(84231, 117597, -3020));
		points12.add(new Location(82536, 116986, -3093));
		points12.add(new Location(79428, 116341, -3749));
		points12.add(new Location(76970, 117362, -3771));
		points12.add(new Location(74322, 117845, -3767));

		//Рукав 1, линия 3
		points13.add(new Location(83962, 118387, -3022));
		points13.add(new Location(81960, 116925, -3216));
		points13.add(new Location(80223, 116059, -3665));
		points13.add(new Location(78214, 116783, -3854));
		points13.add(new Location(76208, 117462, -3791));
		points13.add(new Location(74278, 117454, -3804));

		//Рукав 2, линия 1
		points21.add(new Location(79192, 111481, -3011));
		points21.add(new Location(79014, 112396, -3090));
		points21.add(new Location(79309, 113692, -3437));
		points21.add(new Location(79350, 115337, -3758));
		points21.add(new Location(78390, 116309, -3772));
		points21.add(new Location(76794, 117092, -3821));
		points21.add(new Location(74451, 117623, -3797));

		//Рукав 2, линия 2
		points22.add(new Location(79297, 111456, -3017));
		points22.add(new Location(79020, 112217, -3087));
		points22.add(new Location(79167, 113236, -3289));
		points22.add(new Location(79513, 115408, -3752));
		points22.add(new Location(78555, 116816, -3812));
		points22.add(new Location(76932, 117277, -3781));
		points22.add(new Location(75422, 117788, -3755));
		points22.add(new Location(74223, 117898, -3753));

		//Рукав 2, линия 3

		points23.add(new Location(79635, 110741, -3003));
		points23.add(new Location(78994, 111858, -3061));
		points23.add(new Location(79088, 112949, -3226));
		points23.add(new Location(79424, 114499, -3674));
		points23.add(new Location(78913, 116266, -3779));
		points23.add(new Location(76930, 117137, -3819));
		points23.add(new Location(75533, 117569, -3781));
		points23.add(new Location(74255, 117398, -3804));

		//Рукав 3, линия 1
		points31.add(new Location(83128, 111358, -3663));
		points31.add(new Location(81538, 111896, -3631));
		points31.add(new Location(80312, 113837, -3752));
		points31.add(new Location(79012, 115998, -3772));
		points31.add(new Location(77377, 117052, -3812));
		points31.add(new Location(75394, 117608, -3772));
		points31.add(new Location(73998, 117647, -3784));

		//Рукав 3, линия 2
		points32.add(new Location(83245, 110790, -3772));
		points32.add(new Location(81832, 111379, -3641));
		points32.add(new Location(81405, 112403, -3648));
		points32.add(new Location(79827, 114496, -3752));
		points32.add(new Location(78174, 116968, -3821));
		points32.add(new Location(75944, 117653, -3777));
		points32.add(new Location(74379, 117939, -3755));

		//Рукав 3, линия 3
		points33.add(new Location(82584, 111930, -3568));
		points33.add(new Location(81389, 111989, -3647));
		points33.add(new Location(80129, 114044, -3748));
		points33.add(new Location(79190, 115579, -3743));
		points33.add(new Location(77989, 116811, -3849));
		points33.add(new Location(76009, 117405, -3800));
		points33.add(new Location(74113, 117441, -3797));

		if(isActive())
		{
			activateAI();
			System.out.println("Loaded Event: The Flow Of The Horror [state: activated]");
		}
		else
			System.out.println("Loaded Event: The Flow Of The Horror [state: deactivated]");
	}

	public static void spawnNewWave()
	{
		spawn(20235, points11);
		spawn(20235, points12);
		spawn(20235, points13);
		spawn(20235, points21);
		spawn(20235, points22);
		spawn(20235, points23);
		spawn(20235, points31);
		spawn(20235, points32);
		spawn(20235, points33);
	}

	private static void spawn(int id, ArrayList<Location> points)
	{
		try
		{
			// Создаем новый темплэйт, чтобы не менять старый
			//StatsSet set = NpcTable.getTemplate(id).getSet();
			//L2NpcTemplate template = new L2NpcTemplate(set);
			//template.type = "L2DCSiegeMonster";

			L2NpcTemplate template = NpcTable.getTemplate(id);

			L2Spawn sp = new L2Spawn(template);
			_spawns.add(sp);

			sp.setLocx(points.get(0).x);
			sp.setLocy(points.get(0).y);
			sp.setLocz(points.get(0).z);
			sp.setAmount(1);
			sp.setHeading(0);
			sp.setRespawnDelay(3 * 60 * 1000);
			SpawnTable.getInstance().addNewSpawn(sp, false, null);
			L2NpcInstance npc = sp.doSpawn(false);

			MonstersAI ai = new MonstersAI(npc);
			ai.setPoints(points);

			npc.setAI(ai);
			npc.spawnMe();

			ai.startAITask();
		}
		catch(ClassNotFoundException e)
		{
			e.printStackTrace();
		}
	}

	private void activateAI()
	{
	// TODO Auto-generated method stub
	}

	private void deactivateAI()
	{
	// TODO Auto-generated method stub
	}

	/**
	 * Читает статус эвента из базы.
	 * @return
	 */
	private static boolean isActive()
	{
		Object eventStatus = mysql.get("SELECT value FROM `server_variables` WHERE `name`=\"TheFlowOfTheHorror\"");
		return eventStatus != null && eventStatus.toString().equalsIgnoreCase("on");
	}

	/**
	* Запускает эвент
	*/
	public void startEvent()
	{
		L2Player player = (L2Player) self;
		if(!player.getPlayerAccess().IsEventGm)
			return;

		if(!isActive())
		{
			if(!mysql.set("INSERT INTO `server_variables` (`name`, `type`, `value`) VALUES (\"TheFlowOfTheHorror\", \"event\", \"on\")"))
			{
				player.sendMessage("Can't start event. See server log files for details.");
				return;
			}
			activateAI();
			System.out.println("Event 'The Flow Of The Horror' started.");
			//Announcements.getInstance().announceByCustomMessage("scripts.events.CofferofShadows.AnnounceEventStarted", null);
		}
		else
			player.sendMessage("Event 'The Flow Of The Horror' already started.");

		show(Files.read("data/html/admin/events.htm", player), player);
	}

	/**
	* Останавливает эвент
	*/
	public void stopEvent()
	{
		L2Player player = (L2Player) self;
		if(!player.getPlayerAccess().IsEventGm)
			return;
		if(isActive())
		{
			if(!mysql.set("DELETE FROM `server_variables` WHERE `name`=\"TheFlowOfTheHorror\""))
			{
				player.sendMessage("Can't stop event. See server log files for details.");
				return;
			}
			activateAI();
			System.out.println("Event 'The Flow Of The Horror' stopped.");
			//Announcements.getInstance().announceByCustomMessage("scripts.events.CofferofShadows.AnnounceEventStoped", null);
		}
		else
			player.sendMessage("Event 'The Flow Of The Horror' not started.");

		show(Files.read("data/html/admin/events.htm", player), player);
	}

	public void onReload()
	{
		deactivateAI();
	}

	public void onShutdown()
	{
		deactivateAI();
	}
}