package services;

import L2jFT.Config;
import L2jFT.extensions.scripts.Functions;
import L2jFT.extensions.scripts.ScriptFile;
import L2jFT.game.model.L2Object;
import L2jFT.game.model.L2Player;
import L2jFT.util.Files;

public class Pushkin extends Functions implements ScriptFile
{
	public static L2Object self;
	public static L2Object npc;

	public static String DialogAppend_30300(Integer val)
	{
		if(val != 0 || !Config.ALT_SIMPLE_SIGNS)
			return "";

		L2Player player = (L2Player) self;

		String lang = player.getVar("lang@");
		String append = "";

		if(lang.equalsIgnoreCase("en"))
			append += "<br>*Seven Signs options:*<br>";
		else
			append += "<br>*Опции семи печатей:*<br>";

		append += Files.read("data/html/seven_signs/mammblack_1.htm", player);
		append += "<br>";
		append += Files.read("data/html/seven_signs/mammmerch_1.htm", player);

		if(lang.equalsIgnoreCase("en"))
		{
			append += "<br>*Additional options:*<br>";
			append += "[npc_%objectId%_Multisell 400|Exchange Seal Stones]<br>";
			append += "[npc_%objectId%_Multisell 500|Purchase consumable items.]<br>";
			append += "[npc_%objectId%_Multisell 9997|Crystallize]";
		}
		else
		{
			append += "<br>*Дополнительные опции:*<br>";
			append += "[npc_%objectId%_Multisell 400|Обменять камни]<br>";
			append += "[npc_%objectId%_Multisell 500|Приобрести расходные материалы]<br>";
			append += "[npc_%objectId%_Multisell 9997|Кристаллизация]";
		}

		return append;
	}

	public static String DialogAppend_30098(Integer val)
	{
		if(val != 0 || !Config.ALT_ALLOW_TATTOO)
			return "";

		L2Player player = (L2Player) self;

		String lang = player.getVar("lang@");
		String append = "";

		if(lang.equalsIgnoreCase("en"))
			append += "<br>[npc_%objectId%_Multisell 6500|Buy tattoo]";
		else
			append += "<br>[npc_%objectId%_Multisell 6500|Купить тату]";

		return append;
	}

	public void onLoad()
	{
		System.out.println("Loaded Service: Pushkin");
	}

	public void onReload()
	{}

	public void onShutdown()
	{}
}