package L2jFT.game.model.inventory.listeners;

import L2jFT.game.model.Inventory;
import L2jFT.game.model.instances.L2ItemInstance;

public final class StatsListener implements PaperdollListener
{
	Inventory _inv;

	public StatsListener(Inventory inv)
	{
		_inv = inv;
	}

	public void notifyUnequipped(int slot, L2ItemInstance item)
	{
		if(slot == Inventory.PAPERDOLL_LRHAND)
			return;
		_inv.getOwner().removeStatsOwner(item);
	}

	public void notifyEquipped(int slot, L2ItemInstance item)
	{
		if(slot == Inventory.PAPERDOLL_LRHAND)
			return;
		_inv.getOwner().addStatFuncs(item.getStatFuncs(_inv.getOwner()));
	}
}
