package L2jFT.game.network.clientpackets;

import L2jFT.game.network.serverpackets.CharSelectInfo;

/**
 * This class ...
 *
 * @version $Revision: 1.4.2.1.2.2 $ $Date: 2005/03/27 15:29:29 $
 */
public class CharacterRestore extends L2GameClientPacket
{
	private static String _C__62_CHARACTERRESTORE = "[C] 62 CharacterRestore";
	//private static Logger _log = Logger.getLogger(CharacterRestore.class.getName());

	// cd
	@SuppressWarnings("unused")
	private int _charSlot;

	/**
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_charSlot = readD();
	}

	@Override
	public void runImpl()
	{
		try
		{
			getClient().markRestoredChar(_charSlot);
		}
		catch(Exception e)
		{}
		CharSelectInfo cl = new CharSelectInfo(getClient().getLoginName(), getClient().getSessionId().playOkID1);
		sendPacket(cl);
		getClient().setCharSelection(cl.getCharInfo());
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.clientpackets.ClientBasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__62_CHARACTERRESTORE;
	}
}
