package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.ItemList;

public class RequestItemList extends L2GameClientPacket
{
	private static String _C__0F_REQUESTITEMLIST = "[C] 0F RequestItemList";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null || !activeChar.getPlayerAccess().UseInventory || activeChar.isInvetoryDisabled())
			return;
		sendPacket(new ItemList(activeChar, true));
	}

	@Override
	public String getType()
	{
		return _C__0F_REQUESTITEMLIST;
	}
}