package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.NpcHtmlMessage;

import java.util.logging.Logger;

/**
 * @author zabbix
 * Lets drink to code!
 */
public class RequestLinkHtml extends L2GameClientPacket
{
	private static Logger _log = Logger.getLogger(RequestLinkHtml.class.getName());
	private static String REQUESTLINKHTML__C__20 = "[C] 20 RequestLinkHtml";
	private String _link;

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player actor = getClient().getActiveChar();
		if(actor == null)
			return;

		_link = readS();

		if(_link.contains("..") || !_link.contains(".htm"))
		{
			_log.warning("[RequestLinkHtml] hack? link contains prohibited characters: '" + _link + "', skipped");
			return;
		}

		NpcHtmlMessage msg = new NpcHtmlMessage(0);
		msg.setFile(_link);

		sendPacket(msg);
	}

	@Override
	public String getType()
	{
		return REQUESTLINKHTML__C__20;
	}
}
