package L2jFT.game.network.clientpackets;

import L2jFT.Config;
import L2jFT.game.model.L2Player;

/**
 * format ch
 * c: (id) 0xD0
 * h: (subid) 0x12
 * @author -Wooden-
 *
 */
public class RequestOlympiadObserverEnd extends L2GameClientPacket
{
	private static String _C__D0_12_REQUESTOLYMPIADOBSERVEREND = "[C] D0:12 RequestOlympiadObserverEnd";

	@Override
	public void readImpl()
	{}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.clientpackets.ClientBasePacket#runImpl()
	 */
	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(Config.ENABLE_OLYMPIAD)
			activeChar.leaveOlympiadObserverMode();
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__D0_12_REQUESTOLYMPIADOBSERVEREND;
	}

}