package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.util.Log;

/**
 * Format: (c) Sd
 * @author -Wooden-
 *
 */
public class RequestPetition extends L2GameClientPacket
{
	private static String _C__7F_REQUEST_PETITION = "[C] 7f RequestPetition";
	private String _text;
	private int _type;

	/**
	 * @param buf
	 * @param client
	 */
	@Override
	public void readImpl()
	{
		_text = readS();
		_type = readD();
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.clientpackets.ClientBasePacket#runImpl()
	 */
	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		System.out.println("Petition: txt:" + _text + " type:" + _type);
		Log.LogPetition(activeChar, _type, _text);

	}

	/* (non-Javadoc)
	 * @see L2jFT.game.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__7F_REQUEST_PETITION;
	}

}