package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Clan;
import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.ExPledgeWarList;

public class RequestPledgeWarList extends L2GameClientPacket
{
	static int _type;
	private static String _C__C0_REQUESTPLEDGEPOWER = "[C] C0 RequestPledgeWarList";
	private int _page;

	@Override
	public void readImpl()
	{
		_page = readD();
		_type = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		L2Clan clan = activeChar.getClan();
		if(clan != null)
			activeChar.sendPacket(new ExPledgeWarList(clan, _type, _page));
	}

	@Override
	public String getType()
	{
		return _C__C0_REQUESTPLEDGEPOWER;
	}
}