package L2jFT.game.network.clientpackets;

import L2jFT.game.RecipeController;
import L2jFT.game.model.L2Player;

public class RequestRecipeItemMakeSelf extends L2GameClientPacket
{
	private static String _C__AF_REQUESTRECIPEITEMMAKESELF = "[C] AF RequestRecipeItemMakeSelf";
	//private static Logger _log = Logger.getLogger(RequestSellItem.class.getName());

	private int _id;

	/**
	 * packet type id 0xac
	 * format:		cd
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_id = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		RecipeController.getInstance().requestMakeItem(activeChar, _id);
	}

	@Override
	public String getType()
	{
		return _C__AF_REQUESTRECIPEITEMMAKESELF;
	}
}