package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2ManufactureList;
import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.RecipeShopManageList;

// Deprecated?
public class RequestRecipeShopManageList extends L2GameClientPacket
{
	private static String _C__B0_RequestRecipeShopManageList = "[C] b0 RequestRecipeShopManageList";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		if(activeChar.getDuel() != null)
		{
			activeChar.sendActionFailed();
			return;
		}

		if(activeChar.isAlikeDead())
		{
			activeChar.sendActionFailed();
			return;
		}

		if(activeChar.getCreateList() == null)
			activeChar.setCreateList(new L2ManufactureList());

		if(activeChar.getPrivateStoreType() == L2Player.STORE_PRIVATE_MANUFACTURE)
		{
			activeChar.sendPacket(new RecipeShopManageList(activeChar, true));
			activeChar.standUp();
		}
	}

	@Override
	public String getType()
	{
		return _C__B0_RequestRecipeShopManageList;
	}
}