package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;

/**
 * cS
 */
public class RequestRecipeShopMessageSet extends L2GameClientPacket
{
	private static String _C__B1_RequestRecipeShopMessageSet = "[C] b1 RequestRecipeShopMessageSet";

	private String _name;

	@Override
	public void readImpl()
	{
		_name = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		if(activeChar.getDuel() != null)
		{
			activeChar.sendActionFailed();
			return;
		}

		if(activeChar.getCreateList() != null)
			activeChar.getCreateList().setStoreName(_name);
	}

	@Override
	public String getType()
	{
		return _C__B1_RequestRecipeShopMessageSet;
	}
}