package L2jFT.game.network.clientpackets;

import L2jFT.game.instancemanager.CastleManager;
import L2jFT.game.instancemanager.ClanHallManager;
import L2jFT.game.model.entity.Castle;
import L2jFT.game.model.entity.ClanHall;
import L2jFT.game.network.serverpackets.SiegeDefenderList;

/**
 * This class ...
 *
 * @version $Revision: 1.3.4.2 $ $Date: 2005/03/27 15:29:30 $
 */
public class RequestSiegeDefenderList extends L2GameClientPacket
{

	private static String _C__a3_RequestSiegeDefenderList = "[C] a3 RequestSiegeDefenderList";
	//private static Logger _log = Logger.getLogger(RequestJoinParty.class.getName());

	private int _CastleId;

	@Override
	public void readImpl()
	{
		_CastleId = readD();
	}

	@Override
	public void runImpl()
	{
		Castle castle = CastleManager.getInstance().getCastleByIndex(_CastleId);
		ClanHall clanhall = ClanHallManager.getInstance().getClanHall(_CastleId);
		if(castle != null)
			sendPacket(new SiegeDefenderList(castle));
		else if(clanhall != null)
			sendPacket(new SiegeDefenderList(clanhall));
	}

	@Override
	public String getType()
	{
		return _C__a3_RequestSiegeDefenderList;
	}
}
