package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.L2GameClient;
import L2jFT.game.network.serverpackets.SkillCoolTime;

/**
 * @author: Death
 * @date: 16/2/2007
 * @time: 21:16:06
 */
public class RequestSkillCoolTime extends L2GameClientPacket
{
	private String _C__9d_REQUESTSKILLCOOLTIME = "[C] 9d RequestSkillCoolTime";
	L2GameClient _client;

	@Override
	public void readImpl()
	{
		_client = getClient();
	}

	@Override
	public void runImpl()
	{
		L2Player pl = _client.getActiveChar();
		if(pl != null)
			pl.sendPacket(new SkillCoolTime(pl));
	}

	@Override
	public String getType()
	{
		return _C__9d_REQUESTSKILLCOOLTIME;
	}
}