package L2jFT.game.network.clientpackets;

import L2jFT.game.instancemanager.QuestManager;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.quest.Quest;
import L2jFT.game.model.quest.QuestState;

public class RequestTutorialLinkHtml extends L2GameClientPacket
{
	//private static Logger _log = Logger.getLogger(RequestTutorialLinkHtml.class.getName());
	String _bypass;

	@Override
	public void readImpl()
	{
		_bypass = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player player = getClient().getActiveChar();

		if(player == null)
			return;

		Quest q = QuestManager.getInstance().getQuest(255);

		if(q == null)
			return;

		String qn = q.getName();
		QuestState qs = player.getQuestState(qn);
		if(qn != null && qs != null)
			q.notifyEvent(_bypass, qs);
	}

	@Override
	public String getType()
	{
		return "[C] 7B RequestTutorialLinkHtml";
	}
}