package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;

/**
 *
 * This class ...
 *
 * @version $Revision: 1.3.4.2 $ $Date: 2005/03/27 15:29:30 $
 */
public class RequestWithDrawalParty extends L2GameClientPacket
{
	private static String _C__2B_REQUESTWITHDRAWALPARTY = "[C] 2B RequestWithDrawalParty";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(activeChar.isInParty())
			if(activeChar.getParty().isInDimensionalRift() && !activeChar.getParty().getDimensionalRift().getRevivedAtWaitingRoom().contains(activeChar))
				activeChar.sendMessage("You can't exit party when you are in Dimensional Rift", "Вы не можете покинуть группу, находясь в Разломе.");
			else
				activeChar.getParty().oustPartyMember(activeChar);
	}

	@Override
	public String getType()
	{
		return _C__2B_REQUESTWITHDRAWALPARTY;
	}
}
