package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2TradeList;

public class SetPrivateStoreMsgBuy extends L2GameClientPacket
{
	private static String _C__94_SETPRIVATESTOREMSGBUY = "[C] 94 SetPrivateStoreMsgBuy";
	private String _storename;

	@Override
	public void readImpl()
	{
		_storename = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		L2TradeList tradeList = activeChar.getTradeList();
		if(tradeList != null)
			tradeList.setBuyStoreName(_storename);
	}

	@Override
	public String getType()
	{
		return _C__94_SETPRIVATESTOREMSGBUY;
	}
}