package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2World;

public class SnoopQuit extends L2GameClientPacket
{
	private static String _C__AB_SNOOPQUIT = "[C] AB SnoopQuit";
	private int _snoopID;

	/**
	 * @param buf
	 * @param client
	 */
	@Override
	public void readImpl()
	{
		_snoopID = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player player = (L2Player) L2World.findObject(_snoopID);
		if(player == null)
			return;
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		player.removeSnooper(activeChar);
		activeChar.removeSnooped(player);
	}

	@Override
	public String getType()
	{
		return _C__AB_SNOOPQUIT;
	}

}
