package L2jFT.game.network.serverpackets;

public class AllyCrest extends L2GameServerPacket
{
	private static final String _S__AE_ALLYCREST = "[S] AE AllyCrest";
	private int _crestId;
	private int _crestSize;
	private byte[] _data;

	public AllyCrest(int crestId, byte[] data)
	{
		_crestId = crestId;
		_data = data;
		_crestSize = _data.length;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xAE);
		writeD(_crestId);
		writeD(_crestSize);
		writeB(_data);
	}

	@Override
	public String getType()
	{
		return _S__AE_ALLYCREST;
	}
}