package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

/**
 * sample
 * format
 * d
 */
public class ChairSit extends L2GameServerPacket
{
	private static final String _S__E1_CHAIRSIT = "[S] E1 ChairSit";

	private L2Player _activeChar;
	private int _staticObjectId;

	public ChairSit(L2Player player, int staticObjectId)
	{
		_activeChar = player;
		_staticObjectId = staticObjectId;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xE1);
		writeD(_activeChar.getObjectId());
		writeD(_staticObjectId);
	}

	@Override
	public String getType()
	{
		return _S__E1_CHAIRSIT;
	}
}