package L2jFT.game.network.serverpackets;

public class CharDeleteFail extends L2GameServerPacket
{
	private static final String _S__24_CHARDELETEFAIL = "[S] 24 CharDeleteFail";

	public static int REASON_DELETION_FAILED = 0x01;
	public static int REASON_YOU_MAY_NOT_DELETE_CLAN_MEMBER = 0x02;
	public static int REASON_CLAN_LEADERS_MAY_NOT_BE_DELETED = 0x03;
	int _error;

	public CharDeleteFail(int error)
	{
		_error = error;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x24);
		writeD(_error);
	}

	@Override
	public String getType()
	{
		return _S__24_CHARDELETEFAIL;
	}
}
