package L2jFT.game.network.serverpackets;

import java.util.Vector;

public class ExEnchantSkillList extends L2GameServerPacket
{
	private static final String _S__FE_17_EXENCHANTSKILLLIST = "[S] FE:17 ExEnchantSkillList";
	private Vector<Skill> _skills;

	class Skill
	{
		public int id;
		public int nextLevel;
		public long exp;
		public int sp;

		Skill(int id, int nextLevel, int sp, long exp)
		{
			this.id = id;
			this.nextLevel = nextLevel;
			this.exp = exp;
			this.sp = sp;
		}
	}

	public void addSkill(int id, int level, int data2, long data3)
	{
		_skills.add(new Skill(id, level, data2, data3));
	}

	public ExEnchantSkillList()
	{
		_skills = new Vector<Skill>();
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x17);

		writeD(_skills.size());
		for(Skill sk : _skills)
		{
			writeD(sk.id);
			writeD(sk.nextLevel);
			writeD(sk.sp);
			writeQ(sk.exp);
		}
	}

	@Override
	public String getType()
	{
		return _S__FE_17_EXENCHANTSKILLLIST;
	}
}