package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Player;

/**
 * Format: (ch) dc
 * d: character object id
 * c: 1 if won 0 if failed
 * @author -Wooden-
 *
 */
public class ExFishingEnd extends L2GameServerPacket
{
	private static final String _S__FE_14_EXFISHINGEND = "[S] FE:14 ExFishingEnd";
	private boolean _win;
	L2Character _character;

	public ExFishingEnd(boolean win, L2Player character)
	{
		_win = win;
		_character = character;
	}

	@Override
	public void runImpl()
	{
	// no long running tasks

	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x14);
		writeD(_character.getObjectId());
		writeC(_win ? 1 : 0);

	}

	@Override
	public String getType()
	{
		return _S__FE_14_EXFISHINGEND;
	}
}