package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Clan;
import L2jFT.game.model.L2Skill;

public class ExPledgeSkillList extends L2GameServerPacket
{
	private static final String _S__FE_39_EXPLEDGESKILLLIST = "[S] FE:39 ExPledgeSkillList";
	private L2Clan _clan;

	public ExPledgeSkillList(L2Clan clan)
	{
		_clan = clan;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x39);
		writeD(_clan.getSkills().size());
		for(L2Skill sk : _clan.getAllSkills())
		{
			writeD(sk.getId());
			writeD(sk.getLevel());
		}
	}

	@Override
	public String getType()
	{
		return _S__FE_39_EXPLEDGESKILLLIST;
	}
}