package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Clan;

public class ExPledgeWarList extends L2GameServerPacket
{
	private static final String _S__FE_3E_EXPLEDGEWARLIST = "[S] FE:3E ExPledgeWarList";
	private L2Clan _clan;
	private static int _updateType;
	@SuppressWarnings("unused")
	private static int _page;

	public ExPledgeWarList(L2Clan clan, int type, int page)
	{
		_clan = clan;
		_updateType = type;
		_page = page;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x3E);
		writeD(_updateType); //which type of war list sould be revamped by this packet
		writeD(-1); //page number goes here(_page ), made it static cuz not sure how many war to add to one page so TODO here
		if(_updateType == 1)
		{
			writeD(_clan.getAttackerClans().size()); //war list length
			for(L2Clan clan : _clan.getAttackerClans())
			{
				if(clan == null)
					continue;

				writeS(clan.getName());
				writeD(1);
				writeD(0); //filler ??
			}
		}
		else if(_updateType == 0)
		{
			writeD(_clan.getEnemyClans().size()); //war list length
			for(L2Clan clan : _clan.getEnemyClans())
			{
				if(clan == null)
					continue;

				writeS(clan.getName());
				writeD(0);
				writeD(0); // filler ??
			}
		}
	}

	@Override
	public String getType()
	{
		return _S__FE_3E_EXPLEDGEWARLIST;
	}
}
