package L2jFT.game.network.serverpackets;

import L2jFT.game.model.instances.L2ItemInstance;

/**
 * Пакет на добавление итема, во всяком случае ствола. Нету реагента для дальнейшего теста.
 *
 * FE 52 00 17 2B 11 40 2A 1E 00 00 01 00 00 00  +3 Sword of Valhala Acumen
 */
public class ExVariationItemAdd extends L2GameServerPacket
{
	L2ItemInstance _item;
	int _slot;

	public ExVariationItemAdd(L2ItemInstance item, int slot)
	{
		_slot = slot;
		_item = item;
	}

	@Override
	public void runImpl()
	{

	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x52);
		writeD(_item.getObjectId()); //item_object_id
		writeD(_item.getItemId()); //item_id
		writeD(_slot); // тут по ходу слот, во всяком случае после добавления ствола приходит 1.
	}

	/**
	 * just for information and debug purposes
	 * @return text for trace message
	 */
	@Override
	public String getType()
	{
		return "[S] FE:52 ExVariationItemAdd";
	}
}
