package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class Friend extends L2GameServerPacket
{
	private static final String _S__FB_FRIEND = "[S] FB Friend";

	boolean _add;
	String _name;
	boolean _online;
	int _object_id;

	public Friend(L2Player player, boolean add)
	{
		_add = add;
		_name = player.getName();
		_object_id = player.getObjectId();
		_online = true;
	}

	public Friend(String name, boolean add, boolean online, int object_id)
	{
		_name = name;
		_add = add;
		_object_id = object_id;
		_online = online;
	}

	@Override
	public void runImpl()
	{

	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xFB);
		writeD(_add ? 1 : 3); // 1 - добавить друга в спикок, 3 удалить друга со списка
		writeD(0); //и снова тут идет ID персонажа в списке оффа, не object id
		writeS(_name);
		writeD(_online ? 1 : 0); // онлайн или оффлайн
		writeD(_object_id); //object_id if online
	}

	@Override
	public String getType()
	{
		return _S__FB_FRIEND;
	}
}
