package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class FriendStatus extends L2GameServerPacket
{

	private static final String _S__FC_FRIENDSTATUS = "[S] FC FriendStatus";

	L2Player _player = null;
	boolean _login = false;

	public FriendStatus(L2Player player, boolean login)
	{
		_player = player;
		_login = login;
	}

	@Override
	public void runImpl()
	{

	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xFC);
		writeD(_login ? 1 : 0); //Logged in 1 logged off 0
		writeS(_player.getName());
		writeD(0); //id персонажа с базы оффа, не object_id
	}

	@Override
	public String getType()
	{
		return _S__FC_FRIENDSTATUS;
	}
}
