package L2jFT.game.network.serverpackets;

import L2jFT.game.model.instances.L2BoatInstance;

/**
 * @author Maktakien
 *
 */
public class OnVehicleCheckLocation extends L2GameServerPacket
{
	private L2BoatInstance _boat;
	private int _x;
	private int _y;
	private int _z;

	/**
	 * @param instance
	 * @param x
	 * @param y
	 * @param z
	 */
	public OnVehicleCheckLocation(L2BoatInstance instance, int x, int y, int z)
	{
		_boat = instance;
		_x = x;
		_y = y;
		_z = z;
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x5b);
		writeD(_boat.getObjectId());
		writeD(_x);
		writeD(_y);
		writeD(_z);
		writeD(_boat.getHeading());
	}

	@Override
	public String getType()
	{
		return null;
	}
}