package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

/**
 * This class ...
 *
 * @version $Revision: 1.4.2.1.2.5 $ $Date: 2005/03/27 15:29:39 $
 */
public class PartySmallWindowUpdate extends L2GameServerPacket
{
	private static final String _S__52_PARTYSMALLWINDOWUPDATE = "[S] 52 PartySmallWindowUpdate";
	private L2Player _member;

	public PartySmallWindowUpdate(L2Player member)
	{
		_member = member;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x52);
		writeD(_member.getObjectId());
		writeS(_member.getName());
		writeD((int) _member.getCurrentCp());
		writeD(_member.getMaxCp());
		writeD((int) _member.getCurrentHp());
		writeD(_member.getMaxHp());
		writeD((int) _member.getCurrentMp());
		writeD(_member.getMaxMp());
		writeD(_member.getLevel());
		writeD(_member.getClassId().getId());
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__52_PARTYSMALLWINDOWUPDATE;
	}
}
