package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Clan;

public class PledgeInfo extends L2GameServerPacket
{
	private static final String _S__9C_PLEDGEINFO = "[S] 9C PledgeInfo";
	private final L2Clan _clan;

	public PledgeInfo(L2Clan clan)
	{
		_clan = clan;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x83);
		writeD(_clan.getClanId());
		writeS(_clan.getName());
		if(_clan.getAlliance() != null)
			writeS(_clan.getAlliance().getAllyName());
		else
			writeS("");
	}

	@Override
	public String getType()
	{
		return _S__9C_PLEDGEINFO;
	}
}
