package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Clan.SubPledge;

public class PledgeReceiveSubPledgeCreated extends L2GameServerPacket
{
	private static final String _S__FE_3F_PLEDGERECEIVESUBPLEDGECREATED = "[S] FE:3F PledgeReceiveSubPledgeCreated";
	private SubPledge _subPledge;

	public PledgeReceiveSubPledgeCreated(SubPledge subPledge)
	{
		_subPledge = subPledge;
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xfe);
		writeH(0x3f);

		writeD(0x01);
		writeD(_subPledge.getType());
		writeS(_subPledge.getName());
		writeS(_subPledge.getLeaderName());
	}

	@Override
	public String getType()
	{
		return _S__FE_3F_PLEDGERECEIVESUBPLEDGECREATED;
	}
}
