package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Clan;

public class PledgeShowInfoUpdate extends L2GameServerPacket
{
	private static final String _S__88_PLEDGESHOWINFOUPDATE = "[S] 88 PledgeShowInfoUpdate";
	private L2Clan _clan;

	public PledgeShowInfoUpdate(final L2Clan clan)
	{
		_clan = clan;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x88);
		//sending empty data so client will ask all the info in response ;)
		writeD(_clan.getClanId());
		writeD(0);
		writeD(_clan.getLevel());
		writeD(_clan.getHasCastle());
		writeD(_clan.getHasHideout());
		writeD(_clan.getRank());// displayed in the "tree" view (with the clan skills)
		writeD(_clan.getReputationScore());
		writeD(0);
		writeD(0);

		writeD(0); //c5
		writeS(""); //c5
		writeD(0); //c5
		writeD(0); //c5
	}

	@Override
	public String getType()
	{
		return _S__88_PLEDGESHOWINFOUPDATE;
	}
}