package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class PrivateStoreMsgSell extends L2GameServerPacket
{
	private static final String _S__9C_PRIVATESTOREMSGSELL = "[S] 9C PrivateStoreMsgSell";
	private int _cha_id;
	private String _name;

	/**
	 * Название личного магазина продажи
	 * @param player
	 */
	public PrivateStoreMsgSell(L2Player player)
	{
		_cha_id = player.getObjectId();

		if(player.getTradeList() != null)
			_name = player.getTradeList().getSellStoreName();
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x9C);
		writeD(_cha_id);
		writeS(_name);
	}

	@Override
	public String getType()
	{
		return _S__9C_PRIVATESTOREMSGSELL;
	}
}