package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Object;
import L2jFT.game.model.L2Player;

/**
 * ddddd
 */
public class RecipeShopItemInfo extends L2GameServerPacket
{

	private static final String _S__DA_RecipeShopItemInfo = "[S] DA RecipeShopItemInfo";
	private int _recipeId;
	private int _shopId;
	private int _success = 0xFFFFFFFF;

	public RecipeShopItemInfo(int shopId, int recipeId, int success)
	{
		_recipeId = recipeId;
		_shopId = shopId;
		_success = success;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		L2Object manufacturer = activeChar.getVisibleObject(_shopId);
		if(manufacturer == null || !manufacturer.isPlayer)
			return;

		writeC(0xDA);
		writeD(_shopId);
		writeD(_recipeId);
		writeD((int) ((L2Player) manufacturer).getCurrentMp());
		writeD(((L2Player) manufacturer).getMaxMp());
		writeD(_success);
	}

	@Override
	public String getType()
	{
		return _S__DA_RecipeShopItemInfo;
	}
}