package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class RecipeShopMsg extends L2GameServerPacket
{
	private static final String _S__DB_RecipeShopMsg = "[S] 0xDB RecipeShopMsg";
	private L2Player _cha;

	public RecipeShopMsg(L2Player player)
	{
		_cha = player;
		if(_cha.getCreateList() == null)
			return;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xDB);
		writeD(_cha.getObjectId());
		writeS(_cha.getCreateList().getStoreName());
	}

	@Override
	public String getType()
	{
		return _S__DB_RecipeShopMsg;
	}
}