package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2ManufactureItem;
import L2jFT.game.model.L2ManufactureList;
import L2jFT.game.model.L2Player;

/**
 * dddd d(ddd)
 */
public class RecipeShopSellList extends L2GameServerPacket
{
	private static final String _S__D9_RecipeShopSellList = "[S] D9 RecipeShopSellList";
	private L2Player _buyer;
	private L2Player _manufacturer;

	public RecipeShopSellList(L2Player buyer, L2Player manufacturer)
	{
		_buyer = buyer;
		_manufacturer = manufacturer;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		L2ManufactureList createList = _manufacturer.getCreateList();

		if(createList != null)
		{
			writeC(0xD9);
			writeD(_manufacturer.getObjectId());
			writeD((int) _manufacturer.getCurrentMp());//Creator's MP
			writeD(_manufacturer.getMaxMp());//Creator's MP
			writeD(_buyer.getAdena());//Buyer Adena

			int count = createList.size();
			writeD(count);
			L2ManufactureItem temp;
			for(int i = 0; i < count; i++)
			{
				temp = createList.getList().get(i);
				writeD(temp.getRecipeId());
				writeD(0x00); //unknown
				writeD(temp.getCost());
			}
		}
	}

	@Override
	public String getType()
	{
		return _S__D9_RecipeShopSellList;
	}
}