package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class RelationChanged extends L2GameServerPacket
{
	private static final String _S__CE_RELATIONCHANGED = "[S] CE RelationChanged";
	private L2Player _cha;
	private boolean _isAutoAttackable;
	private int _relation;

	public RelationChanged(L2Player cha, boolean isAutoAttackable, int relation)
	{
		_cha = cha;
		_isAutoAttackable = isAutoAttackable;
		_relation = relation;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		if(_cha == null)
			return;
		writeC(0xCE);
		writeD(_cha.getObjectId());
		writeD(_relation);
		writeD(_isAutoAttackable ? 1 : 0);
		writeD(_cha.getKarma());
		writeD(_cha.getPvpFlag());
	}

	@Override
	public String getType()
	{
		return _S__CE_RELATIONCHANGED + ": " + _cha;
	}
}