package L2jFT.game.network.serverpackets;

/**
 * sample
 * format
 * d
 *
 * @version $Revision: 1.1.2.1.2.3 $ $Date: 2005/03/27 15:29:39 $
 */
public class ShowCalculator extends L2GameServerPacket
{
	private static final String _S__DC_SHOWCALCULATOR = "[S] DC ShowCalculator";
	private int _calculatorId;

	/**
	 */
	public ShowCalculator(int calculatorId)
	{
		_calculatorId = calculatorId;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xDC);
		writeD(_calculatorId);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__DC_SHOWCALCULATOR;
	}
}