package L2jFT.game.network.serverpackets;

import L2jFT.game.model.entity.SevenSigns;

/**
 * sample
 * format
 * d
 *
 * @version $Revision: 1.1.2.1.2.3 $ $Date: 2005/03/27 15:29:39 $
 */
public class ShowMiniMap extends L2GameServerPacket
{
	private static final String _S__9D_SHOWMINIMAP = "[S] 9D ShowMiniMap";
	private int _mapId;

	/**
	 */
	public ShowMiniMap(int mapId)
	{
		_mapId = mapId;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x9D);
		writeD(_mapId);
		writeD(SevenSigns.getInstance().getCurrentPeriod());
	}

	@Override
	public String getType()
	{
		return _S__9D_SHOWMINIMAP;
	}
}