package L2jFT.game.network.serverpackets;

public class ShowTownMap extends L2GameServerPacket
{

	/**
	 * Format:
	 * csdd
	 *
	 */

	private static final String _S__DE_SHOWTOWNMAP = "[S] DE ShowTownMap";

	String _texture;
	int _x;
	int _y;

	public ShowTownMap(String texture, int x, int y)
	{
		_texture = texture;
		_x = x;
		_y = y;
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xde);
		writeS(_texture);
		writeD(_x);
		writeD(_y);
	}

	@Override
	public String getType()
	{
		return _S__DE_SHOWTOWNMAP;
	}

}
