package L2jFT.game.network.serverpackets;

import L2jFT.game.model.instances.L2StaticObjectInstance;

public class StaticObject extends L2GameServerPacket
{

	private static final String _S__99_STATICOBJECT = "[S] 99 StaticObject";
	private L2StaticObjectInstance _staticObject;

	/**
	 * [S]0x99 StaticObjectPacket   dd     
	 * @param _
	 */

	public StaticObject(L2StaticObjectInstance StaticObject)
	{
		_staticObject = StaticObject; // staticObjectId

	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{

		writeC(0x99);
		writeD(_staticObject.getStaticObjectId()); //staticObjectId
		writeD(_staticObject.getObjectId()); //objectId

	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__99_STATICOBJECT;
	}
}
