package L2jFT.game.network.serverpackets;

public class StopPledgeWar extends L2GameServerPacket
{
	private static final String _S__67_STOPPLEDGEWAR = "[S] 67 StopPledgeWar";
	private String _pledgeName;
	private String _char;

	public StopPledgeWar(String pledge, String charName)
	{
		_pledgeName = pledge;
		_char = charName;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x67);
		writeS(_pledgeName);
		writeS(_char);
	}

	@Override
	public String getType()
	{
		return _S__67_STOPPLEDGEWAR;
	}
}