/**
 *
 */
package L2jFT.game.network.serverpackets;

import L2jFT.game.model.instances.L2BoatInstance;

/**
 * @author Maktakien
 *
 */
public class VehicleDeparture extends L2GameServerPacket
{

	L2BoatInstance _boat;
	public int _moveSpeed;
	public int _rotationSpeed;//rotation
	public int _x;
	public int _y;
	public int _z;

	/**
	 * @param _boat
	 * @param moveSpeed
	 * @param rotationSpeed
	 * @param x
	 * @param y
	 * @param z
	 */
	public VehicleDeparture(L2BoatInstance boat, int moveSpeed, int rotationSpeed, int x, int y, int z)
	{
		_boat = boat;
		_moveSpeed = moveSpeed;
		_rotationSpeed = rotationSpeed;
		_x = x;
		_y = y;
		_z = z;
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#runImpl()
	 */
	@Override
	public void runImpl()
	{}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#writeImpl()
	 */
	@Override
	protected final void writeImpl()
	{
		writeC(0x5A);
		writeD(_boat.getObjectId());
		writeD(_moveSpeed);
		writeD(_rotationSpeed);
		writeD(_x);
		writeD(_y);
		writeD(_z);

	}

	/* (non-Javadoc)
	 * @see L2jFT.game.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return "[S] 5A VehicleDeparture";
	}

}
