package L2jFT.game.network.serverpackets;

import L2jFT.game.model.instances.L2BoatInstance;

/**
 * @author Maktakien
 *
 */
public class VehicleInfo extends L2GameServerPacket
{
	private L2BoatInstance _boat;

	/**
	 * @param instance
	 */
	public VehicleInfo(L2BoatInstance boat)
	{
		_boat = boat;
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#runImpl()
	 */
	@Override
	public void runImpl()
	{}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#writeImpl()
	 */
	@Override
	protected final void writeImpl()
	{
		writeC(0x59);
		writeD(_boat.getObjectId());
		writeD(_boat.getX());
		writeD(_boat.getY());
		writeD(_boat.getZ());
		writeD(_boat.getHeading());
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return "[S] 59 VehicleInfo";
	}
}
