package L2jFT.game.network.serverpackets;

import com.l2jserver.mmocore.network.MMOConnection;
import L2jFT.game.network.clientpackets.L2GameClientPacket;

/**
 * @author mkizub
 */
public class WrappedMessage extends L2GameServerPacket
{
	final byte[] data;

	public WrappedMessage(byte[] data, @SuppressWarnings("unused")
	MMOConnection con)
	{
		this.data = data;
	}

	public int size()
	{
		return data.length + 2;
	}

	public byte[] getData()
	{
		return data;
	}

	public L2GameClientPacket getClientMsg()
	{
		return null;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeB(data);
	}

	@Override
	public String getType()
	{
		return null;
	}
}
