package L2jFT.game.skills.conditions;

import L2jFT.game.skills.Env;

public class ConditionPlayerHp extends Condition
{
	private final float _hp;

	public ConditionPlayerHp(int hp)
	{
		_hp = hp / 100f;
	}

	@Override
	public boolean testImpl(Env env)
	{
		return env.character.getCurrentHp() <= _hp * env.character.getMaxHp();
	}
}
