package L2jFT.game.skills.conditions;

import L2jFT.game.model.L2Player;
import L2jFT.game.skills.Env;

public class ConditionPlayerMaxLevel extends Condition
{
	private final int _pk;

	public ConditionPlayerMaxLevel(int pk)
	{
		_pk = pk;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(env.character.isPlayer)
			return ((L2Player) env.character).getPkKills() <= _pk;
		return false;
	}
}