package L2jFT.game.skills.conditions;

import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.instances.L2MonsterInstance;
import L2jFT.game.skills.Env;

public class ConditionTargetAggro extends Condition
{
	private final boolean _isAggro;

	public ConditionTargetAggro(boolean isAggro)
	{
		_isAggro = isAggro;
	}

	@Override
	public boolean testImpl(Env env)
	{
		L2Character target = env.target;
		if(target.isMonster)
			return ((L2MonsterInstance) target).isAggressive() == _isAggro;
		if(target.isPlayer)
			return ((L2Player) target).getKarma() > 0;
		return false;
	}
}
