package L2jFT.game.skills.conditions;

import L2jFT.game.skills.Env;

public final class ConditionUsingSkill extends Condition
{
	private final short _skillId;

	public ConditionUsingSkill(short skillId)
	{
		_skillId = skillId;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(env.skill == null)
			return false;
		return env.skill.getId().equals(_skillId);
	}
}
