package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;

final class EffectBlessNoblesse extends L2Effect
{

	public EffectBlessNoblesse(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.BLESS_NOBLESSE;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		getEffected().setIsBlessedByNoblesse(true);
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		getEffected().setIsBlessedByNoblesse(false);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}