package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;
import L2jFT.game.skills.skillclasses.NegateStats;

public class EffectBlockStat extends L2Effect
{
	public EffectBlockStat(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public void onStart()
	{
		_effected.addBlockStats(((NegateStats) _skill).getNegateStats());
	}

	@Override
	public void onExit()
	{
		_effected.removeBlockStats(((NegateStats) _skill).getNegateStats());
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.BLOCK_STAT_FUNCS;
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}
