package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;

final class EffectCircle extends L2Effect
{
	public EffectCircle(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.CIRCLE;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		_effected.startCircle();
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		_effected.stopCircle();
	}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}
}
