package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;

public class EffectInterrupt extends L2Effect
{
	public EffectInterrupt(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return L2Effect.EffectType.INTERRUPT;
	}

	@Override
	public void onStart()
	{
		getEffected().abortCast();
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}

	@Override
	public void onExit()
	{}

}