package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;

public class EffectMute extends L2Effect
{
	public EffectMute(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return L2Effect.EffectType.MUTE;
	}

	@Override
	public void onStart()
	{
		_effected.startMuted();
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}

	@Override
	public void onExit()
	{
		_effected.stopMuted();
	}

}
