package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.skills.Env;

final class EffectRoot extends L2Effect
{
	public EffectRoot(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.ROOT;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		_effected.startRooted();
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		_effected.stopRooting();
	}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}
}
