package L2jFT.game.skills.effects;

import L2jFT.game.model.L2Effect;
import L2jFT.game.model.instances.L2NpcInstance;
import L2jFT.game.skills.Env;

public class EffectUnAggro extends L2Effect
{
	public EffectUnAggro(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.UNAGGRO;
	}

	@Override
	public void onStart()
	{
		((L2NpcInstance) _effected).unAggro(true, _effector);
	}

	@Override
	public void onExit()
	{
		((L2NpcInstance) _effected).unAggro(false, _effector);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}