package L2jFT.login.gameserverpackets;

import L2jFT.login.SessionKey;
import L2jFT.login.clientpackets.ClientBasePacket;

public class CheckSessionKey extends ClientBasePacket
{

	String _account;
	int loginOkID1;
	int loginOkID2;
	int playOkID1;
	int playOkID2;

	public CheckSessionKey(byte[] decrypt)
	{
		super(decrypt);
		_account = readS();
		loginOkID1 = readD();
		loginOkID2 = readD();
		playOkID1 = readD();
		playOkID2 = readD();
	}

	public String getAccount()
	{
		return _account;
	}

	public SessionKey getSessionKey()
	{
		return new SessionKey(loginOkID1, loginOkID2, playOkID1, playOkID2);
	}
}
