package L2jFT.login.loginserverpackets;

import L2jFT.login.IpManager;
import L2jFT.login.IpManager.BannedIp;
import L2jFT.login.serverpackets.ServerBasePacket;

import java.util.ArrayList;

/**
 * @author -Wooden-
 *
 */
public class BanIPList extends ServerBasePacket
{
	// ID 0x00
	// format
	// d proto rev
	// d key size
	// b key

	public BanIPList()
	{
		ArrayList<BannedIp> baniplist = new ArrayList<BannedIp>();
		baniplist = IpManager.getInstance().getBanList();
		writeC(0x05);
		writeD(baniplist.size());
		for(BannedIp ip : baniplist)
		{
			writeS(ip.ip);
			writeS(ip.admin);
		}
	}

	@Override
	public byte[] getContent()
	{
		return getBytes();
	}
}
