package L2jFT.login.loginserverpackets;

import L2jFT.login.L2LoginServer;
import L2jFT.login.serverpackets.ServerBasePacket;

public class InitLS extends ServerBasePacket
{
	// ID 0x00
	// format
	// d proto rev
	// d key size
	// b key

	public InitLS(byte[] publickey)
	{
		writeC(0x00);
		writeD(L2LoginServer.PROTOCOL_REV);
		writeD(publickey.length);
		writeB(publickey);
	}

	@Override
	public byte[] getContent()
	{
		return getBytes();
	}
}
