package L2jFT.util;

import L2jFT.game.model.L2Effect;

import java.util.Comparator;

public class EffectsComparator implements Comparator<L2Effect>
{
	public int compare(L2Effect o1, L2Effect o2)
	{
		if(o1 == null || o2 == null)
			return 0;

		if(o1.getPeriodStartTime() > o2.getPeriodStartTime())
			return 1;

		if(o1.getPeriodStartTime() < o2.getPeriodStartTime())
			return -1;

		return 0;
	}
}