package L2jFT.util;

public class Location
{
	public int x;
	public int y;
	public int z;
	public int h = 0;

	public Location(int locX, int locY, int locZ)
	{
		x = locX;
		y = locY;
		z = locZ;
	}

	public Location(int locX, int locY, int locZ, int heading)
	{
		x = locX;
		y = locY;
		z = locZ;
		h = heading;
	}

	public boolean equals(Location loc)
	{
		return loc.x == x && loc.y == y && loc.z == z;
	}

	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + h;
		result = prime * result + x;
		result = prime * result + y;
		return result;
	}
}