if [ -f mysql_pass.sh ]; then
        . mysql_pass.sh
else
        . mysql_pass.sh.default
fi

mysqldump --ignore-table=${DBNAME}.game_log --ignore-table=${DBNAME}.loginserv_log --ignore-table=${DBNAME}.petitions --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME > l2jdb_full_backup.sql

for tab in \
        install/ally_data.sql \
        install/auction.sql \
        install/auction_bid.sql \
        install/augmentations.sql \
        install/bans.sql \
        install/bonus.sql \
        install/castle.sql \
        install/castle_doorupgrade.sql \
        install/castle_siege_guards.sql \
        install/character_blocklist.sql \
        install/character_effects_save.sql \
        install/character_friends.sql \
        install/character_hennas.sql \
        install/character_macroses.sql \
        install/character_quests.sql \
        install/character_recipebook.sql \
        install/character_shortcuts.sql \
        install/character_skills.sql \
        install/character_skills_save.sql \
        install/character_subclasses.sql \
        install/character_variables.sql \
        install/characters.sql \
        install/ch_sieges.sql \
        install/chs_clans.sql \
        install/clan_data.sql \
        install/clan_privs.sql \
        install/clan_skills.sql \
        install/clan_subpledges.sql \
        install/clan_wars.sql \
        install/clanhall.sql \
        install/clanhall_functions.sql \
        install/couples.sql \
        install/craftcount.sql \
        install/cursed_weapons.sql \
        install/dropcount.sql \
        install/forums.sql \
        install/game_log.sql \
        install/global_tasks.sql \
        install/item_creation.sql \
        install/items.sql \
        install/items_delayed.sql \
        install/killcount.sql \
        install/manor_crop.sql \
        install/manor_seeds.sql \
        install/petitions.sql \
        install/pets.sql \
        install/posts.sql \
        install/raidboss_points.sql \
        install/raidboss_status.sql \
        install/server_variables.sql \
        install/seven_signs.sql \
        install/seven_signs_festival.sql \
        install/seven_signs_status.sql \
        install/siege_clans.sql \
        install/topic.sql \
        install/olympiad_nobles.sql \
        install/castle_manor_procure.sql \
        install/castle_manor_production.sql \
        ; do
                echo Loading $tab ...
                mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < $tab
done
./upgrade.sh
