CREATE TABLE IF NOT EXISTS `character_subclasses` (
	`char_obj_id` INT(10) NOT NULL,
	`class_id` TINYINT(2) NOT NULL,
	`level` TINYINT(2) NOT NULL DEFAULT '1',
	`exp` BIGINT NOT NULL DEFAULT '0',
	`sp` DECIMAL(11,0) NOT NULL DEFAULT '0',
  `curHp`   DECIMAL(9,4)  UNSIGNED NOT NULL DEFAULT '0',
  `curMp`   DECIMAL(9,4)  UNSIGNED NOT NULL DEFAULT '0',
  `curCp`   DECIMAL(9,4)  UNSIGNED NOT NULL DEFAULT '0',
  `maxHp`   MEDIUMINT(8)  UNSIGNED NOT NULL DEFAULT '0',
  `maxMp`   MEDIUMINT(8)  UNSIGNED NOT NULL DEFAULT '0',
  `maxCp`   MEDIUMINT(8)  UNSIGNED NOT NULL DEFAULT '0',
	`active` BOOLEAN NOT NULL DEFAULT '0',
	`isBase` BOOLEAN NOT NULL DEFAULT '0',
  `death_penalty` tinyint(1) NOT NULL default '0',
	PRIMARY KEY  (`char_obj_id`,`class_id`)
) TYPE=MyISAM;