#!/bin/sh

. ../mysql_pass.sh
echo 

echo  "Preparing backup of tables from database $DBNAME"

mysqldump --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME droplist > prefix_droplist_backup.sql
mysqldump --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME spawnlist > prefix_spawnlist_backup.sql
mysqldump --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME prices > prefix_prices_backup.sql
mysqldump --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME prices > prefix_npc_backup.sql

echo " done!"

echo  "Installing fixes."

mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < FixDrop.sql
mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < l2wh.sql
mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < respawn.sql
mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < drop.sql
mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < exp_sp.sql
mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < raid_passive.sql
echo " done!"

