# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

ADAMANTITE_ORE_ID = 1024
BUCKLER = 20
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("id","0")
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        htmltext = "30005-05.htm"
    elif event == "157_1" :
          htmltext = "30005-04.htm"
          return htmltext
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30005 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
        if st.getInt(("cond"))<15 :
          if st.getPlayer().getLevel() >= 5 :
            htmltext = "30005-03.htm"
          else:
            htmltext = "30005-02.htm"
            st.exitCurrentQuest(True)
        else:
          htmltext = "30005-02.htm"
          st.exitCurrentQuest(True)
   elif npcId == 30005 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30005 and st.getInt(("cond"))!=0 and st.getQuestItemsCount(ADAMANTITE_ORE_ID)<20 :
        htmltext = "30005-06.htm"
   elif npcId == 30005 and st.getInt(("cond"))!=0 and st.getQuestItemsCount(ADAMANTITE_ORE_ID)>=20 and st.getInt(("onlyone"))==0 :
        st.takeItems(ADAMANTITE_ORE_ID,st.getQuestItemsCount(ADAMANTITE_ORE_ID))
        st.unset("cond")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
        st.giveItems(BUCKLER,1)
        htmltext = "30005-07.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20121 :
        st.set("id","0")
        if st.getInt(("cond")) != 0 and st.getQuestItemsCount(ADAMANTITE_ORE_ID)<20 and st.getRandom(10)<4 :
            st.giveItems(ADAMANTITE_ORE_ID,1)
            if st.getQuestItemsCount(ADAMANTITE_ORE_ID) == 20 :
              st.playSound("ItemSound.quest_middle")
            else:
              st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(157,"157_RecoverSmuggled","Recover Smuggled")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30005)

QUEST.addTalkId(30005)

QUEST.addTalkId(30005)

QUEST.addKillId(20121)

STARTED.addQuestDrop(20121,ADAMANTITE_ORE_ID,1)

print "importing quests: 157: Recover Smuggled"
