# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

NIGHTMARE_CRYSTAL_ID = 1046
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("id","0")
        htmltext = "30305-04.htm"
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30305 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
      if st.getInt(("cond"))<15 :
        if st.getPlayer().getRace().ordinal() != 2 :
          htmltext = "30305-00.htm"
        elif st.getPlayer().getLevel() >= 21 :
          htmltext = "30305-03.htm"
          return htmltext
        else:
          htmltext = "30305-02.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30305-02.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30305 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30305 and st.getInt(("cond")) :
      if st.getQuestItemsCount(NIGHTMARE_CRYSTAL_ID)<1 :
        htmltext = "30305-05.htm"
      elif st.getQuestItemsCount(NIGHTMARE_CRYSTAL_ID) >= 1 and st.getInt(("onlyone")) == 0 :
          if st.getInt("id") != 170 :
            st.set("id","170")
            htmltext = "30305-06.htm"
            st.giveItems(ADENA,102680)
            st.takeItems(NIGHTMARE_CRYSTAL_ID,st.getQuestItemsCount(NIGHTMARE_CRYSTAL_ID))
            st.set("cond","0")
            st.setState(COMPLETED)
            st.playSound("ItemSound.quest_finish")
            st.set("onlyone","1")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 27022 :
        st.set("id","0")
        if st.getInt(("cond")) == 1 and st.getQuestItemsCount(NIGHTMARE_CRYSTAL_ID) == 0 :
          st.giveItems(NIGHTMARE_CRYSTAL_ID,1)
          st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(170,"170_DangerousSeduction","Dangerous Seduction")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30305)

QUEST.addTalkId(30305)

QUEST.addTalkId(30305)

QUEST.addKillId(27022)

STARTED.addQuestDrop(27022,NIGHTMARE_CRYSTAL_ID,1)

print "importing quests: 170: Dangerous Seduction"
