import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31517-02.htm" :
      st.setState(STARTED)
      st.set("cond","1")
      st.giveItems(7168,4)
      st.playSound("ItemSound.quest_accept")
    elif event == "31508-02.htm" :
      st.takeItems(7168,1)
      st.set("cond","2")
      st.playSound("ItemSound.quest_middle")
    elif event == "31509-02.htm" :
      st.takeItems(7168,1)
      st.set("cond","3")
      st.playSound("ItemSound.quest_middle")
    elif event == "31510-02.htm" :
      st.takeItems(7168,1)
      st.set("cond","4")
      st.playSound("ItemSound.quest_middle")
    elif event == "31511-02.htm" :
      st.takeItems(7168,1)
      st.set("cond","5")
      st.playSound("ItemSound.quest_middle")

    return htmltext

 def onTalk (Self,npc,st) :
   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31517 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 61 :
               htmltext = "31517-01.htm"
            else :
               htmltext = "31517-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond > 0 and cond < 5 and st.getQuestItemsCount(7168) > 0 :
         htmltext = "31517-02r.htm"
      elif cond > 0 and cond < 5 and st.getQuestItemsCount(7168) == 0 :
         htmltext = "31517-proeb.htm"
         st.set("cond","0")
         st.setState(COMPLETED)
      elif cond == 5 and st.getQuestItemsCount(7168) == 0 :
         htmltext = "31517-03.htm"
         st.addExpAndSp(105527,0) 
         st.set("cond","0")
         st.setState(COMPLETED)
         st.playSound("ItemSound.quest_finish")
   elif npcId == 31508 :
      if cond == 1 :
         if st.getQuestItemsCount(7168) != 0 :
            htmltext = "31508-01.htm"
         else :
            htmltext = "31508-03.htm"
      elif cond == 2 :
         htmltext = "31508-04.htm"
   elif npcId == 31509 :
      if cond == 2 :
         if st.getQuestItemsCount(7168) != 0 :
            htmltext = "31509-01.htm"
         else :
            htmltext = "31509-03.htm"
      elif cond == 3 :
         htmltext = "31509-04.htm"
   elif npcId == 31510 :
      if cond == 3 :
         if st.getQuestItemsCount(7168) != 0 :
            htmltext = "31510-01.htm"
         else :
            htmltext = "31510-03.htm"
      elif cond == 4 :
         htmltext = "31510-04.htm"
   elif npcId == 31511 :
      if cond == 4 :
         if st.getQuestItemsCount(7168) != 0 :
            htmltext = "31511-01.htm"
         else :
            htmltext = "31511-03.htm"
      elif cond == 5 :
         htmltext = "31511-04.htm"
   return htmltext

QUEST       = Quest(17,"17_LightAndDarkness","Light and Darkness")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31517)

QUEST.addTalkId(31517)
QUEST.addTalkId(31517)

QUEST.addTalkId(31508)
QUEST.addTalkId(31509)
QUEST.addTalkId(31510)
QUEST.addTalkId(31511)

STARTED.addQuestDrop(31517,7168,1)

print "importing quests: 17: Light and Darkness"