import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

SUPPLY_BOX = 7245

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31314-2.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
   elif event == "31315-2.htm" :
      st.set("cond","2")
      st.giveItems(SUPPLY_BOX,1)
      st.playSound("ItemSound.quest_accept")
   elif event == "31555-2.htm" :
      st.takeItems(SUPPLY_BOX,-1)
      st.giveItems(57,15000)
      st.addExpAndSp(0,50000)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31314 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 66 :
               htmltext = "31314-1.htm"
            else :
               htmltext = "31314-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 :
         htmltext = "31314-2r.htm"
   elif npcId == 31315 :
      if cond == 1 :
         htmltext = "31315-1.htm"
      elif cond == 2 :
         htmltext = "31315-2r.htm"
   elif npcId == 31555 :
      if cond == 2 and st.getQuestItemsCount(SUPPLY_BOX) == 1 :
         htmltext = "31555-1.htm"
   return htmltext

QUEST       = Quest(18,"18_MeetingwiththeGoldenRam","Meeting with the Golden Ram")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31314)
QUEST.addTalkId(31314)
QUEST.addTalkId(31314)
QUEST.addTalkId(31314)
QUEST.addTalkId(31315)
QUEST.addTalkId(31555)

STARTED.addQuestDrop(31315,SUPPLY_BOX,1)
STARTED.addQuestDrop(31555,57,1)

print "importing quests: 18: Meeting with the Golden Ram"