# Maked by HellSinger
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

TUNATUN = 31537
BUFFALO = 21470
KOOKABURRA = 21451
COUGAR = 21489
JEWEL_INNOCENCE = 7185

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   id = st.getState()
   id2 = st.getStateId()
   htmltext = event
   if id == CREATED or id2 == "Aborted" :
      st.set("cond","0")
#      for amp in range(1,5) :
#        if event == "31537-" + amp + ".htm" :
#           return htmltext
      if event == "31537-1.htm" :
        return htmltext
      elif event == "31537-2.htm" :
        return htmltext
      elif event == "31537-3.htm" :
        return htmltext
      elif event == "31537-4.htm" :
        return htmltext
      elif event == "31537-5.htm" :
        return htmltext
      elif event == "31537-6.htm" :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        return htmltext
   elif event == "31537-8.htm" :
     st.takeItems(JEWEL_INNOCENCE,-1)
     st.giveItems(57,68500)
     st.unset("cond")
     st.setState(COMPLETED)
     st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   id2 = st.getStateId()
   cond = st.getInt("cond")
   if npcId == TUNATUN :
     if cond == 0 :
       if id == COMPLETED :
         htmltext = "<html><body>This quest has already been completed.</body></html>"
       elif id == CREATED or id2 == "Aborted" :
         if st.getPlayer().getLevel() <= 64 :
           st.exitCurrentQuest(True)
           htmltext = "31537-00.htm"
         else:
           htmltext = "31537-0.htm"
     elif cond == 1 and st.getQuestItemsCount(JEWEL_INNOCENCE) == 0 :
       htmltext = "31537-6a.htm"
     elif cond == 2 and st.getQuestItemsCount(JEWEL_INNOCENCE) >= 1 :
       htmltext = "31537-7.htm"
   return htmltext

 def onKill (self,npc,st) :
   npcId = npc.getNpcId()
   npcs = [ BUFFALO, KOOKABURRA, COUGAR ]
   if st.getQuestItemsCount(JEWEL_INNOCENCE) == 0 :
     if npcId in npcs :
       if st.getRandom(100) <= 20 :
         st.giveItems(JEWEL_INNOCENCE,1)
         st.playSound("ItemSound.quest_middle")
         st.set("cond","2")
   return

QUEST       = Quest(20,"20_BringUpWithLove","Bring Up With Love")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(TUNATUN)

QUEST.addTalkId(TUNATUN)
QUEST.addTalkId(TUNATUN)
QUEST.addTalkId(TUNATUN)

QUEST.addKillId(BUFFALO)
QUEST.addKillId(KOOKABURRA)
QUEST.addKillId(COUGAR)

STARTED.addQuestDrop(BUFFALO,JEWEL_INNOCENCE,1)
STARTED.addQuestDrop(KOOKABURRA,JEWEL_INNOCENCE,1)
STARTED.addQuestDrop(COUGAR,JEWEL_INNOCENCE,1)
STARTED.addQuestDrop(TUNATUN,57,1)

print "importing quests: 20: Bring Up With Love"
