# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

MARK_OF_TRUST_ID = 2734
LETTER_TO_ELF_ID = 1558
LETTER_TO_DARKELF_ID = 1556
LETTER_TO_DWARF_ID = 2737
LETTER_TO_ORC_ID = 2738
LETTER_TO_SERESIN_ID = 2739
SCROLL_OF_DARKELF_TRUST_ID = 2740
SCROLL_OF_ELF_TRUST_ID = 2741
SCROLL_OF_DWARF_TRUST_ID = 2742
SCROLL_OF_ORC_TRUST_ID = 2743
RECOMMENDATION_OF_HOLLIN_ID = 2744
ORDER_OF_OZZY_ID = 2745
BREATH_OF_WINDS_ID = 2746
SEED_OF_VERDURE_ID = 2747
LETTER_OF_THIFIELL_ID = 2748
BLOOD_OF_GUARDIAN_BASILISK_ID = 2749
GIANT_APHID_ID = 2750
STAKATOS_FLUIDS_ID = 2751
BASILISK_PLASMA_ID = 2752
HONEY_DEW_ID = 2753
STAKATO_ICHOR_ID = 2754
ORDER_OF_CLAYTON_ID = 2755
PARASITE_OF_LOTA_ID = 2756
LETTER_TO_MANAKIA_ID = 2757
LETTER_OF_MANAKIA_ID = 2758
LETTER_TO_NICHOLA_ID = 2759
ORDER_OF_NICHOLA_ID = 2760
HEART_OF_PORTA_ID = 2761

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      htmltext = "30191-04.htm"
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      st.giveItems(LETTER_TO_ELF_ID,1)
      st.giveItems(LETTER_TO_DARKELF_ID,1)
    elif event == "30154_1" :
      htmltext = "30154-02.htm"
    elif event == "30154_2" :
      htmltext = "30154-03.htm"
      st.takeItems(LETTER_TO_ELF_ID,1)
      st.giveItems(ORDER_OF_OZZY_ID,1)
      st.set("cond","2")
    elif event == "30358_1" :
      htmltext = "30358-02.htm"
      st.takeItems(LETTER_TO_DARKELF_ID,1)
      st.giveItems(LETTER_OF_THIFIELL_ID,1)
      st.set("cond","5")
    elif event == "30657_1" :
      if st.getPlayer().getLevel() >= 38 :
        htmltext = "30657-03.htm"
        st.takeItems(LETTER_TO_SERESIN_ID,1)
        st.giveItems(LETTER_TO_ORC_ID,1)
        st.giveItems(LETTER_TO_DWARF_ID,1)
        st.set("cond","9")
      else:
        htmltext = "30657-02.htm"
    elif event == "30565_1" :
      htmltext = "30565-02.htm"
      st.takeItems(LETTER_TO_ORC_ID,1)
      st.giveItems(LETTER_TO_MANAKIA_ID,1)
      st.set("cond","10")
    elif event == "30515_1" :
      htmltext = "30515-02.htm"
      st.takeItems(LETTER_TO_MANAKIA_ID,1)
      st.set("cond","11")
    elif event == "30531_1" :
      htmltext = "30531-02.htm"
      st.takeItems(LETTER_TO_DWARF_ID,1)
      st.giveItems(LETTER_TO_NICHOLA_ID,1)
      st.set("cond","15")
    elif event == "30621_1" :
      htmltext = "30621-02.htm"
      st.takeItems(LETTER_TO_NICHOLA_ID,1)
      st.giveItems(ORDER_OF_NICHOLA_ID,1)
      st.set("cond","16")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30191 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
     if st.getPlayer().getRace().ordinal() == 0 :
       if st.getPlayer().getLevel() >= 37 :
         htmltext = "30191-03.htm"
       else:
         htmltext = "30191-01.htm"
         st.exitCurrentQuest(True)
     else:
       htmltext = "30191-02.htm"
       st.exitCurrentQuest(True)
   elif npcId == 30191 and st.getInt(("cond"))==0 and st.getInt(("onlyone")) == 1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30191 and st.getInt(("cond"))==7 and st.getQuestItemsCount(SCROLL_OF_ELF_TRUST_ID) and st.getQuestItemsCount(SCROLL_OF_DARKELF_TRUST_ID) :
      htmltext = "30191-05.htm"
      st.takeItems(SCROLL_OF_DARKELF_TRUST_ID,1)
      st.takeItems(SCROLL_OF_ELF_TRUST_ID,1)
      st.giveItems(LETTER_TO_SERESIN_ID,1)
      st.set("cond","8")
   elif npcId == 30191 and st.getInt(("cond"))==18 and st.getQuestItemsCount(SCROLL_OF_DWARF_TRUST_ID) and st.getQuestItemsCount(SCROLL_OF_ORC_TRUST_ID) :
      htmltext = "30191-06.htm"
      st.takeItems(SCROLL_OF_DWARF_TRUST_ID,1)
      st.takeItems(SCROLL_OF_ORC_TRUST_ID,1)
      st.giveItems(RECOMMENDATION_OF_HOLLIN_ID,1)
      st.set("cond","20019")
   elif npcId == 30191 and st.getInt(("cond"))==20019 :
      htmltext = "30191-07.htm"
   elif npcId == 30191 and st.getInt(("cond"))==1 :
      htmltext = "30191-08.htm"
   elif npcId == 30191 and st.getInt(("cond"))==8 :
      htmltext = "30191-09.htm"
   elif npcId == 30154 and st.getInt(("cond"))==1 and st.getQuestItemsCount(LETTER_TO_ELF_ID) :
      htmltext = "30154-01.htm"
   elif npcId == 30154 and st.getInt(("cond"))==2 and st.getQuestItemsCount(ORDER_OF_OZZY_ID) :
      htmltext = "30154-04.htm"
   elif npcId == 30154 and st.getInt(("cond"))==3 and st.getQuestItemsCount(BREATH_OF_WINDS_ID) and st.getQuestItemsCount(SEED_OF_VERDURE_ID) :
      htmltext = "30154-05.htm"
      st.takeItems(BREATH_OF_WINDS_ID,1)
      st.takeItems(SEED_OF_VERDURE_ID,1)
      st.takeItems(ORDER_OF_OZZY_ID,1)
      st.giveItems(SCROLL_OF_ELF_TRUST_ID,1)
      st.set("cond","4")
   elif npcId == 30154 and st.getInt(("cond"))==4 :
      htmltext = "30154-06.htm"
   elif npcId == 30358 and st.getInt(("cond"))==4 and st.getQuestItemsCount(LETTER_TO_DARKELF_ID) :
      htmltext = "30358-01.htm"
   elif npcId == 30358 and st.getInt(("cond"))==6 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and ((st.getQuestItemsCount(STAKATO_ICHOR_ID)+st.getQuestItemsCount(HONEY_DEW_ID)+st.getQuestItemsCount(BASILISK_PLASMA_ID))==3) :
      htmltext = "30358-03.htm"
      st.takeItems(ORDER_OF_CLAYTON_ID,1)
      st.takeItems(BASILISK_PLASMA_ID,1)
      st.takeItems(STAKATO_ICHOR_ID,1)
      st.takeItems(HONEY_DEW_ID,1)
      st.giveItems(SCROLL_OF_DARKELF_TRUST_ID,1)
      st.set("cond","7")
   elif npcId == 30358 and st.getInt(("cond"))==7 :
      htmltext = "30358-04.htm"
   elif npcId == 30358 and st.getInt(("cond"))==5 :
      htmltext = "30358-05.htm"
   elif npcId == 30464 and st.getInt(("cond"))==5 and st.getQuestItemsCount(LETTER_OF_THIFIELL_ID) :
      htmltext = "30464-01.htm"
      st.takeItems(LETTER_OF_THIFIELL_ID,1)
      st.giveItems(ORDER_OF_CLAYTON_ID,1)
      st.set("cond","6")
   elif npcId == 30464 and st.getInt(("cond"))==6 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and ((st.getQuestItemsCount(STAKATO_ICHOR_ID)+st.getQuestItemsCount(HONEY_DEW_ID)+st.getQuestItemsCount(BASILISK_PLASMA_ID))<3) :
      htmltext = "30464-02.htm"
   elif npcId == 30464 and st.getInt(("cond"))==6 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and ((st.getQuestItemsCount(STAKATO_ICHOR_ID)+st.getQuestItemsCount(HONEY_DEW_ID)+st.getQuestItemsCount(BASILISK_PLASMA_ID))==3) :
      htmltext = "30464-03.htm"
   elif npcId == 30657 and st.getInt(("cond"))==8 and st.getQuestItemsCount(LETTER_TO_SERESIN_ID) :
      htmltext = "30657-01.htm"
   elif npcId == 30657 and st.getInt(("cond"))==9 :
      htmltext = "30657-04.htm"
   elif npcId == 30657 and st.getInt(("cond"))==18 :
      htmltext = "30657-05.htm"
   elif npcId == 30565 and st.getInt(("cond"))==9 and st.getQuestItemsCount(LETTER_TO_ORC_ID) :
      htmltext = "30565-01.htm"
   elif npcId == 30565 and st.getInt(("cond"))==10 :
      htmltext = "30565-03.htm"
   elif npcId == 30565 and st.getInt(("cond"))==20013 :
      htmltext = "30565-04.htm"
      st.takeItems(LETTER_OF_MANAKIA_ID,1)
      st.giveItems(SCROLL_OF_ORC_TRUST_ID,1)
      st.set("cond","14")
   elif npcId == 30565 and st.getInt(("cond"))==14 :
      htmltext = "30565-05.htm"
   elif npcId == 30515 and st.getInt(("cond"))==10 and st.getQuestItemsCount(LETTER_TO_MANAKIA_ID) :
      htmltext = "30515-01.htm"
   elif npcId == 30515 and st.getInt(("cond"))==11 :
      htmltext = "30515-03.htm"
   elif npcId == 30515 and st.getInt(("cond"))==12 and st.getQuestItemsCount(PARASITE_OF_LOTA_ID)==10 :
      htmltext = "30515-04.htm"
      st.takeItems(PARASITE_OF_LOTA_ID,st.getQuestItemsCount(PARASITE_OF_LOTA_ID))
      st.giveItems(LETTER_OF_MANAKIA_ID,1)
      st.set("cond","20013")
   elif npcId == 30515 and st.getInt(("cond"))==20013 :
      htmltext = "30515-05.htm"
   elif npcId == 30531 and st.getInt(("cond"))==14 and st.getQuestItemsCount(LETTER_TO_DWARF_ID) :
      htmltext = "30531-01.htm"
   elif npcId == 30531 and st.getInt(("cond"))==15 :
      htmltext = "30531-03.htm"
   elif npcId == 30531 and st.getInt(("cond"))==17 :
      htmltext = "30531-04.htm"
      st.giveItems(SCROLL_OF_DWARF_TRUST_ID,1)
      st.set("cond","18")
   elif npcId == 30531 and st.getInt(("cond"))==18 :
      htmltext = "30531-05.htm"
   elif npcId == 30621 and st.getInt(("cond"))==15 and st.getQuestItemsCount(LETTER_TO_NICHOLA_ID) :
      htmltext = "30621-01.htm"
   elif npcId == 30621 and st.getInt(("cond"))==16 and st.getQuestItemsCount(HEART_OF_PORTA_ID)<10 :
      htmltext = "30621-03.htm"
   elif npcId == 30621 and st.getInt(("cond"))==16 and st.getQuestItemsCount(HEART_OF_PORTA_ID)==10 :
      htmltext = "30621-04.htm"
      st.takeItems(HEART_OF_PORTA_ID,st.getQuestItemsCount(HEART_OF_PORTA_ID))
      st.takeItems(ORDER_OF_NICHOLA_ID,1)
      st.set("cond","17")
   elif npcId == 30621 and st.getInt(("cond"))==17 :
      htmltext = "30621-05.htm"
   elif npcId == 30031 and st.getInt(("cond"))==20019 and st.getQuestItemsCount(RECOMMENDATION_OF_HOLLIN_ID) and st.getInt(("onlyone")) == 0:
      if st.getGameTicks() != st.getInt("id") :
        st.set("id",str(st.getGameTicks()))
        st.addExpAndSp(32600,4000)
      htmltext = "30031-01.htm"
      st.takeItems(RECOMMENDATION_OF_HOLLIN_ID,1)
      st.giveItems(MARK_OF_TRUST_ID,1)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
      st.set("onlyone","1")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20036 or npcId == 20044:
      if st.getInt(("cond")) and st.getInt(("cond")) == 2 and st.getQuestItemsCount(BREATH_OF_WINDS_ID) == 0 :
        st.set("id",str(st.getInt("id")+1))
        if st.getRandom(100)<(st.getInt("id")*33) :
          st.getPcSpawn().addSpawn(27120)
          st.playSound("Itemsound.quest_before_battle")
   elif npcId == 20013 or npcId == 20019:
      if st.getInt(("cond")) and st.getInt(("cond")) == 2 and st.getQuestItemsCount(SEED_OF_VERDURE_ID) == 0 :
        st.set("id",str(st.getInt("id")+1))
        if st.getRandom(100)<(st.getInt("id")*33) :
          st.getPcSpawn().addSpawn(27121)
          st.playSound("Itemsound.quest_before_battle")

   elif npcId == 27120 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 2 and st.getQuestItemsCount(BREATH_OF_WINDS_ID) == 0 :
        if st.getQuestItemsCount(SEED_OF_VERDURE_ID) :
          st.giveItems(BREATH_OF_WINDS_ID,1)
          st.set("cond","3")
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(BREATH_OF_WINDS_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 27121 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 2 and st.getQuestItemsCount(SEED_OF_VERDURE_ID) == 0 :
        if st.getQuestItemsCount(BREATH_OF_WINDS_ID) :
          st.giveItems(SEED_OF_VERDURE_ID,1)
          st.set("cond","3")
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(SEED_OF_VERDURE_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20550 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(BLOOD_OF_GUARDIAN_BASILISK_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(BASILISK_PLASMA_ID) == 0 :
        if st.getQuestItemsCount(BLOOD_OF_GUARDIAN_BASILISK_ID) == 9 :
          st.takeItems(BLOOD_OF_GUARDIAN_BASILISK_ID,st.getQuestItemsCount(BLOOD_OF_GUARDIAN_BASILISK_ID))
          st.giveItems(BASILISK_PLASMA_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(BLOOD_OF_GUARDIAN_BASILISK_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20157 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(STAKATOS_FLUIDS_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(STAKATO_ICHOR_ID) == 0 :
        if st.getQuestItemsCount(STAKATOS_FLUIDS_ID) == 9 :
          st.takeItems(STAKATOS_FLUIDS_ID,st.getQuestItemsCount(STAKATOS_FLUIDS_ID))
          st.giveItems(STAKATO_ICHOR_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(STAKATOS_FLUIDS_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20230 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(STAKATOS_FLUIDS_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(STAKATO_ICHOR_ID) == 0 :
        if st.getQuestItemsCount(STAKATOS_FLUIDS_ID) == 9 :
          st.takeItems(STAKATOS_FLUIDS_ID,st.getQuestItemsCount(STAKATOS_FLUIDS_ID))
          st.giveItems(STAKATO_ICHOR_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(STAKATOS_FLUIDS_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20232 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(STAKATOS_FLUIDS_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(STAKATO_ICHOR_ID) == 0 :
        if st.getQuestItemsCount(STAKATOS_FLUIDS_ID) == 9 :
          st.takeItems(STAKATOS_FLUIDS_ID,st.getQuestItemsCount(STAKATOS_FLUIDS_ID))
          st.giveItems(STAKATO_ICHOR_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(STAKATOS_FLUIDS_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20234 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(STAKATOS_FLUIDS_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(STAKATO_ICHOR_ID) == 0 :
        if st.getQuestItemsCount(STAKATOS_FLUIDS_ID) == 9 :
          st.takeItems(STAKATOS_FLUIDS_ID,st.getQuestItemsCount(STAKATOS_FLUIDS_ID))
          st.giveItems(STAKATO_ICHOR_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(STAKATOS_FLUIDS_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20082 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(GIANT_APHID_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(HONEY_DEW_ID) == 0 :
        if st.getQuestItemsCount(GIANT_APHID_ID) == 9 :
          st.takeItems(GIANT_APHID_ID,st.getQuestItemsCount(GIANT_APHID_ID))
          st.giveItems(HONEY_DEW_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(GIANT_APHID_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20086 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(GIANT_APHID_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(HONEY_DEW_ID) == 0 :
        if st.getQuestItemsCount(GIANT_APHID_ID) == 9 :
          st.takeItems(GIANT_APHID_ID,st.getQuestItemsCount(GIANT_APHID_ID))
          st.giveItems(HONEY_DEW_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(GIANT_APHID_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20087 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(GIANT_APHID_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(HONEY_DEW_ID) == 0 :
        if st.getQuestItemsCount(GIANT_APHID_ID) == 9 :
          st.takeItems(GIANT_APHID_ID,st.getQuestItemsCount(GIANT_APHID_ID))
          st.giveItems(HONEY_DEW_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(GIANT_APHID_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20084 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(GIANT_APHID_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(HONEY_DEW_ID) == 0 :
        if st.getQuestItemsCount(GIANT_APHID_ID) == 9 :
          st.takeItems(GIANT_APHID_ID,st.getQuestItemsCount(GIANT_APHID_ID))
          st.giveItems(HONEY_DEW_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(GIANT_APHID_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20088 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 6 and st.getQuestItemsCount(GIANT_APHID_ID) < 10 and st.getQuestItemsCount(ORDER_OF_CLAYTON_ID) and st.getQuestItemsCount(HONEY_DEW_ID) == 0 :
        if st.getQuestItemsCount(GIANT_APHID_ID) == 9 :
          st.takeItems(GIANT_APHID_ID,st.getQuestItemsCount(GIANT_APHID_ID))
          st.giveItems(HONEY_DEW_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(GIANT_APHID_ID,1)
          st.playSound("Itemsound.quest_itemget")
   elif npcId == 20553 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 11 and st.getQuestItemsCount(PARASITE_OF_LOTA_ID) < 10 :
        if st.getRandom(2) == 1 :
          if st.getQuestItemsCount(PARASITE_OF_LOTA_ID) == 9 :
            st.giveItems(PARASITE_OF_LOTA_ID,1)
            st.set("cond","12")
            st.playSound("Itemsound.quest_middle")
          else:
            st.giveItems(PARASITE_OF_LOTA_ID,1)
            st.playSound("Itemsound.quest_itemget")
   elif npcId == 20213 :
      if st.getInt(("cond")) and st.getInt(("cond")) == 16 and st.getQuestItemsCount(HEART_OF_PORTA_ID) < 10 :
        if st.getQuestItemsCount(HEART_OF_PORTA_ID) == 9 :
          st.giveItems(HEART_OF_PORTA_ID,1)
          st.playSound("Itemsound.quest_middle")
        else:
          st.giveItems(HEART_OF_PORTA_ID,1)
          st.playSound("Itemsound.quest_itemget")
   return

QUEST       = Quest(217,"217_TestimonyOfTrust","Testimony Of Trust")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30191)

QUEST.addTalkId(30191)

QUEST.addTalkId(30031)
QUEST.addTalkId(30154)
QUEST.addTalkId(30191)
QUEST.addTalkId(30358)
QUEST.addTalkId(30464)
QUEST.addTalkId(30515)
QUEST.addTalkId(30531)
QUEST.addTalkId(30565)
QUEST.addTalkId(30621)
QUEST.addTalkId(30657)

QUEST.addKillId(20013)
QUEST.addKillId(20157)
QUEST.addKillId(20019)
QUEST.addKillId(20213)
QUEST.addKillId(20230)
QUEST.addKillId(20232)
QUEST.addKillId(20234)
QUEST.addKillId(20036)
QUEST.addKillId(20044)
QUEST.addKillId(27120)
QUEST.addKillId(27121)
QUEST.addKillId(20550)
QUEST.addKillId(20553)
QUEST.addKillId(20082)
QUEST.addKillId(20084)
QUEST.addKillId(20086)
QUEST.addKillId(20087)
QUEST.addKillId(20088)

STARTED.addQuestDrop(30358,SCROLL_OF_DARKELF_TRUST_ID,1)
STARTED.addQuestDrop(30154,SCROLL_OF_ELF_TRUST_ID,1)
STARTED.addQuestDrop(30531,SCROLL_OF_DWARF_TRUST_ID,1)
STARTED.addQuestDrop(30565,SCROLL_OF_ORC_TRUST_ID,1)
STARTED.addQuestDrop(27120,BREATH_OF_WINDS_ID,1)
STARTED.addQuestDrop(27121,SEED_OF_VERDURE_ID,1)
STARTED.addQuestDrop(30154,ORDER_OF_OZZY_ID,1)
STARTED.addQuestDrop(30191,LETTER_TO_ELF_ID,1)
STARTED.addQuestDrop(30464,ORDER_OF_CLAYTON_ID,1)
STARTED.addQuestDrop(20550,BASILISK_PLASMA_ID,1)
STARTED.addQuestDrop(20157,STAKATO_ICHOR_ID,1)
STARTED.addQuestDrop(20230,STAKATO_ICHOR_ID,1)
STARTED.addQuestDrop(20232,STAKATO_ICHOR_ID,1)
STARTED.addQuestDrop(20234,STAKATO_ICHOR_ID,1)
STARTED.addQuestDrop(20082,HONEY_DEW_ID,1)
STARTED.addQuestDrop(20086,HONEY_DEW_ID,1)
STARTED.addQuestDrop(20087,HONEY_DEW_ID,1)
STARTED.addQuestDrop(20084,HONEY_DEW_ID,1)
STARTED.addQuestDrop(20088,HONEY_DEW_ID,1)
STARTED.addQuestDrop(30191,LETTER_TO_DARKELF_ID,1)
STARTED.addQuestDrop(30358,LETTER_OF_THIFIELL_ID,1)
STARTED.addQuestDrop(30191,LETTER_TO_SERESIN_ID,1)
STARTED.addQuestDrop(30657,LETTER_TO_ORC_ID,1)
STARTED.addQuestDrop(30515,LETTER_OF_MANAKIA_ID,1)
STARTED.addQuestDrop(30565,LETTER_TO_MANAKIA_ID,1)
STARTED.addQuestDrop(20553,PARASITE_OF_LOTA_ID,1)
STARTED.addQuestDrop(30657,LETTER_TO_DWARF_ID,1)
STARTED.addQuestDrop(30531,LETTER_TO_NICHOLA_ID,1)
STARTED.addQuestDrop(20213,HEART_OF_PORTA_ID,1)
STARTED.addQuestDrop(30621,ORDER_OF_NICHOLA_ID,1)
STARTED.addQuestDrop(30191,RECOMMENDATION_OF_HOLLIN_ID,1)
STARTED.addQuestDrop(20550,BLOOD_OF_GUARDIAN_BASILISK_ID,1)
STARTED.addQuestDrop(20157,STAKATOS_FLUIDS_ID,1)
STARTED.addQuestDrop(20230,STAKATOS_FLUIDS_ID,1)
STARTED.addQuestDrop(20232,STAKATOS_FLUIDS_ID,1)
STARTED.addQuestDrop(20234,STAKATOS_FLUIDS_ID,1)
STARTED.addQuestDrop(20082,GIANT_APHID_ID,1)
STARTED.addQuestDrop(20086,GIANT_APHID_ID,1)
STARTED.addQuestDrop(20087,GIANT_APHID_ID,1)
STARTED.addQuestDrop(20084,GIANT_APHID_ID,1)
STARTED.addQuestDrop(20088,GIANT_APHID_ID,1)

print "importing quests: 217: Testimony Of Trust"
