# Maked by Mr. Have fun! Version 0.2
# Quest: Testimony Of Life
# Fixed by Artful (http://L2PLanet.ru Lineage2 C3 Server)

import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

MARK_OF_LIFE = 3140
CARDIENS_LETTER = 3141
CAMOMILE_CHARM = 3142
HIERARCHS_LETTER = 3143
MOONFLOWER_CHARM = 3144
GRAIL_DIAGRAM = 3145
THALIAS_LETTER1 = 3146
THALIAS_LETTER2 = 3147
THALIAS_INSTRUCTIONS = 3148
PUSHKINS_LIST = 3149
PURE_MITHRIL_CUP = 3150
ARKENIAS_CONTRACT = 3151
ARKENIAS_INSTRUCTIONS = 3152
ADONIUS_LIST = 3153
ANDARIEL_SCRIPTURE_COPY = 3154
STARDUST = 3155
ISAELS_INSTRUCTIONS = 3156
ISAELS_LETTER = 3157
GRAIL_OF_PURITY = 3158
TEARS_OF_UNICORN = 3159
WATER_OF_LIFE = 3160
PURE_MITHRIL_ORE = 3161
ANT_SOLDIER_ACID = 3162
WYRMS_TALON1 = 3163
SPIDER_ICHOR = 3164
HARPYS_DOWN = 3165
TALINS_SPEAR_BLADE = 3166
TALINS_SPEAR_SHAFT = 3167
TALINS_RUBY = 3168
TALINS_AQUAMARINE = 3169
TALINS_AMETHYST = 3170
TALINS_PERIDOT = 3171
TALINS_SPEAR = 3026
DIMENSION_DIAMOND = 7562

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1":
        htmltext = "30460-04.htm"
#        if st.get("gave") != 1 :
#           st.giveItems(DIMENSION_DIAMOND,80)
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        st.giveItems(CARDIENS_LETTER,1)
    elif event == "30154_1" :
          htmltext = "30154-02.htm"
    elif event == "30154_2" :
          htmltext = "30154-03.htm"
    elif event == "30154_3" :
          htmltext = "30154-04.htm"
    elif event == "30154_4" :
          htmltext = "30154-05.htm"
    elif event == "30154_5" :
          htmltext = "30154-06.htm"
    elif event == "30154_6" :
          htmltext = "30154-07.htm"
          st.takeItems(CARDIENS_LETTER,1)
          st.giveItems(MOONFLOWER_CHARM,1)
          st.giveItems(HIERARCHS_LETTER,1)
    elif event == "30371_1" :
          htmltext = "30371-02.htm"
    elif event == "30371_2" :
          htmltext = "30371-03.htm"
          st.takeItems(HIERARCHS_LETTER,1)
          st.giveItems(GRAIL_DIAGRAM,1)
    elif event == "30371_3" :
          if st.getPlayer().getLevel() < 38 :
            htmltext = "30371-10.htm"
            st.takeItems(STARDUST,1)
            st.giveItems(THALIAS_INSTRUCTIONS,1)
          else:
            htmltext = "30371-11.htm"
            st.takeItems(STARDUST,1)
            st.giveItems(THALIAS_LETTER2,1)
    elif event == "30300_1" :
          htmltext = "30300-02.htm"
    elif event == "30300_2" :
          htmltext = "30300-03.htm"
    elif event == "30300_3" :
          htmltext = "30300-04.htm"
    elif event == "30300_4" :
          htmltext = "30300-05.htm"
    elif event == "30300_5" :
          htmltext = "30300-06.htm"
          st.takeItems(GRAIL_DIAGRAM,1)
          st.giveItems(PUSHKINS_LIST,1)
    elif event == "30300_6" :
          htmltext = "30300-09.htm"
    elif event == "30300_7" :
          htmltext = "30300-10.htm"
          st.takeItems(PURE_MITHRIL_ORE,-1)
          st.takeItems(ANT_SOLDIER_ACID,-1)
          st.takeItems(WYRMS_TALON1,-1)
          st.takeItems(PUSHKINS_LIST,1)
          st.giveItems(PURE_MITHRIL_CUP,1)
    elif event == "30419_1" :
          htmltext = "30419-02.htm"
    elif event == "30419_2" :
          htmltext = "30419-03.htm"
    elif event == "30419_3" :
          htmltext = "30419-04.htm"
          st.takeItems(THALIAS_LETTER1,1)
          st.giveItems(ARKENIAS_CONTRACT,1)
          st.giveItems(ARKENIAS_INSTRUCTIONS,1)
    elif event == "30375_1" :
          htmltext = "30375-02.htm"
          st.takeItems(ARKENIAS_INSTRUCTIONS,1)
          st.giveItems(ADONIUS_LIST,1)
    elif event == "30655_1" :
          htmltext = "30655-02.htm"
          st.takeItems(THALIAS_LETTER2,1)
          st.giveItems(ISAELS_INSTRUCTIONS,1)
    return htmltext

 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
#   id2 = st.getStateId()
#   if id2 == "Aborted" :
#     st.set("gave","1")
   if id == CREATED : 
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30460 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
        if st.getInt(("cond")) < 15 :
          if st.getPlayer().getRace().ordinal() != 1 :
            htmltext = "30460-01.htm"
          else:
            if st.getPlayer().getLevel() < 37 :
              htmltext = "30460-02.htm"
              st.exitCurrentQuest(True)
            else:
              htmltext = "30460-03.htm"
              st.set("cond","1")
              return htmltext
        else:
          htmltext = "30460-03.htm"
          st.exitCurrentQuest(True)
   elif npcId == 30460 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30460 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CARDIENS_LETTER)==1 :
        htmltext = "30460-05.htm"
   elif npcId == 30460 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30460-06.htm"
   elif npcId == 30460 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CAMOMILE_CHARM)==1 :
        if st.getGameTicks() != st.getInt("id") :
          st.set("id",str(st.getGameTicks()))
          st.addExpAndSp(104591,11250)
          st.giveItems(MARK_OF_LIFE,1)
          st.takeItems(CAMOMILE_CHARM,1)
          htmltext = "30460-07.htm"
          st.set("cond","0")
          st.set("onlyone","1")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
   elif npcId == 30154 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CARDIENS_LETTER)==1 :
        htmltext = "30154-01.htm"
   elif npcId == 30154 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 and st.getQuestItemsCount(WATER_OF_LIFE)==0 :
        htmltext = "30154-08.htm"
   elif npcId == 30154 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(WATER_OF_LIFE) :
        htmltext = "30154-09.htm"
        st.takeItems(WATER_OF_LIFE,1)
        st.takeItems(MOONFLOWER_CHARM,1)
        st.giveItems(CAMOMILE_CHARM,1)
   elif npcId == 30154 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CAMOMILE_CHARM)==1 :
        htmltext = "30154-10.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(HIERARCHS_LETTER) :
        htmltext = "30371-01.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(GRAIL_DIAGRAM) :
        htmltext = "30371-04.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(PUSHKINS_LIST) :
        htmltext = "30371-05.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(PURE_MITHRIL_CUP) :
        htmltext = "30371-06.htm"
        st.takeItems(PURE_MITHRIL_CUP,1)
        st.giveItems(THALIAS_LETTER1,1)
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(THALIAS_LETTER1) :
        htmltext = "30371-07.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ARKENIAS_CONTRACT) :
        htmltext = "30371-08.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(STARDUST) :
        htmltext = "30371-09.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(THALIAS_INSTRUCTIONS) :
        if st.getPlayer().getLevel() < 38 :
          htmltext = "30371-12.htm"
        else:
          htmltext = "30371-13.htm"
          st.takeItems(THALIAS_INSTRUCTIONS,1)
          st.giveItems(THALIAS_LETTER2,1)
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(THALIAS_LETTER2) :
        htmltext = "30371-14.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ISAELS_INSTRUCTIONS) :
        htmltext = "30371-15.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(TALINS_SPEAR) and st.getQuestItemsCount(ISAELS_LETTER) :
        htmltext = "30371-16.htm"
        st.takeItems(ISAELS_LETTER,1)
        st.giveItems(GRAIL_OF_PURITY,1)
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(TALINS_SPEAR) and st.getQuestItemsCount(GRAIL_OF_PURITY) :
        htmltext = "30371-17.htm"
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(TEARS_OF_UNICORN) :
        htmltext = "30371-18.htm"
        st.takeItems(TEARS_OF_UNICORN,1)
        st.giveItems(WATER_OF_LIFE,1)
   elif npcId == 30371 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CAMOMILE_CHARM) or st.getQuestItemsCount(WATER_OF_LIFE) and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30371-19.htm"
   elif npcId == 30300 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(GRAIL_DIAGRAM) :
        htmltext = "30300-01.htm"
   elif npcId == 30300 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(PUSHKINS_LIST) :
        if st.getQuestItemsCount(PURE_MITHRIL_ORE) >= 10 and st.getQuestItemsCount(ANT_SOLDIER_ACID) >= 20 and st.getQuestItemsCount(WYRMS_TALON1) >= 20 :
          htmltext = "30300-08.htm"
        else:
          htmltext = "30300-07.htm"
   elif npcId == 30300 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(PURE_MITHRIL_CUP) :
        htmltext = "30300-11.htm"
   elif npcId == 30300 and st.getInt(("cond"))==1 and st.getQuestItemsCount(GRAIL_DIAGRAM) == 0 and st.getQuestItemsCount(PUSHKINS_LIST) == 0 and st.getQuestItemsCount(PURE_MITHRIL_CUP) == 0 and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30300-12.htm"
   elif npcId == 30419 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(THALIAS_LETTER1) :
        htmltext = "30419-01.htm"
   elif npcId == 30419 and st.getInt(("cond"))==1 and (st.getQuestItemsCount(ARKENIAS_INSTRUCTIONS) or st.getQuestItemsCount(ADONIUS_LIST)) and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30419-05.htm"
   elif npcId == 30419 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ANDARIEL_SCRIPTURE_COPY) :
        htmltext = "30419-06.htm"
        st.takeItems(ARKENIAS_CONTRACT,1)
        st.takeItems(ANDARIEL_SCRIPTURE_COPY,1)
        st.giveItems(STARDUST,1)
   elif npcId == 30419 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(STARDUST) :
        htmltext = "30419-07.htm"
   elif npcId == 30419 and st.getInt(("cond"))==1 and st.getQuestItemsCount(THALIAS_LETTER1) == 0 and st.getQuestItemsCount(ARKENIAS_CONTRACT) == 0 and st.getQuestItemsCount(ANDARIEL_SCRIPTURE_COPY) == 0 and st.getQuestItemsCount(STARDUST) == 0 and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30419-08.htm"
   elif npcId == 30375 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ARKENIAS_INSTRUCTIONS) :
        htmltext = "30375-01.htm"
   elif npcId == 30375 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ADONIUS_LIST) :
        if st.getQuestItemsCount(SPIDER_ICHOR) >= 20 and st.getQuestItemsCount(HARPYS_DOWN) >= 20 :
          htmltext = "30375-04.htm"
          st.takeItems(SPIDER_ICHOR,st.getQuestItemsCount(SPIDER_ICHOR))
          st.takeItems(HARPYS_DOWN,st.getQuestItemsCount(HARPYS_DOWN))
          st.takeItems(ADONIUS_LIST,1)
          st.giveItems(ANDARIEL_SCRIPTURE_COPY,1)
        else:
          htmltext = "30375-03.htm"
   elif npcId == 30375 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ANDARIEL_SCRIPTURE_COPY) :
        htmltext = "30375-05.htm"
   elif npcId == 30375 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ARKENIAS_INSTRUCTIONS) == 0 and st.getQuestItemsCount(ADONIUS_LIST) == 0 and st.getQuestItemsCount(ANDARIEL_SCRIPTURE_COPY) == 0 and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30375-06.htm"
   elif npcId == 30655 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(THALIAS_LETTER2) :
        htmltext = "30655-01.htm"
   elif npcId == 30655 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MOONFLOWER_CHARM) and st.getQuestItemsCount(ISAELS_INSTRUCTIONS) :
        if st.getQuestItemsCount(TALINS_SPEAR_BLADE) and st.getQuestItemsCount(TALINS_SPEAR_SHAFT) and st.getQuestItemsCount(TALINS_RUBY) and st.getQuestItemsCount(TALINS_AQUAMARINE) and st.getQuestItemsCount(TALINS_AMETHYST) and st.getQuestItemsCount(TALINS_PERIDOT) :
          htmltext = "30655-04.htm"
          st.takeItems(TALINS_SPEAR_BLADE,1)
          st.takeItems(TALINS_SPEAR_SHAFT,1)
          st.takeItems(TALINS_RUBY,1)
          st.takeItems(TALINS_AQUAMARINE,1)
          st.takeItems(TALINS_AMETHYST,1)
          st.takeItems(TALINS_PERIDOT,1)
          st.takeItems(ISAELS_INSTRUCTIONS,1)
          st.giveItems(ISAELS_LETTER,1)
          st.giveItems(TALINS_SPEAR,1)
        else:
          htmltext = "30655-03.htm"
   elif npcId == 30655 and st.getInt(("cond"))==1 and st.getQuestItemsCount(TALINS_SPEAR) and st.getQuestItemsCount(ISAELS_LETTER) :
        htmltext = "30655-05.htm"
   elif npcId == 30655 and st.getInt(("cond"))==1 and st.getQuestItemsCount(GRAIL_OF_PURITY) or st.getQuestItemsCount(WATER_OF_LIFE) or st.getQuestItemsCount(CAMOMILE_CHARM) and st.getQuestItemsCount(MOONFLOWER_CHARM)==1 :
        htmltext = "30655-06.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20550 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(PUSHKINS_LIST) == 1 and st.getQuestItemsCount(PURE_MITHRIL_ORE)<10 :
     if st.getRandom(100)<50 :
       st.giveItems(PURE_MITHRIL_ORE,1)
       if st.getQuestItemsCount(PURE_MITHRIL_ORE) < 10 :
         st.playSound("ItemSound.quest_itemget")
       else:
         st.playSound("ItemSound.quest_middle")
   elif npcId == 20176 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(PUSHKINS_LIST) == 1 and st.getQuestItemsCount(WYRMS_TALON1)<20 :
     if st.getRandom(100)<50 :
      st.giveItems(WYRMS_TALON1,1)
      if st.getQuestItemsCount(WYRMS_TALON1) < 20 :
        st.playSound("ItemSound.quest_itemget")
      else:
        st.playSound("ItemSound.quest_middle")
   elif npcId == 20082 or npcId == 20084 or npcId == 20086 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(PUSHKINS_LIST) == 1 and st.getQuestItemsCount(ANT_SOLDIER_ACID)<20 :
     if st.getRandom(100)<80 :
      st.giveItems(ANT_SOLDIER_ACID,1)
      if st.getQuestItemsCount(ANT_SOLDIER_ACID) < 20 :
        st.playSound("ItemSound.quest_itemget")
      else:
        st.playSound("ItemSound.quest_middle")
   elif npcId == 20087 or npcId == 20088 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(PUSHKINS_LIST) == 1 and st.getQuestItemsCount(ANT_SOLDIER_ACID)<20 :
     if st.getRandom(100)<50 :
      st.giveItems(ANT_SOLDIER_ACID,1)
      if st.getQuestItemsCount(ANT_SOLDIER_ACID) < 20 :
        st.playSound("ItemSound.quest_itemget")
      else:
        st.playSound("ItemSound.quest_middle")
   elif npcId == 20233 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(ADONIUS_LIST) == 1 and st.getQuestItemsCount(SPIDER_ICHOR)<20 :
     if st.getRandom(100)<50 :
      st.giveItems(SPIDER_ICHOR,1)
      if st.getQuestItemsCount(SPIDER_ICHOR) < 20 :
        st.playSound("ItemSound.quest_itemget")
      else:
        st.playSound("ItemSound.quest_middle")
   elif npcId == 20145 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getQuestItemsCount(ADONIUS_LIST) == 1 and st.getQuestItemsCount(HARPYS_DOWN)<20 :
     if st.getRandom(100)<50 :
      st.giveItems(HARPYS_DOWN,1)
      if st.getQuestItemsCount(HARPYS_DOWN) < 20 :
        st.playSound("ItemSound.quest_itemget")
      else:
        st.playSound("ItemSound.quest_middle")
   elif npcId == 27077 :
    if st.getInt(("cond")) and st.getQuestItemsCount(MOONFLOWER_CHARM) == 1 and st.getItemEquipped(14)==TALINS_SPEAR and st.getQuestItemsCount(GRAIL_OF_PURITY) == 1 and st.getQuestItemsCount(TEARS_OF_UNICORN) == 0 :
      if st.getQuestItemsCount(TALINS_SPEAR) > 0 :
        st.takeItems(GRAIL_OF_PURITY,1)
        st.takeItems(TALINS_SPEAR,1)
        st.giveItems(TEARS_OF_UNICORN,1)
   elif npcId == 20581 or npcId == 20582 :
    st.set("id","0")
    if st.getInt(("cond")) and st.getQuestItemsCount(ISAELS_INSTRUCTIONS) == 1 and st.getRandom(100) < 50 :
     if st.getQuestItemsCount(TALINS_SPEAR_BLADE) == 0 :
      st.giveItems(TALINS_SPEAR_BLADE,1)
      st.playSound("ItemSound.quest_itemget")
     elif st.getQuestItemsCount(TALINS_SPEAR_SHAFT) == 0 :
      st.giveItems(TALINS_SPEAR_SHAFT,1)
      st.playSound("ItemSound.quest_itemget")
     elif st.getQuestItemsCount(TALINS_RUBY) == 0 :
      st.giveItems(TALINS_RUBY,1)
      st.playSound("ItemSound.quest_itemget")
     elif st.getQuestItemsCount(TALINS_AQUAMARINE) == 0 :
      st.giveItems(TALINS_AQUAMARINE,1)
      st.playSound("ItemSound.quest_itemget")
     elif st.getQuestItemsCount(TALINS_AMETHYST) == 0 :
      st.giveItems(TALINS_AMETHYST,1)
      st.playSound("ItemSound.quest_itemget")
     elif st.getQuestItemsCount(TALINS_PERIDOT) == 0 :
      st.giveItems(TALINS_PERIDOT,1)
      st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(218,"218_TestimonyOfLife","Testimony of Life")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30460)

QUEST.addTalkId(30460)

QUEST.addTalkId(30154)
QUEST.addTalkId(30300)
QUEST.addTalkId(30371)
QUEST.addTalkId(30375)
QUEST.addTalkId(30419)
QUEST.addTalkId(30460)
QUEST.addTalkId(30655)

QUEST.addKillId(20145)
QUEST.addKillId(20176)
QUEST.addKillId(20233)
QUEST.addKillId(27077)
QUEST.addKillId(20550)
QUEST.addKillId(20581)
QUEST.addKillId(20582)
QUEST.addKillId(20082)
QUEST.addKillId(20084)
QUEST.addKillId(20086)
QUEST.addKillId(20087)
QUEST.addKillId(20088)

STARTED.addQuestDrop(30154,CAMOMILE_CHARM,1)
STARTED.addQuestDrop(30460,CARDIENS_LETTER,1)
STARTED.addQuestDrop(30371,WATER_OF_LIFE,1)
STARTED.addQuestDrop(30154,MOONFLOWER_CHARM,1)
STARTED.addQuestDrop(30154,HIERARCHS_LETTER,1)
STARTED.addQuestDrop(30419,STARDUST,1)
STARTED.addQuestDrop(30300,PURE_MITHRIL_CUP,1)
STARTED.addQuestDrop(30371,THALIAS_INSTRUCTIONS,1)
STARTED.addQuestDrop(30655,ISAELS_LETTER,1)
STARTED.addQuestDrop(27077,TEARS_OF_UNICORN,1)
STARTED.addQuestDrop(30371,GRAIL_DIAGRAM,1)
STARTED.addQuestDrop(30300,PUSHKINS_LIST,1)
STARTED.addQuestDrop(30371,THALIAS_LETTER1,1)
STARTED.addQuestDrop(30419,ARKENIAS_CONTRACT,1)
STARTED.addQuestDrop(30375,ANDARIEL_SCRIPTURE_COPY,1)
STARTED.addQuestDrop(30419,ARKENIAS_INSTRUCTIONS,1)
STARTED.addQuestDrop(30375,ADONIUS_LIST,1)
STARTED.addQuestDrop(30371,THALIAS_LETTER2,1)
STARTED.addQuestDrop(20581,TALINS_SPEAR_BLADE,1)
STARTED.addQuestDrop(20582,TALINS_SPEAR_BLADE,1)
STARTED.addQuestDrop(20581,TALINS_SPEAR_SHAFT,1)
STARTED.addQuestDrop(20582,TALINS_SPEAR_SHAFT,1)
STARTED.addQuestDrop(20581,TALINS_RUBY,1)
STARTED.addQuestDrop(20582,TALINS_RUBY,1)
STARTED.addQuestDrop(20581,TALINS_AQUAMARINE,1)
STARTED.addQuestDrop(20582,TALINS_AQUAMARINE,1)
STARTED.addQuestDrop(20581,TALINS_AMETHYST,1)
STARTED.addQuestDrop(20582,TALINS_AMETHYST,1)
STARTED.addQuestDrop(20581,TALINS_PERIDOT,1)
STARTED.addQuestDrop(20582,TALINS_PERIDOT,1)
STARTED.addQuestDrop(30655,ISAELS_INSTRUCTIONS,1)
STARTED.addQuestDrop(30371,GRAIL_OF_PURITY,1)

print "importing quests: 218: Testimony Of Life"