# Maked by Mr. Have fun! Version 0.2
# Last Update by Artful at 2005-11-17
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

MARK_OF_LORD_ID = 3390
ORDEAL_NECKLACE_ID = 3391
VARKEES_CHARM_ID = 3392
TANTUS_CHARM_ID = 3393
HATOS_CHARM_ID = 3394
TAKUNA_CHARM_ID = 3395
CHIANTA_CHARM_ID = 3396
MANAKIAS_ORDERS_ID = 3397
BREKA_ORC_FANG_ID = 3398
MANAKIAS_AMULET_ID = 3399
HUGE_ORC_FANG_ID = 3400
SUMARIS_LETTER_ID = 3401
URUTU_BLADE_ID = 3402
TIMAK_ORC_SKULL_ID = 3403
SWORD_INTO_SKULL_ID = 3404
NERUGA_AXE_BLADE_ID = 3405
AXE_OF_CEREMONY_ID = 3406
MARSH_SPIDER_FEELER_ID = 3407
MARSH_SPIDER_FEET_ID = 3408
HANDIWORK_SPIDER_BROOCH_ID = 3409
CORNEA_OF_EN_MONSTEREYE_ID = 3410
MONSTEREYE_WOODCARVING_ID = 3411
BEAR_FANG_NECKLACE_ID = 3412
MARTANKUS_CHARM_ID = 3413
RAGNA_ORC_HEAD_ID = 3414
RAGNA_CHIEF_NOTICE_ID = 3415
IMMORTAL_FLAME_ID = 3416
BONE_ARROW_ID = 1341
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        htmltext = "30565-05.htm"
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        st.giveItems(ORDEAL_NECKLACE_ID,1)
    elif event == "30565_1" :
          htmltext = "30565-08.htm"
          st.takeItems(SWORD_INTO_SKULL_ID,1)
          st.takeItems(AXE_OF_CEREMONY_ID,1)
          st.takeItems(MONSTEREYE_WOODCARVING_ID,1)
          st.takeItems(HANDIWORK_SPIDER_BROOCH_ID,1)
          st.takeItems(ORDEAL_NECKLACE_ID,1)
          st.giveItems(BEAR_FANG_NECKLACE_ID,1)
          st.takeItems(HUGE_ORC_FANG_ID,1)
    elif event == "30566_1" :
          htmltext = "30566-02.htm"
          st.giveItems(VARKEES_CHARM_ID,1)
    elif event == "30567_1" :
          htmltext = "30567-02.htm"
          st.giveItems(TANTUS_CHARM_ID,1)
    elif event == "30558_1" :
          htmltext = "30558-02.htm"
          st.giveItems(NERUGA_AXE_BLADE_ID,1)
          st.takeItems(ADENA_ID,1000)
    elif event == "30568_1" :
          htmltext = "30568-02.htm"
          st.giveItems(HATOS_CHARM_ID,1)
    elif event == "30641_1" :
          htmltext = "30641-02.htm"
          st.giveItems(TAKUNA_CHARM_ID,1)
    elif event == "30642_1" :
          htmltext = "30642-02.htm"
          st.giveItems(CHIANTA_CHARM_ID,1)
    elif event == "30649_1" :
          htmltext = "30649-02.htm"
    elif event == "30649_2" :
          htmltext = "30649-03.htm"
    elif event == "30649_3" :
          htmltext = "30649-04.htm"
          st.giveItems(MARTANKUS_CHARM_ID,1)
          st.takeItems(BEAR_FANG_NECKLACE_ID,1)
    elif event == "30649_4" :
          htmltext = "30649-07.htm"
#          if Maker_GetNpcCount() == 1 :
          st.getPcSpawn().addSpawn(30643,21036,-107690,-3038)
    elif event == "30643_1" :
          htmltext = "30643-02.htm"
    elif event == "30643_2" :
          htmltext = "30643-03.htm"
    return htmltext


 def onTalk (self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30565 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==0 :
     if st.getPlayer().getRace().ordinal() != 3 :
       htmltext = "30565-01.htm"
       st.exitCurrentQuest(True)
     else:
       if st.getPlayer().getClassId().getId() in [0x32] :
         if st.getPlayer().getLevel() >= 39 :
           htmltext = "30565-04.htm"
         else:
           htmltext = "30565-03.htm"
           st.exitCurrentQuest(True)
       else:
         htmltext = "30565-02.htm"
         st.exitCurrentQuest(True)
   elif npcId == 30565 and st.getInt(("cond"))==0 and st.getInt(("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30565 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 :
        if st.getQuestItemsCount(HUGE_ORC_FANG_ID) and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID) and st.getQuestItemsCount(MONSTEREYE_WOODCARVING_ID) and st.getQuestItemsCount(HANDIWORK_SPIDER_BROOCH_ID) :
          htmltext = "30565-07.htm"
        else:
          htmltext = "30565-06.htm"
   elif npcId == 30565 and st.getInt(("cond"))==1 and st.getQuestItemsCount(BEAR_FANG_NECKLACE_ID)==1 :
        htmltext = "30565-09.htm"
   elif npcId == 30565 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MARTANKUS_CHARM_ID)==1 :
        htmltext = "30565-10.htm"
   elif npcId == 30565 and st.getInt(("cond"))==1 and st.getQuestItemsCount(IMMORTAL_FLAME_ID)==1 :
        st.set("id",str(st.getGameTicks()))
        st.addExpAndSp(25000,3000)
        st.giveItems(MARK_OF_LORD_ID,1)
        st.takeItems(IMMORTAL_FLAME_ID,1)
        htmltext = "30565-11.htm"
        st.set("cond","0")
        st.set("onlyone","1")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
   elif npcId == 30566 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 and st.getQuestItemsCount(HUGE_ORC_FANG_ID) == 0 and st.getQuestItemsCount(VARKEES_CHARM_ID) == 0 :
        htmltext = "30566-01.htm"
   elif npcId == 30566 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HUGE_ORC_FANG_ID) == 0 and st.getQuestItemsCount(MANAKIAS_AMULET_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(VARKEES_CHARM_ID) :
        htmltext = "30566-03.htm"
   elif npcId == 30566 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HUGE_ORC_FANG_ID)==0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(VARKEES_CHARM_ID) and st.getQuestItemsCount(MANAKIAS_AMULET_ID) :
        htmltext = "30566-04.htm"
        st.takeItems(VARKEES_CHARM_ID,1)
        st.giveItems(HUGE_ORC_FANG_ID,1)
        st.takeItems(MANAKIAS_AMULET_ID,1)
   elif npcId == 30566 and st.getInt(("cond"))==1 and st.getQuestItemsCount(VARKEES_CHARM_ID)==0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HUGE_ORC_FANG_ID) :
        htmltext = "30566-05.htm"
   elif npcId == 30515 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(VARKEES_CHARM_ID) and st.getQuestItemsCount(HUGE_ORC_FANG_ID) == 0 and st.getQuestItemsCount(MANAKIAS_AMULET_ID) == 0 and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) == 0 :
        htmltext = "30515-01.htm"
        st.giveItems(MANAKIAS_ORDERS_ID,1)
   elif npcId == 30515 and st.getInt(("cond"))==1 and st.getQuestItemsCount(VARKEES_CHARM_ID) and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) and st.getQuestItemsCount(HUGE_ORC_FANG_ID) == 0 and st.getQuestItemsCount(MANAKIAS_AMULET_ID) == 0 :
        if st.getQuestItemsCount(BREKA_ORC_FANG_ID) < 20 :
          htmltext = "30515-02.htm"
        else:
          htmltext = "30515-03.htm"
          st.giveItems(MANAKIAS_AMULET_ID,1)
          st.takeItems(MANAKIAS_ORDERS_ID,1)
          st.takeItems(BREKA_ORC_FANG_ID,st.getQuestItemsCount(BREKA_ORC_FANG_ID))
   elif npcId == 30515 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HUGE_ORC_FANG_ID) == 0 and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(VARKEES_CHARM_ID) and st.getQuestItemsCount(MANAKIAS_AMULET_ID) :
        htmltext = "30515-04.htm"
   elif npcId == 30515 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HUGE_ORC_FANG_ID) and st.getQuestItemsCount(VARKEES_CHARM_ID) == 0 and st.getQuestItemsCount(MANAKIAS_AMULET_ID) == 0 and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) == 0 :
        htmltext = "30515-05.htm"
   elif npcId == 30567 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 and st.getQuestItemsCount(AXE_OF_CEREMONY_ID) == 0 and st.getQuestItemsCount(TANTUS_CHARM_ID) == 0 :
        htmltext = "30567-01.htm"
   elif npcId == 30567 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(TANTUS_CHARM_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID)==0 :
        if st.getQuestItemsCount(BONE_ARROW_ID) < 1000 or st.getQuestItemsCount(NERUGA_AXE_BLADE_ID) == 0 :
          htmltext = "30567-03.htm"
        else:
          htmltext = "30567-04.htm"
          st.takeItems(NERUGA_AXE_BLADE_ID,1)
          st.takeItems(BONE_ARROW_ID,1000)
          st.giveItems(AXE_OF_CEREMONY_ID,1)
          st.takeItems(TANTUS_CHARM_ID,1)
   elif npcId == 30567 and st.getInt(("cond"))==1 and st.getQuestItemsCount(TANTUS_CHARM_ID)==0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID) :
        htmltext = "30567-05.htm"
   elif npcId == 30558 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(TANTUS_CHARM_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID) == 0 and st.getQuestItemsCount(NERUGA_AXE_BLADE_ID) == 0 :
        if st.getQuestItemsCount(ADENA_ID) >= 1000 :
          htmltext = "30558-01.htm"
        else:
          htmltext = "30558-03.htm"
   elif npcId == 30558 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(TANTUS_CHARM_ID) and st.getQuestItemsCount(NERUGA_AXE_BLADE_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID)==0 :
        htmltext = "30558-04.htm"
   elif npcId == 30558 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(AXE_OF_CEREMONY_ID) and st.getQuestItemsCount(TANTUS_CHARM_ID)==0 :
        htmltext = "30558-05.htm"
   elif npcId == 30568 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(HATOS_CHARM_ID) == 0 :
        htmltext = "30568-01.htm"
   elif npcId == 30568 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID)==0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) :
        if st.getQuestItemsCount(URUTU_BLADE_ID) == 1 and st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) >= 10 :
          htmltext = "30568-04.htm"
          st.takeItems(HATOS_CHARM_ID,1)
          st.takeItems(URUTU_BLADE_ID,1)
          st.takeItems(TIMAK_ORC_SKULL_ID,st.getQuestItemsCount(TIMAK_ORC_SKULL_ID))
          st.giveItems(SWORD_INTO_SKULL_ID,1)
        else:
          htmltext = "30568-03.htm"
   elif npcId == 30568 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HATOS_CHARM_ID)==0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) :
        htmltext = "30568-05.htm"
   elif npcId == 30564 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HATOS_CHARM_ID) and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(URUTU_BLADE_ID) == 0 and st.getQuestItemsCount(SUMARIS_LETTER_ID) == 0 :
        htmltext = "30564-01.htm"
        st.giveItems(SUMARIS_LETTER_ID,1)
   elif npcId == 30564 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(URUTU_BLADE_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) and st.getQuestItemsCount(SUMARIS_LETTER_ID) :
        htmltext = "30564-02.htm"
   elif npcId == 30564 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUMARIS_LETTER_ID) == 0 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) and st.getQuestItemsCount(URUTU_BLADE_ID) :
        htmltext = "30564-03.htm"
   elif npcId == 30564 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) == 0 and st.getQuestItemsCount(URUTU_BLADE_ID) == 0 and st.getQuestItemsCount(SUMARIS_LETTER_ID) == 0 :
        htmltext = "30564-04.htm"
   elif npcId == 30510 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(URUTU_BLADE_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) and st.getQuestItemsCount(SUMARIS_LETTER_ID) :
        htmltext = "30510-01.htm"
        st.giveItems(URUTU_BLADE_ID,1)
        st.takeItems(SUMARIS_LETTER_ID,1)
   elif npcId == 30510 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 and st.getQuestItemsCount(SUMARIS_LETTER_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) and st.getQuestItemsCount(URUTU_BLADE_ID) :
        htmltext = "30510-02.htm"
   elif npcId == 30510 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) and st.getQuestItemsCount(HATOS_CHARM_ID) == 0 and st.getQuestItemsCount(URUTU_BLADE_ID) == 0 and st.getQuestItemsCount(SUMARIS_LETTER_ID) == 0 :
        htmltext = "30510-03.htm"
   elif npcId == 30641 and st.getInt(("cond"))==1 and st.getQuestItemsCount(HANDIWORK_SPIDER_BROOCH_ID) == 0 and st.getQuestItemsCount(TAKUNA_CHARM_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 :
        htmltext = "30641-01.htm"
   elif npcId == 30641 and st.getInt(("cond"))==1 and st.getQuestItemsCount(TAKUNA_CHARM_ID) and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HANDIWORK_SPIDER_BROOCH_ID)==0 :
        if st.getQuestItemsCount(MARSH_SPIDER_FEELER_ID) >= 10 and st.getQuestItemsCount(MARSH_SPIDER_FEET_ID) >= 10 :
          htmltext = "30641-04.htm"
          st.takeItems(MARSH_SPIDER_FEELER_ID,st.getQuestItemsCount(MARSH_SPIDER_FEELER_ID))
          st.takeItems(MARSH_SPIDER_FEET_ID,st.getQuestItemsCount(MARSH_SPIDER_FEET_ID))
          st.giveItems(HANDIWORK_SPIDER_BROOCH_ID,1)
          st.takeItems(TAKUNA_CHARM_ID,1)
        else:
          htmltext = "30641-03.htm"
   elif npcId == 30641 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(HANDIWORK_SPIDER_BROOCH_ID) and st.getQuestItemsCount(TAKUNA_CHARM_ID)==0 :
        htmltext = "30641-05.htm"
   elif npcId == 30642 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MONSTEREYE_WOODCARVING_ID) == 0 and st.getQuestItemsCount(CHIANTA_CHARM_ID) == 0 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID)==1 :
        htmltext = "30642-01.htm"
   elif npcId == 30642 and st.getInt(("cond"))==1 and st.getQuestItemsCount(CHIANTA_CHARM_ID) and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(MONSTEREYE_WOODCARVING_ID)==0 :
        if st.getQuestItemsCount(CORNEA_OF_EN_MONSTEREYE_ID) < 20 :
          htmltext = "30642-03.htm"
        else:
          htmltext = "30642-04.htm"
          st.takeItems(CORNEA_OF_EN_MONSTEREYE_ID,st.getQuestItemsCount(CORNEA_OF_EN_MONSTEREYE_ID))
          st.giveItems(MONSTEREYE_WOODCARVING_ID,1)
          st.playSound("ItemSound.quest_jackpot")
          st.takeItems(CHIANTA_CHARM_ID,1)
   elif npcId == 30642 and st.getInt(("cond"))==1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) and st.getQuestItemsCount(MONSTEREYE_WOODCARVING_ID) and st.getQuestItemsCount(CHIANTA_CHARM_ID)==0 :
        htmltext = "30642-05.htm"
   elif npcId == 30649 and st.getInt(("cond"))==1 and st.getQuestItemsCount(BEAR_FANG_NECKLACE_ID)==1 :
        htmltext = "30649-01.htm"
   elif npcId == 30649 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MARTANKUS_CHARM_ID)==1 and st.getQuestItemsCount(RAGNA_CHIEF_NOTICE_ID) == 0 and st.getQuestItemsCount(RAGNA_ORC_HEAD_ID) == 0 :
        htmltext = "30649-05.htm"
   elif npcId == 30649 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MARTANKUS_CHARM_ID) and st.getQuestItemsCount(RAGNA_CHIEF_NOTICE_ID) and st.getQuestItemsCount(RAGNA_ORC_HEAD_ID) :
        htmltext = "30649-06.htm"
        st.takeItems(MARTANKUS_CHARM_ID,1)
        st.takeItems(RAGNA_ORC_HEAD_ID,1)
        st.giveItems(IMMORTAL_FLAME_ID,1)
        st.takeItems(RAGNA_CHIEF_NOTICE_ID,1)
   elif npcId == 30649 and st.getInt(("cond"))==1 and st.getQuestItemsCount(IMMORTAL_FLAME_ID)==1 :
        htmltext = "30649-08.htm"
#        if Maker_GetNpcCount() == 1 :
        st.getPcSpawn().addSpawn(30643,21036,-107690,-3038)
   elif npcId == 30643 and st.getInt(("cond"))==1 and st.getQuestItemsCount(MARTANKUS_CHARM_ID) or st.getQuestItemsCount(IMMORTAL_FLAME_ID) :
        htmltext = "30643-01.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == 20583 or npcId == 20584 or npcId == 20585 :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(HATOS_CHARM_ID) == 1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 :
     if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) < 10 and st.getRandom(100) <= 70 :
      st.giveItems(TIMAK_ORC_SKULL_ID,1)
      if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) == 10:
        st.playSound("ItemSound.quest_middle")        
      else:
        st.playSound("ItemSound.quest_itemget") 
   elif npcId == 20586 :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(HATOS_CHARM_ID) == 1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 :
     if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) < 10 and st.getRandom(100) <= 80 :
      st.giveItems(TIMAK_ORC_SKULL_ID,1)
      if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) == 10:
        st.playSound("ItemSound.quest_middle")        
      else:
        st.playSound("ItemSound.quest_itemget") 
   elif npcId == 20587 or npcId == 20588 :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(HATOS_CHARM_ID) == 1 and st.getQuestItemsCount(SWORD_INTO_SKULL_ID) == 0 :
     if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) < 10 :
      st.giveItems(TIMAK_ORC_SKULL_ID,1)
      if st.getQuestItemsCount(TIMAK_ORC_SKULL_ID) == 10:
        st.playSound("ItemSound.quest_middle")        
      else:
        st.playSound("ItemSound.quest_itemget") 
   elif npcId == 20269 :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(VARKEES_CHARM_ID) == 1 and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) == 1  :
     if st.getQuestItemsCount(BREKA_ORC_FANG_ID) < 20 and st.getRandom(100) <= 40 :
      st.giveItems(BREKA_ORC_FANG_ID,1)
      if st.getQuestItemsCount(BREKA_ORC_FANG_ID) == 20:
        st.playSound("ItemSound.quest_middle")        
      else:
        st.playSound("ItemSound.quest_itemget") 
   elif npcId == 20270 :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(VARKEES_CHARM_ID) == 1 and st.getQuestItemsCount(MANAKIAS_ORDERS_ID) == 1  :
     if st.getQuestItemsCount(BREKA_ORC_FANG_ID) < 20 and st.getRandom(100) <= 50 :
      st.giveItems(BREKA_ORC_FANG_ID,1)
      if st.getQuestItemsCount(BREKA_ORC_FANG_ID) == 20:
        st.playSound("ItemSound.quest_middle")        
      else:
        st.playSound("ItemSound.quest_itemget") 
   elif npcId in [20778,20779] :
    st.set("id","0")
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(MARTANKUS_CHARM_ID) == 1 :
     if st.getQuestItemsCount(RAGNA_CHIEF_NOTICE_ID) == 0 :
      st.giveItems(RAGNA_CHIEF_NOTICE_ID,1)
      st.playSound("ItemSound.quest_middle")
     elif st.getQuestItemsCount(RAGNA_ORC_HEAD_ID) == 0 :
      st.giveItems(RAGNA_ORC_HEAD_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 20233 :
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(TAKUNA_CHARM_ID) == 1  :
      if st.getRandom(100) < 50 :
        if st.getQuestItemsCount(MARSH_SPIDER_FEELER_ID) < 10 :
          st.giveItems(MARSH_SPIDER_FEELER_ID,1)
          if st.getQuestItemsCount(MARSH_SPIDER_FEELER_ID) == 10 :
            st.playSound("ItemSound.quest_middle")
          else:
            st.playSound("ItemSound.quest_itemget") 
        elif st.getQuestItemsCount(MARSH_SPIDER_FEET_ID) < 10 :
          st.giveItems(MARSH_SPIDER_FEET_ID,1)
          if st.getQuestItemsCount(MARSH_SPIDER_FEET_ID) == 10 :
            st.playSound("ItemSound.quest_middle")
          else:
            st.playSound("ItemSound.quest_itemget") 
   elif npcId == 20564 :
    if st.getInt(("cond")) == 1 and st.getQuestItemsCount(ORDEAL_NECKLACE_ID) == 1 and st.getQuestItemsCount(CHIANTA_CHARM_ID) == 1  :
      if st.getQuestItemsCount(CORNEA_OF_EN_MONSTEREYE_ID) < 20 :
        st.giveItems(CORNEA_OF_EN_MONSTEREYE_ID,1)
        if st.getQuestItemsCount(CORNEA_OF_EN_MONSTEREYE_ID) == 20 :
          st.playSound("ItemSound.quest_middle")
        else:
          st.playSound("ItemSound.quest_itemget") 

   return

QUEST       = Quest(232,"232_TestOfLord","Test Of Lord")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30565)

QUEST.addTalkId(30565)

QUEST.addTalkId(30510)
QUEST.addTalkId(30515)
QUEST.addTalkId(30558)
QUEST.addTalkId(30564)
QUEST.addTalkId(30565)
QUEST.addTalkId(30566)
QUEST.addTalkId(30567)
QUEST.addTalkId(30568)
QUEST.addTalkId(30641)
QUEST.addTalkId(30642)
QUEST.addTalkId(30643)
QUEST.addTalkId(30649)

QUEST.addKillId(20233)
QUEST.addKillId(20269)
QUEST.addKillId(20270)
QUEST.addKillId(20564)
QUEST.addKillId(20583)
QUEST.addKillId(20584)
QUEST.addKillId(20585)
QUEST.addKillId(20586)
QUEST.addKillId(20587)
QUEST.addKillId(20588)
QUEST.addKillId(20778)
QUEST.addKillId(20779)

STARTED.addQuestDrop(30568,SWORD_INTO_SKULL_ID,1)
STARTED.addQuestDrop(30567,AXE_OF_CEREMONY_ID,1)
STARTED.addQuestDrop(30642,MONSTEREYE_WOODCARVING_ID,1)
STARTED.addQuestDrop(30641,HANDIWORK_SPIDER_BROOCH_ID,1)
STARTED.addQuestDrop(30565,ORDEAL_NECKLACE_ID,1)
STARTED.addQuestDrop(30566,HUGE_ORC_FANG_ID,1)
STARTED.addQuestDrop(30649,IMMORTAL_FLAME_ID,1)
STARTED.addQuestDrop(30566,VARKEES_CHARM_ID,1)
STARTED.addQuestDrop(30515,MANAKIAS_AMULET_ID,1)
STARTED.addQuestDrop(30515,MANAKIAS_ORDERS_ID,1)
STARTED.addQuestDrop(20269,BREKA_ORC_FANG_ID,1)
STARTED.addQuestDrop(20270,BREKA_ORC_FANG_ID,1)
STARTED.addQuestDrop(30558,NERUGA_AXE_BLADE_ID,1)
STARTED.addQuestDrop(30567,TANTUS_CHARM_ID,1)
STARTED.addQuestDrop(30568,HATOS_CHARM_ID,1)
STARTED.addQuestDrop(30510,URUTU_BLADE_ID,1)
STARTED.addQuestDrop(20583,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(20584,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(20585,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(20586,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(20587,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(20588,TIMAK_ORC_SKULL_ID,1)
STARTED.addQuestDrop(30564,SUMARIS_LETTER_ID,1)
STARTED.addQuestDrop(20233,MARSH_SPIDER_FEELER_ID,1)
STARTED.addQuestDrop(20233,MARSH_SPIDER_FEET_ID,1)
STARTED.addQuestDrop(30641,TAKUNA_CHARM_ID,1)
STARTED.addQuestDrop(20564,CORNEA_OF_EN_MONSTEREYE_ID,1)
STARTED.addQuestDrop(30642,CHIANTA_CHARM_ID,1)
STARTED.addQuestDrop(30565,BEAR_FANG_NECKLACE_ID,1)
STARTED.addQuestDrop(30649,MARTANKUS_CHARM_ID,1)
STARTED.addQuestDrop(20778,RAGNA_ORC_HEAD_ID,1)
STARTED.addQuestDrop(20779,RAGNA_ORC_HEAD_ID,1)
STARTED.addQuestDrop(20778,RAGNA_CHIEF_NOTICE_ID,1)
STARTED.addQuestDrop(20779,RAGNA_CHIEF_NOTICE_ID,1)

print "importing quests: 232: Test Of Lord"
