# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

WOLF_CLAW1_ID = 1367
WOODEN_HELMET_ID = 43
ADENA_ID = 57
LEATHER_SANDALS_ID = 36
HOSE_ID = 462
HEALING_POTION_ID = 1061
SHORT_GLOVES_ID = 48
CLOTH_SHOES_ID = 35

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30136-03.htm" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30136 and st.getInt(("cond"))==0 :
      if st.getInt(("cond"))<15 :
        if st.getPlayer().getLevel() >= 3 :
          htmltext = "30136-02.htm"
          return htmltext
        else:
          htmltext = "30136-01.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30136-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30136 and st.getInt(("cond"))==1 and st.getQuestItemsCount(WOLF_CLAW1_ID)<50 :
      htmltext = "30136-04.htm"
   elif npcId == 30136 and (st.getInt(("cond"))==1) and (st.getQuestItemsCount(WOLF_CLAW1_ID)>=50) :
      if st.getInt("id") != 264 :
        st.set("id","264")
        st.takeItems(WOLF_CLAW1_ID,st.getQuestItemsCount(WOLF_CLAW1_ID))
        n = st.getRandom(17)
        if n == 0 :
          st.giveItems(WOODEN_HELMET_ID,1)
          st.playSound("ItemSound.quest_jackpot")
        elif n<2 :
          st.giveItems(ADENA_ID,1000)
        elif n<5 :
          st.giveItems(LEATHER_SANDALS_ID,1)
        elif n<8 :
          st.giveItems(HOSE_ID,1)
          st.giveItems(ADENA_ID,50)
        elif n<11 :
          st.giveItems(HEALING_POTION_ID,1)
        elif n<14 :
          st.giveItems(SHORT_GLOVES_ID,1)
        else:
          st.giveItems(CLOTH_SHOES_ID,1)
        htmltext = "30136-05.htm"
        st.set("cond","0")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20003 :
        st.set("id","0")
        if st.getQuestItemsCount(WOLF_CLAW1_ID)<50 and st.getInt(("cond")) :
          n = st.getRandom(20)
          if n<5 :
            if st.getQuestItemsCount(WOLF_CLAW1_ID) == 49 :
              st.giveItems(WOLF_CLAW1_ID,1)
              st.playSound("ItemSound.quest_middle")
            elif st.getQuestItemsCount(WOLF_CLAW1_ID) == 48 :
              st.giveItems(WOLF_CLAW1_ID,2)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(WOLF_CLAW1_ID,2)
              st.playSound("ItemSound.quest_itemget")
          elif n<10 :
              st.giveItems(WOLF_CLAW1_ID,4)
              if st.getQuestItemsCount(WOLF_CLAW1_ID) == 46 :
                st.giveItems(WOLF_CLAW1_ID,4)
                st.playSound("ItemSound.quest_middle")
              elif st.getQuestItemsCount(WOLF_CLAW1_ID) == 47 :
                st.giveItems(WOLF_CLAW1_ID,3)
                st.playSound("ItemSound.quest_middle")
              elif st.getQuestItemsCount(WOLF_CLAW1_ID) == 48 :
                st.giveItems(WOLF_CLAW1_ID,2)
                st.playSound("ItemSound.quest_middle")
              elif st.getQuestItemsCount(WOLF_CLAW1_ID) == 49 :
                st.giveItems(WOLF_CLAW1_ID,1)
                st.playSound("ItemSound.quest_middle")
              else:
                st.giveItems(WOLF_CLAW1_ID,4)
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 456 :
        st.set("id","0")
        if st.getQuestItemsCount(WOLF_CLAW1_ID)<50 and st.getInt(("cond")) :
          n = st.getRandom(5)
          if n<4 :
            if st.getQuestItemsCount(WOLF_CLAW1_ID) == 49 :
              st.giveItems(WOLF_CLAW1_ID,1)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(WOLF_CLAW1_ID,1)
              st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(WOLF_CLAW1_ID) == 49 :
              st.giveItems(WOLF_CLAW1_ID,1)
              st.playSound("ItemSound.quest_middle")
            elif st.getQuestItemsCount(WOLF_CLAW1_ID) == 48 :
              st.giveItems(WOLF_CLAW1_ID,2)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(WOLF_CLAW1_ID,2)
              st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(264,"264_KeenClaws","Keen Claws")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30136)

QUEST.addTalkId(30136)

QUEST.addTalkId(30136)

QUEST.addKillId(20003)
QUEST.addKillId(456)

STARTED.addQuestDrop(20003,WOLF_CLAW1_ID,1)
STARTED.addQuestDrop(456,WOLF_CLAW1_ID,1)

print "importing quests: 264: Keen Claws"
