# Made by Mr. Have fun! Version 0.2                           # 
# Fixed by Pela Version 0.3                              # 
import sys
from L2jFT.game.model.quest import State 
from L2jFT.game.model.quest import QuestState 
from L2jFT.game.model.quest import QuestJython as JQuest 

STARSTONE1_ID = 1572 
GATEKEEPER_CHARM_ID = 1658 

class Quest (JQuest) : 

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr) 

 def onEvent (self,event,st) : 
    htmltext = event 
    if event == "1" : 
          st.set("id","0") 
          if st.getPlayer().getLevel() >= 15 : 
            htmltext = "30576-03.htm" 
            st.set("cond","1") 
            st.setState(STARTED) 
            st.playSound("ItemSound.quest_accept") 
          else: 
            htmltext = "30576-01.htm" 
    return htmltext 


 def onTalk (Self,npc,st): 

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>" 
   id = st.getState() 
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING) 
     st.set("cond","0") 
     st.set("onlyone","0") 
     st.set("id","0") 
   if npcId == 30576 and st.getInt(("cond"))==0 : 
          if st.getInt(("cond")) < 15 : 
            htmltext = "30576-02.htm" 
            return htmltext 
   elif npcId == 30576 and st.getInt(("cond"))==1 and st.getQuestItemsCount(STARSTONE1_ID)<20 : 
     if id == STARTING or id == COMPLETED : 
            htmltext = "30576-02.htm" 
     else : 
            htmltext = "30576-04.htm" 
   elif npcId == 30576 and st.getInt(("cond"))==1 and st.getQuestItemsCount(STARSTONE1_ID)>=20 : 
          if st.getInt("id") != 277 : 
            st.set("id","277") 
            htmltext = "30576-05.htm" 
            st.takeItems(STARSTONE1_ID,st.getQuestItemsCount(STARSTONE1_ID)) 
            st.giveItems(GATEKEEPER_CHARM_ID,1) 
            st.set("cond","0") 
            st.setState(COMPLETED) 
            st.playSound("ItemSound.quest_finish") 
          else: 
            htmltext = "30576-02.htm" 
   return htmltext 

 def onKill (self,npc,st): 

   npcId = npc.getNpcId()
   if npcId == 20333 : 
        st.set("id","0") 
        if st.getInt(("cond")) == 1 and st.getQuestItemsCount(STARSTONE1_ID) < 20 : 
          if st.getRandom(2) == 0 : 
            if st.getQuestItemsCount(STARSTONE1_ID) == 19 : 
              st.giveItems(STARSTONE1_ID,1) 
              st.playSound("ItemSound.quest_middle") 
            else: 
              st.giveItems(STARSTONE1_ID,1) 
              st.playSound("ItemSound.quest_itemget") 
   return 

QUEST       = Quest(277,"277_GatekeepersOffering","Gatekeepers Offering") 
CREATED     = State('Start', QUEST) 
STARTING    = State('Starting', QUEST) 
STARTED     = State('Started', QUEST) 
COMPLETED   = State('Completed', QUEST) 
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED) 
QUEST.addStartNpc(30576) 

QUEST.addTalkId(30576)

QUEST.addTalkId(30576) 

QUEST.addKillId(20333) 

STARTED.addQuestDrop(20333,STARSTONE1_ID,1)

print "importing quests: 277: Gatekeepers Offering" 
