# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

GOBLIN_NECKLACE_ID = 1483
GOBLIN_PENDANT_ID = 1484
GOBLIN_LORD_PENDANT_ID = 1485
SUSPICIOUS_MEMO_ID = 1486
SUSPICIOUS_CONTRACT_ID = 1487
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30532-03.htm"
    elif event == "30532_1" :
          htmltext = "30532-06.htm"
          st.takeItems(SUSPICIOUS_MEMO_ID,st.getQuestItemsCount(SUSPICIOUS_MEMO_ID))
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
    elif event == "30532_2" :
          htmltext = "30532-07.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30532 and st.getInt(("cond"))==0 :
      if st.getInt(("cond")) < 15 :
        if st.getPlayer().getRace().ordinal() != 4 :
          htmltext = "30532-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() >= 5 :
          htmltext = "30532-02.htm"
          return htmltext
        else:
          htmltext = "30532-01.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30532-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30532 and st.getInt(("cond"))==1 and st.getQuestItemsCount(GOBLIN_NECKLACE_ID)<1 and st.getQuestItemsCount(GOBLIN_PENDANT_ID)<1 and st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)<1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID)==0 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==0 :
      htmltext = "30532-04.htm"
   elif npcId == 30532 and st.getInt(("cond"))==1 and st.getQuestItemsCount(GOBLIN_NECKLACE_ID)+st.getQuestItemsCount(GOBLIN_PENDANT_ID)+st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)>=1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID)==0 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==0 :
      htmltext = "30532-05.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID)*12+st.getQuestItemsCount(GOBLIN_PENDANT_ID)*36+st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)*33)
      st.takeItems(GOBLIN_NECKLACE_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID))
      st.takeItems(GOBLIN_PENDANT_ID,st.getQuestItemsCount(GOBLIN_PENDANT_ID))
      st.takeItems(GOBLIN_LORD_PENDANT_ID,st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID))
   elif npcId == 30532 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID)==1 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==0 :
      htmltext = "30532-08.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID)*12+st.getQuestItemsCount(GOBLIN_PENDANT_ID)*36+st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)*33)
      st.takeItems(GOBLIN_NECKLACE_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID))
      st.takeItems(GOBLIN_PENDANT_ID,st.getQuestItemsCount(GOBLIN_PENDANT_ID))
      st.takeItems(GOBLIN_LORD_PENDANT_ID,st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID))
   elif npcId == 30532 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID)>=2 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==0 :
      htmltext = "30532-09.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID)*12+st.getQuestItemsCount(GOBLIN_PENDANT_ID)*36+st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)*33)
      st.takeItems(GOBLIN_NECKLACE_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID))
      st.takeItems(GOBLIN_PENDANT_ID,st.getQuestItemsCount(GOBLIN_PENDANT_ID))
      st.takeItems(GOBLIN_LORD_PENDANT_ID,st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID))
   elif npcId == 30532 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID)==0 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==1 :
      htmltext = "30532-10.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID)*12+st.getQuestItemsCount(GOBLIN_PENDANT_ID)*36+st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID)*33+st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)*100)
      st.takeItems(GOBLIN_NECKLACE_ID,st.getQuestItemsCount(GOBLIN_NECKLACE_ID))
      st.takeItems(GOBLIN_PENDANT_ID,st.getQuestItemsCount(GOBLIN_PENDANT_ID))
      st.takeItems(GOBLIN_LORD_PENDANT_ID,st.getQuestItemsCount(GOBLIN_LORD_PENDANT_ID))
      st.takeItems(SUSPICIOUS_CONTRACT_ID,st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID))
   elif npcId == 30533 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==0 :
      htmltext = "30533-01.htm"
   elif npcId == 30533 and st.getInt(("cond"))==1 and st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)==1 :
      htmltext = "30533-02.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID)*120)
      st.takeItems(SUSPICIOUS_CONTRACT_ID,st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID))
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId in [ 20322 , 20324 , 20327 ] :
      st.set("id","0")
      if st.getInt(("cond")) :
        n = st.getRandom(10)
        if n > 5 :
          st.giveItems(GOBLIN_NECKLACE_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n > 4 :
          if st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) < 3 :
            st.giveItems(SUSPICIOUS_MEMO_ID,1)
            st.playSound("ItemSound.quest_itemget")
          elif st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) == 3 :
            st.giveItems(SUSPICIOUS_CONTRACT_ID,1)
            st.takeItems(SUSPICIOUS_MEMO_ID,st.getQuestItemsCount(SUSPICIOUS_MEMO_ID))
            st.playSound("ItemSound.quest_middle")
   elif npcId == 20323 :
      st.set("id","0")
      if st.getInt(("cond")) :
        n = st.getRandom(10)
        if n > 5 :
          st.giveItems(GOBLIN_PENDANT_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n > 4 :
          if st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) < 3 :
            st.giveItems(SUSPICIOUS_MEMO_ID,1)
            st.playSound("ItemSound.quest_itemget")
          elif st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) == 3 :
            st.giveItems(SUSPICIOUS_CONTRACT_ID,1)
            st.takeItems(SUSPICIOUS_MEMO_ID,st.getQuestItemsCount(SUSPICIOUS_MEMO_ID))
            st.playSound("ItemSound.quest_middle")
   elif npcId == 20528 :
      st.set("id","0")
      if st.getInt(("cond")) :
        n = st.getRandom(10)
        if n > 5 :
          st.giveItems(GOBLIN_LORD_PENDANT_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n > 4 :
          if st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) < 3 :
            st.giveItems(SUSPICIOUS_MEMO_ID,1)
            st.playSound("ItemSound.quest_itemget")
          elif st.getQuestItemsCount(SUSPICIOUS_CONTRACT_ID) < 1 and st.getQuestItemsCount(SUSPICIOUS_MEMO_ID) == 3 :
            st.giveItems(SUSPICIOUS_CONTRACT_ID,1)
            st.takeItems(SUSPICIOUS_MEMO_ID,st.getQuestItemsCount(SUSPICIOUS_MEMO_ID))
            st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(292,"292_CrushBrigands","Crush Brigands")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30532)

QUEST.addTalkId(30532)

QUEST.addTalkId(30532)
QUEST.addTalkId(30533)

QUEST.addKillId(20322)
QUEST.addKillId(20323)
QUEST.addKillId(20324)
QUEST.addKillId(20327)
QUEST.addKillId(20528)

STARTED.addQuestDrop(20327,GOBLIN_NECKLACE_ID,1)
STARTED.addQuestDrop(20322,GOBLIN_NECKLACE_ID,1)
STARTED.addQuestDrop(20324,GOBLIN_NECKLACE_ID,1)
STARTED.addQuestDrop(20323,GOBLIN_PENDANT_ID,1)
STARTED.addQuestDrop(20528,GOBLIN_LORD_PENDANT_ID,1)
STARTED.addQuestDrop(20327,SUSPICIOUS_CONTRACT_ID,1)
STARTED.addQuestDrop(20322,SUSPICIOUS_CONTRACT_ID,1)
STARTED.addQuestDrop(20323,SUSPICIOUS_CONTRACT_ID,1)
STARTED.addQuestDrop(20324,SUSPICIOUS_CONTRACT_ID,1)
STARTED.addQuestDrop(20528,SUSPICIOUS_CONTRACT_ID,1)
STARTED.addQuestDrop(20327,SUSPICIOUS_MEMO_ID,1)
STARTED.addQuestDrop(20322,SUSPICIOUS_MEMO_ID,1)
STARTED.addQuestDrop(20323,SUSPICIOUS_MEMO_ID,1)
STARTED.addQuestDrop(20324,SUSPICIOUS_MEMO_ID,1)
STARTED.addQuestDrop(20528,SUSPICIOUS_MEMO_ID,1)

print "importing quests: 292: Crush Brigands"
