# Maked by Mr. Have fun! Version 0.2
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

ORIHARUKON_ORE_1_ID = 1488
TORN_MAP_FRAGMENT_ID = 1489
HIDDEN_VEIN_MAP_ID = 1490
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30535-03.htm"
    elif event == "30535_1" :
          htmltext = "30535-06.htm"
          st.takeItems(TORN_MAP_FRAGMENT_ID,-1)
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
    elif event == "30535_2" :
          htmltext = "30535-07.htm"
    elif event == "30539_1" and st.getQuestItemsCount(TORN_MAP_FRAGMENT_ID) < 4 :
          htmltext = "30539-02.htm"
    elif event == "30539_1" and st.getQuestItemsCount(TORN_MAP_FRAGMENT_ID) >= 4 :
          htmltext = "30539-03.htm"
          st.giveItems(HIDDEN_VEIN_MAP_ID,1)
          st.takeItems(TORN_MAP_FRAGMENT_ID,4)
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30535 and st.getInt("cond")==0 :
      if st.getInt("cond") < 15 :
        if st.getPlayer().getRace().ordinal() != 4 :
          htmltext = "30535-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() >= 6 :
          htmltext = "30535-02.htm"
          return htmltext
        else:
          htmltext = "30535-01.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30535-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30535 and st.getInt("cond")==1 and st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)<1 and st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)<1 :
      htmltext = "30535-04.htm"
   elif npcId == 30535 and st.getInt("cond")==1 and st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)<1 and st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)>=1 :
      htmltext = "30535-08.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)*1000)
      st.takeItems(HIDDEN_VEIN_MAP_ID,-1)
      qs = st.getPlayer().getQuestState("255_C4Tutorial")
      if qs != None :
         Ex = qs.getInt("Ex")
         if Ex != 10 :
            st.showQuestionMark(26)
            qs.set("Ex","10")
            if st.getPlayer().getClassId().isMage() :
               st.playTutorialVoice("tutorial_voice_027")
               st.giveItems(5790,3000)
            else :
               st.playTutorialVoice("tutorial_voice_026")
               st.giveItems(5789,6000)
   elif npcId == 30535 and st.getInt("cond")==1 and st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)>=1 and st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)<1 :
      htmltext = "30535-05.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)*10)
      st.takeItems(ORIHARUKON_ORE_1_ID,-1)
      qs = st.getPlayer().getQuestState("255_C4Tutorial")
      if qs != None :
         Ex = qs.getInt("Ex")
         if Ex != 10 :
            st.showQuestionMark(26)
            qs.set("Ex","10")
            if st.getPlayer().getClassId().isMage() :
               st.playTutorialVoice("tutorial_voice_027")
               st.giveItems(5790,3000)
            else :
               st.playTutorialVoice("tutorial_voice_026")
               st.giveItems(5789,6000)
   elif npcId == 30535 and st.getInt("cond")==1 and st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)>=1 and st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)>=1 :
      htmltext = "30535-09.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(ORIHARUKON_ORE_1_ID)*10+st.getQuestItemsCount(HIDDEN_VEIN_MAP_ID)*1000)
      st.takeItems(HIDDEN_VEIN_MAP_ID,-1)
      st.takeItems(ORIHARUKON_ORE_1_ID,-1)
      qs = st.getPlayer().getQuestState("255_C4Tutorial")
      if qs != None :
         Ex = qs.getInt("Ex")
         if Ex != 10 :
            st.showQuestionMark(26)
            qs.set("Ex","10")
            if st.getPlayer().getClassId().isMage() :
               st.playTutorialVoice("tutorial_voice_027")
               st.giveItems(5790,3000)
            else :
               st.playTutorialVoice("tutorial_voice_026")
               st.giveItems(5789,6000)
   elif npcId == 30539 and st.getInt("cond")==1 :
      htmltext = "30539-01.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20446 :
      st.set("id","0")
      if st.getInt("cond") :
        n = st.getRandom(100)
        if n > 50 :
          st.giveItems(ORIHARUKON_ORE_1_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n < 5 :
          st.giveItems(TORN_MAP_FRAGMENT_ID,1)
          st.playSound("ItemSound.quest_itemget")
   elif npcId == 20448 :
      st.set("id","0")
      if st.getInt("cond") :
        n = st.getRandom(100)
        if n > 50 :
          st.giveItems(ORIHARUKON_ORE_1_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n < 5 :
          st.giveItems(TORN_MAP_FRAGMENT_ID,1)
          st.playSound("ItemSound.quest_itemget")
   elif npcId == 20447 :
      st.set("id","0")
      if st.getInt("cond") :
        n = st.getRandom(100)
        if n > 50 :
          st.giveItems(ORIHARUKON_ORE_1_ID,1)
          st.playSound("ItemSound.quest_itemget")
        elif n < 5 :
          st.giveItems(TORN_MAP_FRAGMENT_ID,1)
          st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(293,"293_HiddenVein","Hidden Vein")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30535)

QUEST.addTalkId(30535)

QUEST.addTalkId(30535)
QUEST.addTalkId(30539)

QUEST.addKillId(20446)
QUEST.addKillId(20447)
QUEST.addKillId(20448)

STARTED.addQuestDrop(30539,HIDDEN_VEIN_MAP_ID,1)
STARTED.addQuestDrop(20446,ORIHARUKON_ORE_1_ID,1)
STARTED.addQuestDrop(20448,ORIHARUKON_ORE_1_ID,1)
STARTED.addQuestDrop(20447,ORIHARUKON_ORE_1_ID,1)
STARTED.addQuestDrop(20446,TORN_MAP_FRAGMENT_ID,1)
STARTED.addQuestDrop(20448,TORN_MAP_FRAGMENT_ID,1)
STARTED.addQuestDrop(20447,TORN_MAP_FRAGMENT_ID,1)

print "importing quests: 293: Hidden Vein"
