# Made by ValianT
# Edit (http://balancer.ru/forum/punbb/viewtopic.php?id=52429) by ValianT. Update 26/02/07.
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
# NPC List
Willie =31574
Anabel =30909
# ~~~
# Item List
SmallPurpleTreasureChest =6507
SmallGlassBox =7627
PlatedLeatherGloves =2455
# ~~~
class Quest (JQuest) :
    def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
    def onEvent (self,event,st) :
        htmltext =event
        if event =="31574-04.htm" :
            st.set("cond","1")
            st.playSound("ItemSound.quest_accept")
        elif event=="31574-07.htm" :
            if st.getQuestItemsCount(SmallPurpleTreasureChest) :
                st.set("cond","2")
                st.playSound("ItemSound.quest_middle")
                st.takeItems(SmallPurpleTreasureChest,1)
                st.giveItems(SmallGlassBox,1)
            else :
                htmltext="31574-08.htm"
        elif event =="29_GiveGlassBox" :
            if st.getQuestItemsCount(SmallGlassBox)==1 :
                htmltext ="30909-02.htm"
                st.takeItems(SmallGlassBox,-1)
                st.giveItems(PlatedLeatherGloves,1)
                st.set("cond","0")
                st.setState(COMPLETED)
                st.playSound("ItemSound.quest_finish")
            else :
                htmltext ="30909-03.htm"
                st.exitCurrentQuest(True)
        return htmltext

    def onTalk (Self,npc,st):
        npcId =npc.getNpcId()
        htmltext ="<html><head><body>I have nothing to say you</body></html>"
        id=st.getState()
        if id==CREATED :
            st.setState(STARTED)
            st.set("cond","0")

        cond=st.getInt("cond")
        id ==CREATED
        if npcId ==Willie :
            if cond==0 and id==STARTED :
                PlayerLevel=st.getPlayer().getLevel()
                if PlayerLevel<48 :
                    WilliesSpecialBait=st.getPlayer().getQuestState("52_WilliesSpecialBait")
                    if not WilliesSpecialBait is None :
                        if WilliesSpecialBait.getState()==COMPLETED :
                            htmltext="31574-01.htm"
                        else :
                            htmltext="31574-02.htm"
                            st.exitCurrentQuest(True)
                    else :
                        htmltext="31574-03.htm"
                        st.exitCurrentQuest(True)
            elif cond==0 and id==COMPLETED :
                htmltext ="<html><head><body>This quest have already been completed.</body></html>"
            elif cond==1 :
                htmltext="31574-05.htm"
                if st.getQuestItemsCount(SmallPurpleTreasureChest)==0 :
                    htmltext ="31574-06.htm"
            elif cond==2 :
                htmltext="31574-09.htm"
        elif npcId ==Anabel :
            if cond==2 :
                htmltext="30909-01.htm"
        return htmltext

QUEST       = Quest(29,"29_ChestCaughtWithABaitOfEarth","Chest caught with a bait of earth")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(Willie)

QUEST.addTalkId(Willie)
QUEST.addTalkId(Willie)
QUEST.addTalkId(Anabel)
QUEST.addTalkId(Willie)

print "importing quests: 29: Chest caught with a bait of earth"
