# Made by Mr. Have fun! - Version 0.3 by Drlecter
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

#NPCs 
SARIEN  = 30436

MONSTER_EYE_CARCASS = 1347
MONSTER_EYE_LENS = 1366
BASILISK_GIZZARD = 1348
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30436-03.htm" :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    elif event == "30436-06.htm" :
        st.playSound("ItemSound.quest_finish")
        st.exitCurrentQuest(True)
    return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.set("cond","0")
   if st.getInt(("cond"))==0 :
     if st.getPlayer().getLevel() >= 21 :
        htmltext = "30436-02.htm"
        return htmltext
     else:
        htmltext = "30436-01.htm"
        st.exitCurrentQuest(True)
   else :
     carcass=st.getQuestItemsCount(MONSTER_EYE_CARCASS)
     lenses=st.getQuestItemsCount(MONSTER_EYE_LENS)
     gizzard=st.getQuestItemsCount(BASILISK_GIZZARD)
     if carcass+lenses+gizzard > 0 :
        st.giveItems(ADENA,30*carcass+2000*lenses+75*gizzard)
        st.takeItems(MONSTER_EYE_CARCASS,-1)
        st.takeItems(MONSTER_EYE_LENS,-1)
        st.takeItems(BASILISK_GIZZARD,-1)
        htmltext = "30436-05.htm"
     else:
        htmltext = "30436-04.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   n = st.getRandom(100)
   if npcId == 20055 :
      if n < 47 :
         st.giveItems(MONSTER_EYE_CARCASS,1)
         st.playSound("ItemSound.quest_itemget")
      elif n < 49 :
         st.giveItems(MONSTER_EYE_LENS,1)
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20059 :
      if n < 51 :
         st.giveItems(MONSTER_EYE_CARCASS,1)
         st.playSound("ItemSound.quest_itemget")
      elif n < 53 :
         st.giveItems(MONSTER_EYE_LENS,1)
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20067 :
      if n < 67 :
         st.giveItems(MONSTER_EYE_CARCASS,1)
         st.playSound("ItemSound.quest_itemget")
      elif n < 69 :
         st.giveItems(MONSTER_EYE_LENS,1)
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20068 :
      if n < 75 :
         st.giveItems(MONSTER_EYE_CARCASS,1)
         st.playSound("ItemSound.quest_itemget")
      elif n < 77 :
         st.giveItems(MONSTER_EYE_LENS,1)
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20070 :
      if n < 50 :
         st.giveItems(BASILISK_GIZZARD,1)
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20072 :
      if n < 51 :
         st.giveItems(BASILISK_GIZZARD,1)
         st.playSound("ItemSound.quest_itemget")

   return

QUEST       = Quest(328,"328_SenseForBusiness","Sense For Business")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)

QUEST.addStartNpc(SARIEN)
QUEST.addTalkId(SARIEN)
QUEST.addTalkId(SARIEN)
QUEST.addTalkId(SARIEN)

for i in [ 20055,20059,20067,20068,20070,20072 ] :
    QUEST.addKillId(i)

for j in [ 20055,20059,20067,20068 ] :
    STARTED.addQuestDrop(j,MONSTER_EYE_CARCASS,1)
    STARTED.addQuestDrop(j,MONSTER_EYE_LENS,1)
STARTED.addQuestDrop(20070,BASILISK_GIZZARD,1)
STARTED.addQuestDrop(20072,BASILISK_GIZZARD,1)

print "importing quests: 328: Sense For Business"