# Made by mtrix
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

ADENA = 57
ORDER_OF_GOSTA = 4296
LIZARD_FANG = 4297
BARREL_OF_LEAGUE = 4298
BILL_OF_IASON_HEINE = 4310
CHANCE = 80
CHANCE2 = 7
class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
     htmltext = event
     amount = st.getQuestItemsCount(LIZARD_FANG)
     amount2 = st.getQuestItemsCount(BARREL_OF_LEAGUE)
     if event == "30916-03.htm" :
         st.setState(STARTED)
         st.set("cond","1")
         st.giveItems(ORDER_OF_GOSTA,1)
         st.playSound("ItemSound.quest_accept")
     elif event == "30969-02a.htm" :
         if amount:
             htmltext = "30969-02.htm"
             st.giveItems(ADENA,amount*20)
             st.takeItems(LIZARD_FANG,-1)
     elif event == "30969-03a.htm" :
         if amount2 :
             htmltext = "30969-03.htm"
             st.set("cond","2")
#             st.giveItems(ADENA,amount2*1000)
             st.giveItems(BILL_OF_IASON_HEINE,amount2)
             st.takeItems(BARREL_OF_LEAGUE,-1)
     elif event == "30969-01.htm" :
         if st.getInt("cond")==2 :
             htmltext = "30969-04.htm"
     elif event == "5" :
         st.exitCurrentQuest(True)
         st.playSound("ItemSound.quest_finish")
     return htmltext

 def onTalk (Self,npc,st):
     npcId = npc.getNpcId()
     htmltext = "<html><head><body>I have nothing to say you</body></html>"
     id = st.getState()
     id2 = st.getStateId()
     if id == CREATED or id2 == "Aborted" :
       level = st.getPlayer().getLevel()

     cond = st.getInt("cond")
     if npcId == 30916 :
         if id == CREATED or id2 == "Aborted" :
             if level >= 32 :
                 htmltext = "30916-01.htm"
             else :
                 htmltext = "30916-00.htm"
                 st.exitCurrentQuest(True)
         elif cond >= 1 :
             htmltext = "30916-04.htm"
     elif npcId == 30969 :
         if cond == 1 :
             htmltext = "30969-01.htm"
         elif cond == 2 :
             htmltext = "30969-04.htm"
     elif npcId == 30847 :
         htmltext = "30847.htm" 
     return htmltext

 def onKill (self,npc,st):
     npcId = npc.getNpcId()
     cond = st.getInt("cond")
     random = st.getRandom(100)
     if random <= CHANCE :
         st.giveItems(LIZARD_FANG,st.getRandom(5)+1)
         st.playSound("ItemSound.quest_itemget")
     if random <= CHANCE2 :
         st.giveItems(BARREL_OF_LEAGUE,1)
     return

QUEST       = Quest(351,"351_BlackSwan","Black Swan")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30916)

QUEST.addTalkId(30916)
QUEST.addTalkId(30969)
QUEST.addTalkId(30847)

STARTED.addQuestDrop(30916,ORDER_OF_GOSTA,1)
STARTED.addQuestDrop(30969,ADENA,1)
STARTED.addQuestDrop(30969,BILL_OF_IASON_HEINE,1)
for i in [ 20784,20785,21639,21640,21642,21643 ] :
   STARTED.addQuestDrop(i,LIZARD_FANG,1)
   STARTED.addQuestDrop(i,BARREL_OF_LEAGUE,1)

QUEST.addKillId(20784)
QUEST.addKillId(20785)
QUEST.addKillId(21639)
QUEST.addKillId(21640)
QUEST.addKillId(21642)
QUEST.addKillId(21643)

print "importing quests: 351: Black Swan"
