# Illegitimate Child Of A Goddess version 0.1 
# by DrLecter
import sys
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

#Quest info
QUEST_NUMBER,QUEST_NAME,QUEST_DESCRIPTION = 358,"IllegitimateChildOfAGoddess","Illegitimate Child Of A Goddess"

#Variables
DROP_RATE=70  #in %
REQUIRED=108 #how many items will be paid for a reward (affects onkill sounds too)

#Quest items
SN_SCALE = 5868

#Rewards
REWARDS=range(6329,6340,2)+range(5364,5367,2)

#Changing this value to non-zero, will turn recipes to 100% instead of 70/60%
ALT_RP_100 = 0

#Messages
default   = "<html><head><body>I have nothing to say to you.</body></html>"

#NPCs
OLTLIN = 30862

#Mobs
MOBS = [ 20672,20673 ]

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30862-5.htm" :
       st.setState(STARTED)
       st.set("cond","1")
       st.playSound("ItemSound.quest_accept")
    elif event == "30862-6.htm" :
       st.exitCurrentQuest(True)
    elif event == "30862-7.htm" :
       if st.getQuestItemsCount(SN_SCALE) >= REQUIRED :
          st.takeItems(SN_SCALE,REQUIRED)
          item=REWARDS[st.getRandom(len(REWARDS))]
          if ALT_RP_100: item +=1
          st.giveItems(item ,1)
          st.exitCurrentQuest(True)
          st.playSound("ItemSound.quest_finish")
       else :
          htmltext = "30862-4.htm"
    return htmltext

 def onTalk (self,npc,st):
   htmltext = default
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
      st.set("cond","0")
      if st.getPlayer().getLevel() < 63 :
         st.exitCurrentQuest(True)
         htmltext = "30862-1.htm"
      else :
         htmltext = "30862-2.htm"
   elif id == STARTED :
      if st.getQuestItemsCount(SN_SCALE) >= REQUIRED :
         htmltext = "30862-3.htm"
      else :
         htmltext = "30862-4.htm"
   return htmltext

 def onKill (self,npc,st) :
     count = st.getQuestItemsCount(SN_SCALE)
     if count < REQUIRED and st.getRandom(100) < DROP_RATE :
        st.giveItems(SN_SCALE,1)
        if count + 1 == REQUIRED :
           st.setState(STARTED)
           st.playSound("ItemSound.quest_middle")
           st.set("cond","2")
        else :
           st.playSound("ItemSound.quest_itemget")
     return

# Quest class and state definition
QUEST       = Quest(QUEST_NUMBER, str(QUEST_NUMBER)+"_"+QUEST_NAME, QUEST_DESCRIPTION)

CREATED     = State('Start',     QUEST)
STARTED     = State('Started',   QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)

# Quest NPC starter initialization
QUEST.addStartNpc(OLTLIN)
# Quest initialization
QUEST.addTalkId(OLTLIN)
QUEST.addTalkId(OLTLIN)

for i in MOBS :
  QUEST.addKillId(i)
  STARTED.addQuestDrop(i,SN_SCALE,1)

print "importing quests: "+str(QUEST_NUMBER)+": "+QUEST_DESCRIPTION
