#Tedr
import sys
from L2jFT.game.network.serverpackets import SystemMessage
from L2jFT.game.tables import SkillTable
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

KILL_TABL3 = 27286
ICE_CRYSTAL_ID = 7080
WHITE_FISH_ID = 6482
ICE_COLD_FLOWER_ID = 7534
RESONANCE_AMULET_1_ID = 7268
RESONANCE_AMULET_2_ID = 7299
RESONANCE_AMULET_3_ID = 7330
RESONANCE_AMULET_4_ID = 7361
RESONANCE_AMULET_5_ID = 7392
RESONANCE_AMULET_6_ID = 7423
DIVINE_STONE_OF_WISDOM_ID = 7081
HALISHA_MARK_ID = 7485
ADEN_ID = 57
BOOK_ID = 6622
SCULPTURE_OF_THE_FALLEN_KNIGHT = 7093

class Quest (JQuest) :

 spawned = 0
 hited = 0
 hits = 0

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
#SEDRIC
   if event == "30849-01.htm" :
      if  st.getPlayer().getClassId().getId() == 0x05  :
         if st.getPlayer().getLevel() >= 76 :
            st.giveItems(SCULPTURE_OF_THE_FALLEN_KNIGHT,1)
            st.set("cond","1")
            st.set("id","1")
            st.set("count","0")
            st.playSound("ItemSound.quest_accept")
            st.setState(STARTED)
         else :
            htmltext = "30849-02.htm"
            st.exitCurrentQuest(1)
      else :
         htmltext = "30849-02.htm"
         st.exitCurrentQuest(True)
   elif event == "30849-07.htm" :
      if st.getPlayer().getLevel() >= 76 :
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(90)
         st.getPlayer().setBaseClass(90)
         st.player.broadcastUserInfo()
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.takeItems(SCULPTURE_OF_THE_FALLEN_KNIGHT,-1)
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
      else :
         st.set("cond","20")
         st.set("id","16")
         st.playSound("ItemSound.quest_middle")
         st.takeItems(SCULPTURE_OF_THE_FALLEN_KNIGHT,-1)
         htmltext = "30849-08.htm"
   elif event == "30849-22.htm" :
      st.set("id","9")
      st.set("cond","11")
      st.playSound("ItemSound.quest_middle")
   elif event == "30849-23.htm" :
      st.set("id","9")
      st.set("cond","12")
      st.playSound("ItemSound.quest_middle")
   elif event == "30849-28.htm" :
      st.giveItems(RESONANCE_AMULET_4_ID,1)
      st.takeItems(DIVINE_STONE_OF_WISDOM_ID,1)
      st.set("id","10")
      st.set("cond","13")
      st.playSound("ItemSound.quest_middle")
#FELIX
   elif event == "31277-05.htm" :
      st.set("id","2")
      st.set("cond","2")
      st.playSound("ItemSound.quest_middle")
   elif event == "31277-06.htm" :
      st.giveItems(RESONANCE_AMULET_1_ID,1)
      st.takeItems(ICE_COLD_FLOWER_ID,-1)
      st.set("id","5")
      st.set("cond","5")
      st.playSound("ItemSound.quest_middle")
   elif event == "31277-33.htm" :
      st.set("id","12")
      st.set("cond","15")
      st.playSound("ItemSound.quest_middle")
#DONATH
   elif event == "31624-15.htm" :
      st.set("id","3")
      st.set("cond","3")
      st.playSound("ItemSound.quest_middle")
   elif event == "31624-16.htm" :
      st.giveItems(ICE_COLD_FLOWER_ID,1)
      st.takeItems(ICE_CRYSTAL_ID,1)
      st.takeItems(WHITE_FISH_ID,1)
      st.set("id","4")
      st.set("cond","4")
      st.playSound("ItemSound.quest_middle")
#Tablet1        
   elif event == "31646-02.htm" :
      st.takeItems(RESONANCE_AMULET_1_ID,1)
      st.set("cond","6")
      st.set("id","6")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Tablet2        
   elif event == "31647-03.htm" :
      st.takeItems(RESONANCE_AMULET_2_ID,-1)
      st.set("id","7")
      st.set("cond","8")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Tablet3          
   elif event == "31650-02.htm" :
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31650-04.htm"
         else :
            htmltext="31650-03.htm"
      else:
         st.playSound("Itemsound.quest_before_battle")
         st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(KILL_TABL3, 191046,-40640,-3042)).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
         Quest.spawned = 1
         st.startQuestTimer("chat_timer",500)
         st.startQuestTimer("despawn_timer",300000)
   elif event == "31650-06.htm" :
      st.takeItems(RESONANCE_AMULET_3_ID,-1)
      st.set("id","8")
      st.set("cond","10")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Timers
   elif event=="chat_timer" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Knight Adhil: arrived here, " + st.getPlayer().getName() + "! In order to prove my great strength, dies!"))
   elif event=="despawn_timer" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Knight Adhil: Ukraine ha ha Kazak! You have not defeated me oh! How does the victory or defeat stop?"))
         st.getPcSpawn().removeAllSpawn()
         Quest.spawned = 0
   elif event=="shadow_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Shadow of Beleth: your knight very is always stupid!"))
   elif event=="shadow_unspawn" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Shadow of Beleth: ha-ha. Stops."))
         st.getPcSpawn().removeSpawn(27278)
         st.set("i_quest","2")
   elif event=="eric_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: regardless of dark cloud fills the air, is unable to cover after death is sending out solar ray fact!"))
      st.startQuestTimer("eric_chat1",1500)
   elif event=="eric_chat1" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: do not have to believe these devils the speech! "+st.getPlayer().getName()+"!"))    
      st.startQuestTimer("eric_chat2",10000)
   elif event=="eric_chat2" :
      if Quest.hits <= 15 :
         if st.getRandom(2) == 0 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: "+st.getPlayer().getName()+"! Indecisive is the mind mortal enemy! Brandishes your sword, attacks the enemy!"))
         else :
            st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: "+st.getPlayer().getName()+"! Defends the justice, thought protects some person is the good for nothing?"))
         st.startQuestTimer("eric_chat2",13000)
   elif event=="eric_unspawn" :
      if st.getInt(("i_quest")) == 2 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: It was so you...! My efforts...!"))
         st.getPcSpawn().removeSpawn(31631)
      Quest.spawned = 0
      Quest.hited = 0
      Quest.hits = 0
   elif event=="halisha_unspawn" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the continuation battle is wastes the time.. Said goodbye in light of this...!"))
      st.getPcSpawn().removeSpawn(27219)
      Quest.spawned = 0
      Quest.hited = 0
      Quest.hits = 0
#4 Tablet    
   elif event == "31654-02.htm" : 
      st.takeItems(RESONANCE_AMULET_4_ID,1) 
      st.set("id","11")
      st.set("cond","14")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")    
#5 Tablet          
   elif event == "31655-03.htm" : 
      st.takeItems(RESONANCE_AMULET_5_ID,-1)
      st.set("cond","17")
      st.set("id","13")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#6 Tablet         
   elif event == "31657-02.htm" : 
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31657-04.htm"
         else :
            htmltext="31657-03.htm"
      else:
         st.getPcSpawn().removeAllSpawn()          
         st.getPcSpawn().addSpawn(31631, 46066,-36396,-1685)
         st.getPcSpawn().addSpawn(27278, 46087,-36372,-1685)
         Quest.spawned=1
         st.startQuestTimer("shadow_chat",500)
         st.startQuestTimer("shadow_unspawn",59000)
         st.startQuestTimer("eric_chat",500)
         st.startQuestTimer("eric_unspawn",60000)
         st.set("i_quest","0")
         st.playSound("Itemsound.quest_before_battle")
   elif event == "31657-06.htm" :
      st.getPcSpawn().removeAllSpawn()
      st.set("id","15")
      st.set("cond","19")
      st.takeItems(RESONANCE_AMULET_6_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")          
#Eric Ramsheart
   elif event == "final" :
      st.giveItems(RESONANCE_AMULET_6_ID,1)
      st.set("cond","18")
      st.playSound("ItemSound.quest_middle")
      st.getPlayer().sendPacket(SystemMessage.sendString("Eric Ramsheart: goodbye, friend The hope can meet once more."))
      st.getPcSpawn().removeSpawn(31631)
      st.set("i_quest","0")
   return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   if id == CREATED :
     st.set("cond","0")
     st.set("id","0")  
#SEDRIC
   if npcId == 30849 and st.getInt("id")==0:
      if id != COMPLETED:
         if st.getPlayer().getLevel()>=76 and st.getPlayer().getClassId().getId() == 0x05 :
            htmltext = "30849-01.htm"
         else :
            htmltext = "30849-02.htm"
      else :
         htmltext = "30849-02.htm"
   elif npcId == 30849 and st.getInt("id")==1 :
      htmltext = "30849-04.htm"
   elif npcId == 30849 and st.getInt("id")==8 :
      htmltext = "30849-21.htm"
   elif npcId == 30849 and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID) == 0 :
      htmltext = "30849-24.htm"
   elif npcId == 30849 and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID) >= 1 :
      htmltext = "30849-25.htm"
   elif npcId == 30849 and st.getInt("id")==10 :
      htmltext = "30849-26.htm"
   elif npcId == 30849 and st.getInt("id")==15 :
      htmltext = "30849-06.htm"
   elif npcId == 30849 and st.getInt("id")==16 :
      if st.getPlayer().getLevel>=76 :
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(90)
         st.getPlayer().setBaseClass(90)
         st.player.broadcastUserInfo()
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
         htmltext = "30849-09.htm"
      else :
         htmltext = "30849-10.htm"
#FELIX
   elif npcId == 31277 and st.getInt("id")==1 :
      htmltext = "31277-01.htm"
   elif npcId == 31277 and st.getInt("id")>=2 and 31277 and st.getInt("id")<=4 and st.getQuestItemsCount(ICE_COLD_FLOWER_ID)==0 :
      htmltext = "31277-02.htm"      
   elif npcId == 31277 and st.getInt("id")>=2 and 31277 and st.getInt("id")<=4 and st.getQuestItemsCount(ICE_COLD_FLOWER_ID)>=1 :
      htmltext = "31277-03.htm"
   elif npcId == 31277 and st.getInt("id")==5 :
      htmltext = "31277-04.htm"
   elif npcId == 31277 and st.getInt("id")==11 :
      htmltext = "31277-31.htm"
   elif npcId == 31277 and st.getInt("id")==12 :
      htmltext = "31277-32.htm"
#DONATH
   elif npcId == 31624 and st.getInt("id")== 2 :
      htmltext = "31624-11.htm"
   elif npcId == 31624 and st.getInt("id")==3 : 
      if st.getQuestItemsCount(ICE_CRYSTAL_ID) >=1 and st.getQuestItemsCount(WHITE_FISH_ID) >=1 :
         htmltext="31624-13.htm"
      else :
         htmltext="31624-12.htm"
   elif npcId == 31624 and st.getInt("id")==4 :
      htmltext = "31624-14.htm"
#Tablet1       
   elif npcId == 31646 and st.getInt("id")==5 and st.getQuestItemsCount(RESONANCE_AMULET_1_ID)>=1 :
      htmltext = "31646-01.htm"
   elif npcId == 31646 and st.getInt("id")==6 :
      htmltext = "31646-03.htm"
#Tablet2 
   elif npcId == 31647 and st.getInt("id")==6 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)==0 :
      htmltext = "31647-01.htm"
   elif npcId == 31647 and st.getInt("id")==6 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)>=1 :
      htmltext = "31647-02.htm"
   elif npcId == 31647 and st.getInt("id")==7 :
      htmltext = "31647-04.htm"
#Tablet3   
   elif npcId == 31650 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)==0 :
      htmltext = "31650-01.htm"
   elif npcId == 31650 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)>=1 :
      htmltext = "31650-05.htm"
   elif npcId == 31650 and st.getInt("id")==8 :
      htmltext = "31650-07.htm"
#Tablet 4
   elif npcId == 31654 and st.getInt("id")==10 and st.getQuestItemsCount(RESONANCE_AMULET_4_ID)>=1 :
      htmltext = "31654-01.htm"
   elif npcId == 31654 and st.getInt("id")==11 :
      htmltext = "31654-03.htm"
#Tablet 5
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)==0 :
      htmltext = "31655-01.htm"
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)>=1 :
      htmltext = "31655-02.htm"
   elif npcId == 31655 and st.getInt("id")==13 :
      htmltext = "31655-04.htm"
#Tablet 6
   elif npcId == 31657 and (st.getInt("id")==13 or st.getInt("id")==14) and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 :
      htmltext = "31657-01.htm"
   elif npcId == 31657 and st.getInt("id")==14 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 :
      htmltext = "31657-05.htm"
   elif npcId == 31657 and st.getInt("id")==15 :
      htmltext = "31657-07.htm"
#Eric Ramsheart
   elif npcId == 31631 and st.getInt("id")==13 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31631-01.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31631-03.htm"
   elif npcId == 31631 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 and st.getInt("id")==14 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31631-04.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31631-06.htm"
   elif npcId == 31631 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 and st.getInt("id")==14 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31631-08.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31631-09.htm"    
   return htmltext

 def onAttack (self, npc, st):                   
   npcId = npc.getNpcId()
   if npcId == KILL_TABL3 :
      Quest.hited = 1
   elif npcId == 27278 :
      Quest.hited = 1
      Quest.hits = Quest.hits+1
      if Quest.hits <= 15 :
         if Quest.hits == 1 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Shadow of Beleth:"+st.getPlayer().getName()+"! You said the protection has not actually been able to protect! Got rid all? Your justice is false!"))
      else :
         st.set("id","14")
         st.set("i_quest","1")
         st.getPlayer().sendPacket(SystemMessage.sendString("Shadow of Beleth:"+st.getPlayer().getName()+". Do not think you have won..! Your shadow deep place darkness can forever stare at you.. Hypocrite!"))
         st.getPcSpawn().removeSpawn(27278)
   
 def onKill (self,npc,st):
   npcId = npc.getNpcId()
#Guardian of Forbidden Knowledge   
   if npcId == 27214 and st.getInt("id")==6 :
      if st.getInt(("count")) > 9 :
         st.giveItems(RESONANCE_AMULET_2_ID,1)
         st.set("cond","7")   
         st.playSound("ItemSound.quest_middle")
      else :
         st.set("count",str(st.getInt(("count"))+1))
#Fallen Knight Adhil
   elif npcId == KILL_TABL3 :
      if st.getInt("id") == 7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID) == 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Knight Adhil: distress distress... How meets! I am strongest...! For the victory I have gotten rid of all..!"))
         st.giveItems(RESONANCE_AMULET_3_ID,1)
         st.set("cond","9")
         st.playSound("ItemSound.quest_middle")
   elif npcId in [21646, 21647, 21648, 21649, 21650, 21651]  :
      if st.getInt("id") == 12  and st.getQuestItemsCount(HALISHA_MARK_ID)<701 :
         st.giveItems(HALISHA_MARK_ID,1)
         if st.getQuestItemsCount(HALISHA_MARK_ID) == 701 :
            st.playSound("Itemsound.quest_before_battle")
            st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(27219, npc.getX(),npc.getY(),npc.getZ())).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
            st.takeItems(HALISHA_MARK_ID,20)
            st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: "+st.getPlayer().getName()+"! Clearly knew is the fiendish person Harry summer subordinate, intentionally such does?"))
            st.startQuestTimer("halisha_unspawn",600000)
         else:
            st.playSound("ItemSound.quest_itemget")
#Archon of Halisha
   elif npcId == 27219 :
      if st.getInt("id") == 12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID) == 0 :
         st.playSound("ItemSound.quest_middle")
         st.giveItems(RESONANCE_AMULET_5_ID,1)
         st.takeItems(HALISHA_MARK_ID,-1)
         st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the present, my soul extricates from millennium fetter, returns the Harry summer side..."))
         st.set("cond","16")      
   return

QUEST       = Quest(70,"70_SagaofthePhoenixKnight","Saga of the Phoenix Knight")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)


QUEST.setInitialState(CREATED)
#Fist NPC
QUEST.addStartNpc(30849)
QUEST.addTalkId(30849)
QUEST.addTalkId(30849)
QUEST.addTalkId(30849)
QUEST.addTalkId(30849)
#Felix
QUEST.addTalkId(31277)
#Donath
QUEST.addTalkId(31624)
#Tablet 1
QUEST.addTalkId(31646) 
#Tablet 2
QUEST.addTalkId(31647)
#Tablet 3
QUEST.addTalkId(31650)

#Tablet 4
QUEST.addTalkId(31654)

#Tablet 5
QUEST.addTalkId(31655)
#Tablet 6
QUEST.addTalkId(31657)
#Eric
QUEST.addTalkId(31631)


QUEST.addKillId(27214)
QUEST.addKillId(KILL_TABL3)
QUEST.addKillId(21646)
QUEST.addKillId(21647)
QUEST.addKillId(21648)
QUEST.addKillId(21648)
QUEST.addKillId(21650)
QUEST.addKillId(21651)
QUEST.addKillId(27219)

QUEST.addAttackId(KILL_TABL3)
QUEST.addAttackId(27278)

STARTED.addQuestDrop(27214,RESONANCE_AMULET_2_ID,1)
STARTED.addQuestDrop(KILL_TABL3,RESONANCE_AMULET_3_ID,1)
STARTED.addQuestDrop(27219,RESONANCE_AMULET_5_ID,1)
STARTED.addQuestDrop(21646,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21647,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21648,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21649,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21650,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21651,HALISHA_MARK_ID,1)

print "importing quests: 70: Saga of the Phoenix Knight"
