import sys
from L2jFT.game.network.serverpackets import SystemMessage
from L2jFT.game.tables import SkillTable
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest

SECRET_BOOK_OF_KHAVATARI = 7099
ICE_CRYSTAL_ID = 7080
COLD_VODKA_ID = 7539
RESONANCE_AMULET_1_ID = 7274
RESONANCE_AMULET_2_ID = 7305
RESONANCE_AMULET_3_ID = 7336
RESONANCE_AMULET_4_ID = 7367
RESONANCE_AMULET_5_ID = 7398
RESONANCE_AMULET_6_ID = 7429
DIVINE_STONE_OF_WISDOM_ID = 7081
HALISHA_MARK_ID = 7491
ADEN_ID = 57
BOOK_ID = 6622

#Mobs kill
KILL_TABL3 = 27293




class Quest (JQuest) :
 
 spawned = 0
 hited = 0
 hits = 0
 
 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
#Hakran
   if event == "31339-03.htm" :
      if st.getPlayer().getLevel()>=76 and st.getPlayer().getClassId().getId()==48 :
         st.giveItems(SECRET_BOOK_OF_KHAVATARI,1)
         st.set("id","1")
         st.set("cond","1")
         st.set("count","0")
         st.setState(STARTED)
         st.playSound("ItemSound.quest_accept")
      else :
         htmltext = "31339-02.htm"
   elif event == "31339-07.htm" :
      if st.getPlayer().getLevel()>=76 and st.getPlayer().getClassId().getId()==48 :
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(90)
         st.getPlayer().setBaseClass(90)
         st.player.broadcastUserInfo()
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.takeItems(SECRET_BOOK_OF_KHAVATARI,-1)
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
      else :
         st.set("cond","20")
         st.set("id","16")
         st.playSound("ItemSound.quest_middle")
         st.takeItems(SECRET_BOOK_OF_KHAVATARI,-1)
         htmltext = "31339-08.htm"
#Donath
   elif event == "31624-15.htm" :
      st.set("cond","3")
      st.set("id","3")
      st.playSound("ItemSound.quest_middle")
   elif event == "31624-16.htm" :
      st.giveItems(COLD_VODKA_ID,1)
      st.takeItems(ICE_CRYSTAL_ID,-1)
      st.set("cond","4")
      st.set("id","4")
      st.playSound("ItemSound.quest_middle")
#Duda-Mara Totem Spirit
   elif event == "31589-05.htm" :
      st.set("cond","2")
      st.set("id","2")
      st.playSound("ItemSound.quest_middle")
   elif event == "31589-06.htm" :
      st.giveItems(RESONANCE_AMULET_1_ID,1)
      st.takeItems(COLD_VODKA_ID,-1)
      st.set("cond","5")
      st.set("id","5")
      st.playSound("ItemSound.quest_middle")
#Skahi
   elif event == "31290-22.htm" :
      st.set("id","9")
      st.set("cond","11")
      st.playSound("ItemSound.quest_middle")
   elif event == "31290-23.htm" :
      st.set("id","9")
      st.set("cond","12")
      st.playSound("ItemSound.quest_middle")
   elif event == "31290-28.htm" :
      st.giveItems(RESONANCE_AMULET_4_ID,1)
      st.takeItems(DIVINE_STONE_OF_WISDOM_ID,-1)
      st.set("id","10")
      st.set("cond","13")
      st.playSound("ItemSound.quest_middle")
   elif event == "31290-33.htm" :
      st.set("id","12")
      st.set("cond","15")
      st.playSound("ItemSound.quest_middle")
#Tablet1
   elif event == "31646-02.htm" :
      st.takeItems(RESONANCE_AMULET_1_ID,-1)
      st.set("cond","6")
      st.set("id","6")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Tablet2
   elif event == "31647-03.htm" :
      st.takeItems(RESONANCE_AMULET_2_ID,-1)
      st.set("id","7")
      st.set("cond","8")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Tablet3
   elif event == "31652-02.htm" :
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31652-04.htm"
         else :
            htmltext="31652-03.htm"
      else:
         st.playSound("Itemsound.quest_before_battle")
         st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(KILL_TABL3, 161719,-92823,-1893)).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
         Quest.spawned = 1
         st.startQuestTimer("chat_timer",500)
         st.startQuestTimer("despawn_timer",300000)
   elif event == "31652-06.htm" :
      st.takeItems(RESONANCE_AMULET_3_ID,-1)
      st.set("id","8")
      st.set("cond","10")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Timers            
   elif event=="chat_timer" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Uruz: "+ st.getPlayer().getName() + ".. I, the approval follow close on Wu Lu Zi the strength But, wants with to achieve Ards pulls the strength I fight?"))
   elif event=="despawn_timer" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Uruz: Calls.. Azra forces is not easy to fully understand you. First.."))
         st.getPcSpawn().removeAllSpawn()
         Quest.spawned = 0         
   elif event=="azira_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Flame Evil Spirit Azira: stupid Kabbah Tarry. They thought to martial arts source me, that strength also can play role."))
   elif event=="azira_unspawn" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Flame Evil Spirit Azira: has not continued mood which plays..."))
         st.getPcSpawn().removeSpawn(27284)
         st.set("i_quest","2")
   elif event=="kashu_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu: Ards pulls! Had been born to the evil spark person, buries with mine fist for you!"))
      st.startQuestTimer("kashu_chat1",1500)
   elif event=="kashu_chat1" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu: there! "+st.getPlayer().getName()+"! You if knew Kabbah Tarry's name, Siling wields to this sprinkles the fist!"))    
      st.startQuestTimer("kashu_chat2",10000)
   elif event=="kashu_chat2" :
      if Quest.hits <= 15 :
         if st.getRandom(2) == 0 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu: "+st.getPlayer().getName()+"! Is the converging attack! Melts into in the fist the heart, maliciously hitting!"))
         else :
            st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu: "+st.getPlayer().getName()+"! Contains your sincerity the fist, certainly can get a light from another light the incarnation to play the role!"))
         st.startQuestTimer("kashu_chat2",13000)
   elif event=="kashu_unspawn" :
      if st.getInt(("i_quest")) == 2 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu:  graciousness? ! To the time which went back Next time goodbye."))
         st.getPcSpawn().removeSpawn(31637)
      Quest.spawned = 0
      Quest.hited = 0
      Quest.hits = 0
   elif event=="halisha_unspawn" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the continuation battle is wastes the time.. Said goodbye in light of this...!"))
      st.getPcSpawn().removeSpawn(27226)
      Quest.spawned = 0
      Quest.hited = 0
      Quest.hits = 0
#4 Tablet    
   elif event == "31654-02.htm" : 
      st.takeItems(RESONANCE_AMULET_4_ID,1) 
      st.set("id","11")
      st.set("cond","14")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")  
#Tablet 5
   elif event == "31655-03.htm" : 
      st.takeItems(RESONANCE_AMULET_5_ID,-1)
      st.set("cond","17")
      st.set("id","13")
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle")
#Tablet 6
   elif event == "31659-02.htm" : 
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31659-04.htm"
         else :
            htmltext="31659-03.htm"
      else:
         st.getPcSpawn().removeAllSpawn()          
         st.getPcSpawn().addSpawn(31637, 124376,82127,-2796)
         st.getPcSpawn().addSpawn(27284, 124355,82155,-2803)
         Quest.spawned=1
         st.startQuestTimer("azira_chat",500)
         st.startQuestTimer("azira_unspawn",59000)
         st.startQuestTimer("kashu_chat",500)
         st.startQuestTimer("kashu_unspawn",60000)
         st.set("i_quest","0")
         st.playSound("Itemsound.quest_before_battle")
   elif event == "31659-06.htm" :
      st.getPcSpawn().removeAllSpawn()
      st.set("id","15")
      st.set("cond","19")
      st.takeItems(RESONANCE_AMULET_6_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.playSound("ItemSound.quest_middle") 
#Khavatari Kashu
   elif event == "final" :
      st.giveItems(RESONANCE_AMULET_6_ID,1)
      st.set("cond","18")
      st.playSound("ItemSound.quest_middle")
      st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Kashu: to Siling also plays role fist, do not have to forget it!"))
      st.getPcSpawn().removeSpawn(31637)
      st.set("i_quest","0")
   return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
#Hakran
   if npcId == 31339 and id == COMPLETED :
      htmltext = "<html><body>You have been already finished this quest!</body></html>"        
   elif npcId == 31339 and id == CREATED :
      if st.getPlayer().getLevel() >= 76 and st.getPlayer().getClassId().getId() == 48 :
         htmltext = "31339-01.htm"
      else :
         htmltext = "31339-02.htm"
   elif npcId == 31339 and st.getInt("id")==1 :
      htmltext = "31339-04.htm"
   elif npcId == 31339 and st.getInt("id")==15 :
      htmltext = "31339-06.htm"
   elif npcId == 31339 and st.getInt("id")==16 :
      if st.getPlayer().getLevel() >= 76 and st.getPlayer().getClassId().getId() == 48 :
         htmltext = "31339-09.htm"   
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(90)
         st.getPlayer().setBaseClass(90)
         st.player.broadcastUserInfo()
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
      else :
         htmltext = "30849-10.htm"
#Donath
   elif npcId == 31624 and st.getInt("id")==2 :
      htmltext = "31624-11.htm"
   elif npcId == 31624 and st.getInt("id")==3 and st.getQuestItemsCount(ICE_CRYSTAL_ID)==0 : 
      htmltext = "31624-12.htm"
   elif npcId == 31624 and st.getInt("id")==3 and st.getQuestItemsCount(ICE_CRYSTAL_ID)>=1 :
      htmltext = "31624-13.htm"
   elif npcId == 31624 and st.getInt("id")==4  :
      htmltext = "31624-14.htm"      
#Duda-Mara Totem Spirit      
   elif npcId == 31589 and st.getInt("id")==1 :
      htmltext = "31589-01.htm"
   elif npcId == 31589 and st.getInt("id")>=2 and st.getInt("id")<=4 and st.getQuestItemsCount(COLD_VODKA_ID)==0 :
      htmltext = "31589-02.htm"      
   elif npcId == 31589 and st.getInt("id")>=2 and st.getInt("id")<=4 and st.getQuestItemsCount(COLD_VODKA_ID)>=1 :
      htmltext = "31589-03.htm"
   elif npcId == 31589 and st.getInt("id")==5 :
      htmltext = "31589-04.htm"      
#Skahi
   elif npcId == 31290 and st.getInt("id")==8 :
      htmltext = "31290-21.htm"      
   elif npcId == 31290  and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID)==0 :
      htmltext = "31290-24.htm"      
   elif npcId == 31290 and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID)>=1 :
      htmltext = "31290-25.htm"
   elif npcId == 31290 and st.getInt("id")==10 :
      htmltext = "31290-26.htm"
   elif npcId == 31290 and st.getInt("id")==11 :
      htmltext = "31290-31.htm"
   elif npcId == 31290 and st.getInt("id")==12 :
      htmltext = "31290-32.htm"      
#Tablet
   elif npcId == 31646 and st.getInt("id")==5 and st.getQuestItemsCount(RESONANCE_AMULET_1_ID)>=1 :
      htmltext = "31646-01.htm"
   elif npcId == 31646 and st.getInt("id")==6 :
      htmltext = "31646-03.htm"      
#Tablet2
   elif npcId == 31647 and st.getInt("id")==6 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)==0 :
      htmltext = "31647-01.htm"
   elif npcId == 31647 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)>=1 :
      htmltext = "31647-02.htm"
   elif npcId == 31647 and st.getInt("id")==7 :
      htmltext = "31647-04.htm"    
#Tablet3
   elif npcId == 31652 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)==0 :
      htmltext = "31652-01.htm"
   elif npcId == 31652 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)>=0 :
      htmltext = "31652-05.htm"
   elif npcId == 31652 and st.getInt("id")==8 :
      htmltext = "31652-07.htm"
#Tablet 4
   elif npcId == 31654 and st.getInt("id")==10 and st.getQuestItemsCount(RESONANCE_AMULET_4_ID)>=1 :
      htmltext = "31654-01.htm"
   elif npcId == 31654 and st.getInt("id")==11 :
      htmltext = "31654-03.htm"
#Tablet 5
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)==0 :
      htmltext = "31655-01.htm"
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)>=1 :
      htmltext = "31655-02.htm"
   elif npcId == 31655 and st.getInt("id")==13 :
      htmltext = "31655-04.htm"
#Tablet 6
   elif npcId == 31659 and (st.getInt("id")==13 or st.getInt("id")==14) and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 :
      htmltext = "31659-01.htm"
   elif npcId == 31659 and st.getInt("id")==14 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 :
      htmltext = "31659-05.htm"
   elif npcId == 31659 and st.getInt("id")==15 :
      htmltext = "31659-07.htm"      
#Khavatari Kashu
   elif npcId == 31637 and st.getInt("id")==13 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31637-01.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31637-03.htm"
   elif npcId == 31637 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 and st.getInt("id")==14 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31637-04.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31637-06.htm"
   elif npcId == 31637 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 and st.getInt("id")==14 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31637-08.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31637-09.htm" 

   return htmltext
          
      
   return htmltext
 def onAttack (self, npc, st):                   
   npcId = npc.getNpcId()
   if npcId == KILL_TABL3 :
      Quest.hited = 1
   elif npcId == 27284 :
      Quest.hited = 1
      Quest.hits = Quest.hits+1
      if Quest.hits <= 15 :
         if Quest.hits == 1 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Flame Evil Spirit Azira:"+st.getPlayer().getName()+".. Is walks Kabbah road of the Tarry person Knew I is how existence but fights with me..."))
      else :
         st.set("id","14")
         st.set("i_quest","1")
         st.getPlayer().sendPacket(SystemMessage.sendString("Flame Evil Spirit Azira:"+st.getPlayer().getName()+".. Card repair.. is the good attack The present human body is unable to support again.. This this present existence too has been short..."))
         st.getPcSpawn().removeSpawn(27284)

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == 27214 :
      if st.getInt(("count")) > 9 :
         st.giveItems(RESONANCE_AMULET_2_ID,1)
         st.set("cond","7")   
         st.playSound("ItemSound.quest_middle")
      else :
         st.set("count",str(st.getInt(("count"))+1))
   elif npcId == KILL_TABL3 :
      if st.getInt("id") == 7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID) == 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Khavatari Uruz: is impossible! Obtains me which Ards pulls the strength, achieved flame shadow I how possibly like this do drop down...!"))
         st.giveItems(RESONANCE_AMULET_3_ID,1)
         st.set("cond","9")
         st.playSound("ItemSound.quest_middle")
   if npcId in [21646, 21647, 21648, 21649, 21650, 21651]  :
      if st.getInt("id") == 12  and st.getQuestItemsCount(HALISHA_MARK_ID)<701 :
         st.giveItems(HALISHA_MARK_ID,1)
         if st.getQuestItemsCount(HALISHA_MARK_ID) == 701 :
            st.playSound("Itemsound.quest_before_battle")
            st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(27226, npc.getX(),npc.getY(),npc.getZ())).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
            st.takeItems(HALISHA_MARK_ID,20)
            st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the harassment order orderly pays respect to the place the person, can execute by "+st.getPlayer().getName()+"!"))
            st.startQuestTimer("halisha_unspawn",600000)
         else:
            st.playSound("ItemSound.quest_itemget")
   elif npcId == 27226 :
      if st.getInt("id") == 12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID) == 0 :
         st.playSound("ItemSound.quest_middle")
         st.giveItems(RESONANCE_AMULET_5_ID,1)
         st.takeItems(HALISHA_MARK_ID,-1)
         st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha:the present, my soul extricates from millennium fetter, returns the Harry summer side..."))
         st.set("cond","16")      
   return

QUEST       = Quest(76,"76_SagaoftheGrandKhavata","Saga of the Grand Khavata")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)


QUEST.setInitialState(CREATED)
#Fist NPC
QUEST.addStartNpc(31339)
QUEST.addTalkId(31339)
QUEST.addTalkId(31339)
QUEST.addTalkId(31339)
#Second NPC
QUEST.addTalkId(31624)

QUEST.addTalkId(31589)
#Tablet 1
QUEST.addTalkId(31290) 
#Tablet 2
QUEST.addTalkId(31646)
#Tablet 3
QUEST.addTalkId(31652)

# DIVINE STONE MOB
QUEST.addTalkId(31654)

#Tablet 4
QUEST.addTalkId(31655)
#Tablet 5
QUEST.addTalkId(31659)
#Tablet 6
QUEST.addTalkId(31637)
#NPC TABLET 6
QUEST.addTalkId(31647)

QUEST.addAttackId(KILL_TABL3)
QUEST.addAttackId(27284)

QUEST.addKillId(27214)
QUEST.addKillId(KILL_TABL3)

QUEST.addKillId(21646)
QUEST.addKillId(21647)
QUEST.addKillId(21648)
QUEST.addKillId(21649)
QUEST.addKillId(21650)
QUEST.addKillId(21651)

QUEST.addKillId(27226)



STARTED.addQuestDrop(27214,RESONANCE_AMULET_2_ID,1)
STARTED.addQuestDrop(KILL_TABL3,RESONANCE_AMULET_3_ID,1)
STARTED.addQuestDrop(27266,RESONANCE_AMULET_5_ID,1)
STARTED.addQuestDrop(21646,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21647,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21648,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21649,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21650,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21651,HALISHA_MARK_ID,1)

print "importing quests: 76: Saga of the Grand Khavata"