import sys
from L2jFT.game.network.serverpackets import SystemMessage
from L2jFT.game.tables import SkillTable
from L2jFT.game.model.quest import State
from L2jFT.game.model.quest import QuestState
from L2jFT.game.model.quest import QuestJython as JQuest
from l2f.gameserver.serverpackets import SystemMessage

KILL_TABL3 = 27297

ICE_CRYSTAL_ID = 7080
ICECREAM_ID = 7520
RESONANCE_AMULET_1_ID = 7281
RESONANCE_AMULET_2_ID = 7312
RESONANCE_AMULET_3_ID = 7343
RESONANCE_AMULET_4_ID = 7374
RESONANCE_AMULET_5_ID = 7405
RESONANCE_AMULET_6_ID = 7436
DIVINE_STONE_OF_WISDOM_ID = 7081
HALISHA_MARK_ID = 7498
ADEN_ID = 57
BOOK_ID = 6622

class Quest (JQuest) :
 spawned = 0
 hited = 0 
 hits = 0
 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
#Bernard
   if event == "30702-03.htm" :
      st.giveItems(7106,1)
      st.set("cond","1")
      st.set("id","1")
      st.set("count","0")
      st.playSound("ItemSound.quest_accept")
      st.setState(STARTED)
   elif event == "30702-07.htm" :
      if st.getPlayer().getLevel() >= 76 :
         st.takeItems(7106,-1)
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(102)
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.getPlayer().setBaseClass(102)
         st.player.broadcastUserInfo()
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
      else:
         st.set("id","16")
         st.set("cond","20")
         st.playSound("ItemSound.quest_middle")
         st.takeItems(7106,-1)
         htmltext="30702-08.htm"  
#Pilgrim of Darkness1
   elif event == "31640-22.htm" :
      st.set("id","9")
      st.set("cond","11")
      st.playSound("ItemSound.quest_middle")
   elif event == "31640-23.htm" :
      st.set("id","9")
      st.set("cond","12")
      st.playSound("ItemSound.quest_middle")
   elif event == "31640-28.htm" :
      st.giveItems(RESONANCE_AMULET_4_ID,1)
      st.takeItems(DIVINE_STONE_OF_WISDOM_ID,-1)
      st.set("id","10")
      st.set("cond","13")
      st.playSound("ItemSound.quest_middle")
#Pilgrim of Darkness2
   elif event == "31641-33.htm" :
      st.set("id","12")
      st.set("cond","15")
      st.playSound("ItemSound.quest_middle")      
#Grimst
   elif event == "31604-05.htm" :
      st.set("id","2")
      st.set("cond","2")
      st.playSound("ItemSound.quest_middle")
   elif event == "31604-06.htm" :
      st.giveItems(RESONANCE_AMULET_1_ID,1)
      st.takeItems(ICECREAM_ID,-1)
      st.set("id","5")
      st.set("cond","5")
      st.playSound("ItemSound.quest_middle")
#Mist
   elif event == "31627-15.htm" :
      st.set("id","3")
      st.set("cond","3")
      st.playSound("ItemSound.quest_middle")
   elif event == "31627-16.htm" :
      st.giveItems(ICECREAM_ID,1)
      st.takeItems(ICE_CRYSTAL_ID,-1)
      st.set("id","4")
      st.set("cond","4")      
      st.playSound("ItemSound.quest_middle")
#Tablet1      
   elif event == "31646-02.htm" :
      st.takeItems(RESONANCE_AMULET_1_ID,-1) 
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","6")
      st.set("cond","6")      
      st.playSound("ItemSound.quest_middle")
#Tablet2
   elif event == "31648-03.htm" :
      st.takeItems(RESONANCE_AMULET_2_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","7")
      st.set("cond","8")      
      st.playSound("ItemSound.quest_middle")
#Tablet 3
   elif event == "31652-02.htm" :
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31652-04.htm"
         else :
            htmltext="31652-03.htm"
      else:
         st.playSound("Itemsound.quest_before_battle")
         st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(KILL_TABL3, 161719,-92833,-1893)).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
         Quest.spawned = 1
         st.startQuestTimer("chat_timer",500)
         st.startQuestTimer("despawn_timer",300000)
   elif event == "31652-06.htm" :
      st.takeItems(RESONANCE_AMULET_3_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","8")
      st.set("cond","10")      
      st.playSound("ItemSound.quest_middle") 
#Timers
   elif event=="chat_timer" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Monument Watcher Ezekiel: " + st.getPlayer().getName() + "dares to encroach upon sacred domain."))
   elif event=="despawn_timer" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Monument Watcher Ezekiel: obtains before a heavier punishment, leaves."))
         st.getPcSpawn().removeAllSpawn()
         Quest.spawned = 0      
   elif event=="azrael_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Monument Defender Azrael: gives opposition god person punishment!"))
   elif event=="azrael_unspawn" :
      if Quest.spawned > 0 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Monument Defender Azrael: Yin Haisa is crying out."))
         st.getPcSpawn().removeSpawn(27306)
         st.set("i_quest","2")
   elif event=="kadys_chat" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: this certainly must catch you."))
      st.startQuestTimer("kadys_chat1",1500)
   elif event=="kadys_chat1" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: before fought has wounded and sick manifested suddenly Feeds %s! Solves together this fellow!"))    
      st.startQuestTimer("kadys_chat2",10000)
   elif event=="kadys_chat2" :
      if Quest.hits <= 15 :
         if st.getRandom(2) == 0 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: "+st.getPlayer().getName()+" ! Again adds a vigor."))
         else :
            st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: "+st.getPlayer().getName()+"! That fellow has escaped."))
         st.startQuestTimer("eric_chat2",13000)
   elif event=="kadys_unspawn" :
      if st.getInt(("i_quest")) == 2 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: has missed, next time certainly will want..."))
         st.getPcSpawn().removeSpawn(31634)
      Quest.spawned = 0
      Quest.hited = 0 
      Quest.hits = 0
   elif event=="halisha_unspawn" :
      st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the continuation battle is wastes the time.. Said goodbye in light of this...!"))
      st.getPcSpawn().removeSpawn(27232)
      Quest.spawned = 0
      Quest.hited = 0 
      Quest.hits = 0
#Tablet 4
   elif event == "31654-02.htm" :
      st.takeItems(RESONANCE_AMULET_4_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","11")
      st.set("cond","14")      
      st.playSound("ItemSound.quest_middle") 
#Tablet 5
   elif event == "31655-03.htm" :
      st.takeItems(RESONANCE_AMULET_5_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","13")
      st.set("cond","17")      
      st.playSound("ItemSound.quest_middle") 
#6 Tablet
   elif event == "31658-02.htm" :
      if Quest.spawned > 0 :
         if Quest.hited > 0 :
            htmltext="31658-04.htm"
         else :
            htmltext="31658-03.htm"
      else:
         st.getPcSpawn().removeAllSpawn()          
         st.getPcSpawn().addSpawn(31634, 181215,36676,-4816)
         st.getPcSpawn().addSpawn(27306, 181227,36703,-4716)
         Quest.spawned=1
         st.startQuestTimer("azrael_chat",500)
         st.startQuestTimer("azrael_unspawn",59000)
         st.startQuestTimer("kadys_chat",500)
         st.startQuestTimer("kadys_unspawn",60000)
         st.set("i_quest","0")
         st.playSound("Itemsound.quest_before_battle")
   elif event == "31658-06.htm" :
      st.takeItems(RESONANCE_AMULET_6_ID,-1)
      st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
      st.set("id","15")
      st.set("cond","19")      
      st.playSound("ItemSound.quest_middle")
   elif event == "finish" :
      st.giveItems(RESONANCE_AMULET_6_ID,1)
      st.set("cond","18")
      st.playSound("ItemSound.quest_middle")
      st.getPlayer().sendPacket(SystemMessage.sendString("Winter Hunter Kadyth: that next time will see."))
      st.getPcSpawn().removeSpawn(31634)
      st.set("i_quest","0")
   return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   if id == CREATED :
     st.set("cond","0")
     st.set("id","0")
#Bernard
   if npcId == 30702 and st.getInt(("cond"))==0 :
      if id != COMPLETED :
         if st.getPlayer().getLevel() >= 76 and st.getPlayer().getClassId().getId() == 24 :
           htmltext = "30702-01.htm"
         else:
           htmltext = "30702-02.htm"
      else:
         htmltext = "30702-02.htm"
   elif npcId == 30702 and st.getInt("id")==1 :
      htmltext = "30702-04.htm"
   elif npcId == 30702 and st.getInt("id")==15 :
      htmltext = "30702-06.htm"
   elif npcId == 30702 and st.getInt("id")==16 :   
      if st.getPlayer().getLevel() >= 76 and st.getPlayer().getClassId().getId() == 24 :
         st.addExpAndSp(2299404,0)
         st.giveItems(ADEN_ID,5000000)
         st.giveItems(BOOK_ID,1)
         st.getPlayer().setClassId(102)
         st.getPlayer().setBaseClass(102)
         st.player.broadcastUserInfo()
         st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
         st.playSound("ItemSound.quest_fanfare_2")
         st.exitCurrentQuest(True)
         st.setState(COMPLETED)
         htmltext = "30702-09.htm"
      else :
         htmltext = "30702-10.htm"
#Pilgrim of Darkness1
   elif npcId == 31640 and st.getInt("id")==8 :
      htmltext = "31640-21.htm"      
   elif npcId == 31640 and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID)==0 :
      htmltext = "31640-24.htm"      
   elif npcId == 31640 and st.getInt("id")==9 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM_ID)>=1 :
      htmltext = "31640-25.htm"
   elif npcId == 31640 and st.getInt("id")==10 :
      htmltext = "31640-26.htm"
#Pilgrim of Darkness2
   elif npcId == 31641 and st.getInt("id")==11 :
      htmltext = "31641-31.htm"
   elif npcId == 31641 and st.getInt("id")==12 :
      htmltext = "31641-32.htm"
#Grimst
   elif npcId == 31604 and st.getInt("id")==1 :
      htmltext = "31604-01.htm"
   elif npcId == 31604 and st.getInt("id")>=2 and st.getInt("id")<=4 and st.getQuestItemsCount(ICECREAM_ID)==0 :
      htmltext = "31604-02.htm"      
   elif npcId == 31604 and st.getInt("id")>=2 and st.getInt("id")<=4 and st.getQuestItemsCount(ICECREAM_ID)>=1 :
      htmltext = "31604-03.htm"
   elif npcId == 31604 and st.getInt("id")==5 :
      htmltext = "31604-04.htm"
#Mist
   elif npcId == 31627 and st.getInt("id")==2 :
      htmltext = "31627-11.htm"
   elif npcId == 31627 and st.getInt("id")==3 and st.getQuestItemsCount(ICE_CRYSTAL_ID)==0 :
      htmltext = "31627-12.htm"
   elif npcId == 31627 and st.getInt("id")==3 and st.getQuestItemsCount(ICE_CRYSTAL_ID)>=1 :
      htmltext = "31627-13.htm"
   elif npcId == 31627 and st.getInt("id")==4 :
      htmltext = "31627-14.htm"
#Tablet1
   elif npcId == 31646 and st.getInt("id")==5 and st.getQuestItemsCount(RESONANCE_AMULET_1_ID)>=1 :
      htmltext = "31646-01.htm"
   elif npcId == 31646 and st.getInt("id")==6 :
      htmltext = "31646-03.htm"
#Tablet2
   elif npcId == 31648 and st.getInt("id")==6 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)==0 :
      htmltext = "31648-01.htm"
   elif npcId == 31648 and st.getInt("id")==6 and st.getQuestItemsCount(RESONANCE_AMULET_2_ID)>=1 :
      htmltext = "31648-02.htm"
   elif npcId == 31648 and st.getInt("id")==7 :
      htmltext = "31648-04.htm"
#Tablet 3
   elif npcId == 31652 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)==0 :
      htmltext = "31652-01.htm"
   elif npcId == 31652 and st.getInt("id")==7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID)>=1 :
      htmltext = "31652-05.htm"
   elif npcId == 31652 and st.getInt("id")==8 :
      htmltext = "31652-07.htm"
#Tablet 4
   elif npcId == 31654 and st.getInt("id")==10 and st.getQuestItemsCount(RESONANCE_AMULET_4_ID)>=1 :
      htmltext = "31654-01.htm"
   elif npcId == 31654 and st.getInt("id")==11 :
      htmltext = "31654-03.htm"   
#Tablet 5
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)==0 :
      htmltext = "31655-01.htm"
   elif npcId == 31655 and st.getInt("id")==12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID)>=1 :
      htmltext = "31655-02.htm"
   elif npcId == 31655 and st.getInt("id")==13 :
      htmltext = "31655-04.htm"      
#Tablet 6
   elif npcId == 31658 and (st.getInt("id")==13 or st.getInt("id")==14)and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 :
      htmltext = "31658-01.htm"
   elif npcId == 31658 and st.getInt("id")==14 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 :
      htmltext = "31658-05.htm"
   elif npcId == 31658 and st.getInt("id")==15 :
      htmltext = "31658-07.htm"
#Winter Hunter Kadyth
   elif npcId == 31634 and st.getInt("id")==13 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31634-01.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31634-03.htm"
   elif npcId == 31634 and st.getInt("id")==14 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)==0 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31634-04.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31634-06.htm"      
   elif npcId == 31634 and st.getInt("id")==14 and st.getQuestItemsCount(RESONANCE_AMULET_6_ID)>=1 :
      if st.getInt(("i_quest"))==0 :
         htmltext = "31634-08.htm"
      elif st.getInt(("i_quest"))==1 :
         htmltext = "31634-09.htm"  
   return htmltext
 
 def onAttack (self, npc, st):                   
   npcId = npc.getNpcId()
   if npcId == KILL_TABL3 :
      Quest.hited = 1
#Monument Defender Azrael
   elif npcId == 27306 :
      Quest.hited = 1
      Quest.hits = Quest.hits+1
      if Quest.hits <= 15 :
         if Quest.hits == 1 :
            st.getPlayer().sendPacket(SystemMessage.sendString("Monument Defender Azrael: dares lion's of to god I to challenge?"))
      else :
         st.set("id","14")
         st.set("i_quest","1")
         st.getPlayer().sendPacket(SystemMessage.sendString("Monument Defender Azrael:"+st.getPlayer().getName()+". ! Can remember you."))
         st.getPcSpawn().removeSpawn(27306)
   return

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
#Guardian of Forbidden Knowledge
   if npcId == 27215 and st.getInt("id")==6 :
      if st.getInt(("count")) > 9 :
         st.giveItems(RESONANCE_AMULET_2_ID,1)
         st.set("cond","7")   
         st.playSound("ItemSound.quest_middle")
      else :
         st.set("count",str(st.getInt(("count"))+1))
#Monument Watcher Ezekiel
   elif npcId == KILL_TABL3 :
        if st.getInt("id") == 7 and st.getQuestItemsCount(RESONANCE_AMULET_3_ID) == 0 :
          st.getPlayer().sendPacket(SystemMessage.sendString("Monument Watcher Ezekiel: Yin Haisa please you do not throw down me!"))
          st.giveItems(RESONANCE_AMULET_3_ID,1)
          st.set("cond","9")
          st.playSound("ItemSound.quest_middle")
   if npcId in [21646, 21647, 21648, 21649, 21650, 21651]  :
      if st.getInt("id") == 12  and st.getQuestItemsCount(HALISHA_MARK_ID)<701 :
         st.giveItems(HALISHA_MARK_ID,1)
         if st.getQuestItemsCount(HALISHA_MARK_ID) == 701 :
            st.playSound("Itemsound.quest_before_battle")
            st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(27232, npc.getX(),npc.getY(),npc.getZ())).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
            st.takeItems(HALISHA_MARK_ID,20)
            st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: "+st.getPlayer().getName()+"! Clearly knew is the fiendish person Harry summer subordinate, intentionally such does?"))
            st.startQuestTimer("halisha_unspawn",600000)
         else:
            st.playSound("ItemSound.quest_itemget")
#Archon of Halisha
   elif npcId == 27232 :
        if st.getInt("id") == 12 and st.getQuestItemsCount(RESONANCE_AMULET_5_ID) == 0 :
         st.playSound("ItemSound.quest_middle")
         st.giveItems(RESONANCE_AMULET_5_ID,1)
         st.takeItems(HALISHA_MARK_ID,-1)
         st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the present, my soul extricates from millennium fetter, returns the Harry summer side..."))
         st.set("cond","16")
   return

QUEST       = Quest(83,"83_SagaoftheMoonlightSentinel","Saga of the Moonlight Sentinel")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)


QUEST.setInitialState(CREATED)
#Fist NPC
QUEST.addStartNpc(30702)
QUEST.addTalkId(30702)
QUEST.addTalkId(30702)
QUEST.addTalkId(30702)
QUEST.addTalkId(30702)
#Grimst
QUEST.addTalkId(31604)
#Mist
QUEST.addTalkId(31627)
#Tablet 1
QUEST.addTalkId(31646) 
#Tablet 2
QUEST.addTalkId(31648)
#Tablet 3
QUEST.addTalkId(31652)
#Pilgrim of Darkness - 1
QUEST.addTalkId(31640)
#Tablet 4
QUEST.addTalkId(31654)
#Pilgrim of Darkness - 2
QUEST.addTalkId(31641)
#Tablet 5
QUEST.addTalkId(31655)
#Tablet 6
QUEST.addTalkId(31658)
#Kadyth
QUEST.addTalkId(31634)


QUEST.addKillId(27215)
QUEST.addKillId(21646)
QUEST.addKillId(21647)
QUEST.addKillId(21648)
QUEST.addKillId(21649)
QUEST.addKillId(21650)
QUEST.addKillId(21651)
QUEST.addKillId(27232)
QUEST.addKillId(KILL_TABL3)

QUEST.addAttackId(KILL_TABL3)
QUEST.addAttackId(27306)

STARTED.addQuestDrop(27215,RESONANCE_AMULET_2_ID,1)
STARTED.addQuestDrop(27297,RESONANCE_AMULET_3_ID,1)
STARTED.addQuestDrop(27232,RESONANCE_AMULET_5_ID,1)
STARTED.addQuestDrop(21646,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21647,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21648,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21649,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21650,HALISHA_MARK_ID,1)
STARTED.addQuestDrop(21651,HALISHA_MARK_ID,1)

print "importing quests: 83: Saga of the Moonlight Sentinel"
