import events.TheFallHarvest.TheFallHarvest;
import events.arena.Arena;
import events.l2day.l2day;
import events.lastHero.LastHero;
import L2jFT.extensions.scripts.ScriptFile;
import L2jFT.game.ai.CtrlEvent;
import L2jFT.game.ai.CtrlIntention;
import L2jFT.game.handler.IScriptHandler;
import L2jFT.game.handler.ScriptHandler;
import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Player;
import L2jFT.util.Location;

public class Hooks implements IScriptHandler, ScriptFile
{
	public void setIntention(CtrlIntention intention, Object arg0, Object arg1)
	{}

	public void notifyEvent(CtrlEvent evt, Object arg0, Object arg1)
	{}

	public void onDie(L2Character self, L2Character killer)
	{
		Arena.onDie(self, killer);
		LastHero.onDie(self, killer);
		TheFallHarvest.onDie(self, killer);
		l2day.onDie(self, killer);
	}

	public Location onEscape(L2Player player)
	{
		Location loc;
		loc = Arena.onEscape(player);
		if(loc != null)
			return loc;
		return null;
	}

	public void onLoad()
	{
		ScriptHandler.getInstance().registerScriptHandler(this);
	}

	public void onReload()
	{}

	public void onShutdown()
	{}
}