package commands.admin;

import L2jFT.extensions.scripts.ScriptFile;
import L2jFT.game.handler.AdminCommandHandler;
import L2jFT.game.handler.IAdminCommandHandler;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.entity.Olympiad;

public class AdminOlympiad implements IAdminCommandHandler, ScriptFile
{
	private static String[] _adminCommands = { "admin_olympiad_start" };

	public boolean useAdminCommand(String command, L2Player activeChar)
	{
		if(command.startsWith("admin_olympiad_start"))
			if(!Olympiad.getInstance().startOlympiad())
				activeChar.sendMessage("Olympiad already started.");
		return true;
	}

	public String[] getAdminCommandList()
	{
		return _adminCommands;
	}

	public String[] getDescription()
	{
		return new String[] { "Описание команды olympiad_start" };
	}

	public String[] getCommandGroup()
	{
		return new String[] { AdminCommandHandler.GROUP_MANAGESERVER4 };
	}

	public void onLoad()
	{
		AdminCommandHandler.getInstance().registerAdminCommandHandler(this);
	}

	public void onReload()
	{}

	public void onShutdown()
	{}
}
