package events.TheFallHarvest;

import L2jFT.extensions.scripts.ScriptFile;
import L2jFT.game.cache.Msg;
import L2jFT.game.handler.IItemHandler;
import L2jFT.game.handler.ItemHandler;
import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Playable;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2Skill;
import L2jFT.game.model.instances.L2ItemInstance;
import L2jFT.game.tables.SkillTable;

public class Nectar implements IItemHandler, ScriptFile
{
	private static short[] _itemIds = { 6391 };

	public void useItem(L2Playable playable, L2ItemInstance item)
	{
		L2Player player = (L2Player) playable;
		L2Character target = (L2Character) player.getTarget();

		if(!(target instanceof SquashInstance))
		{
			player.sendPacket(Msg.INCORRECT_TARGET);
			return;
		}

		L2Skill skill = SkillTable.getInstance().getInfo(2005, 1);
		if(skill != null) // && skill.checkCondition(player, target, true, false, true))
			player.getAI().Cast(skill, target);
	}

	public short[] getItemIds()
	{
		return _itemIds;
	}

	public void onLoad()
	{
		ItemHandler.getInstance().registerItemHandler(this);
	}

	public void onReload()
	{}

	public void onShutdown()
	{}
}
