package npc.model;

import events.clanhall.CHSiegeManager;
import events.clanhall.devastatedcastle.DCSiege;
import L2jFT.extensions.scripts.Functions;
import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.L2Summon;
import L2jFT.game.model.instances.L2MonsterInstance;
import L2jFT.game.templates.L2NpcTemplate;

public class L2DCSiegeBossInstance extends L2MonsterInstance
{
	public L2DCSiegeBossInstance(int objectId, L2NpcTemplate template)
	{
		super(objectId, template);
	}

	@Override
	public void doDie(L2Character killer)
	{
		L2Player player = null;
		if(getNpcId() == 35408)
			Functions.npcShout(this, "Has once more $$ln the defeat the shame.. But the tragedy had not ended...");
		else if(getNpcId() == 35409)
			Functions.npcShout(this, "Is this my boundary.. But does not have Gustave's permission, I can die in no way!");
		else if(getNpcId() == 35410)
		{
			Functions.npcShout(this, "Day.. Unexpectedly is defeated? But I certainly can again come back! Comes back takes your head!");
			if(killer.isPet || killer.isSummon)
				player = ((L2Summon) killer).getOwner();
			else if(killer.isPlayer)
				player = (L2Player) killer;

			if(player == null || player.getClan() == null)
				return;
			if(!CHSiegeManager.getInstance().getSiege(34).getAttackers().contains(player.getClan()))
				return;

			DCSiege.getInstance().stopSiege(player);
		}
		deleteMe();
	}
}
