package L2jFT.game.cache;

import L2jFT.game.network.serverpackets.SystemMessage;

public abstract class Msg
{
	public static final SystemMessage GETTING_READY_TO_SHOOT_ARROWS = new SystemMessage(SystemMessage.GETTING_READY_TO_SHOOT_ARROWS);
	public static final SystemMessage CRITICAL_HIT = new SystemMessage(SystemMessage.CRITICAL_HIT);
	public static final SystemMessage PETS_CRITICAL_HIT = new SystemMessage(SystemMessage.PETS_CRITICAL_HIT);
	public static final SystemMessage THE_PET_IS_TOO_HIGH_LEVEL_TO_CONTROL = new SystemMessage(SystemMessage.THE_PET_IS_TOO_HIGH_LEVEL_TO_CONTROL);
	public static final SystemMessage SUMMONED_MONSTERS_CRITICAL_HIT = new SystemMessage(SystemMessage.SUMMONED_MONSTERS_CRITICAL_HIT);
	public static final SystemMessage INSTANT_KILL = new SystemMessage(SystemMessage.INSTANT_KILL);
	public static final SystemMessage YOU_HAVE_BEEN_STRUCK_BY_THE_INSTANT_KILL_SKILL = new SystemMessage(SystemMessage.YOU_HAVE_BEEN_STRUCK_BY_THE_INSTANT_KILL_SKILL);
	public static final SystemMessage MISSED_TARGET = new SystemMessage(SystemMessage.MISSED_TARGET);
	public static final SystemMessage SHIELD_DEFENSE_HAS_SUCCEEDED = new SystemMessage(SystemMessage.SHIELD_DEFENSE_HAS_SUCCEEDED);
	public static final SystemMessage YOUR_EXCELLENT_SHIELD_DEFENSE_WAS_A_SUCCESS = new SystemMessage(SystemMessage.YOUR_EXCELLENT_SHIELD_DEFENSE_WAS_A_SUCCESS);
	public static final SystemMessage ATTACK_FAILED = new SystemMessage(SystemMessage.ATTACK_FAILED);
	public static final SystemMessage CANNOT_SEE_TARGET = new SystemMessage(SystemMessage.CANNOT_SEE_TARGET);
	public static final SystemMessage TARGET_IS_INCORRECT = new SystemMessage(SystemMessage.TARGET_IS_INCORRECT);
	public static final SystemMessage THE_TARGET_IS_UNAVAILABLE_FOR_SEEDING = new SystemMessage(SystemMessage.THE_TARGET_IS_UNAVAILABLE_FOR_SEEDING);
	public static final SystemMessage THE_SEED_HAS_BEEN_SOWN = new SystemMessage(SystemMessage.THE_SEED_HAS_BEEN_SOWN);
	public static final SystemMessage INCORRECT_ITEM_COUNT = new SystemMessage(SystemMessage.INCORRECT_ITEM_COUNT);
	public static final SystemMessage THIS_SEED_MAY_NOT_BE_SOWN_HERE = new SystemMessage(SystemMessage.THIS_SEED_MAY_NOT_BE_SOWN_HERE);
	public static final SystemMessage THE_HARVEST_HAS_FAILED = new SystemMessage(SystemMessage.THE_HARVEST_HAS_FAILED);
	public static final SystemMessage THE_HARVEST_FAILED_BECAUSE_THE_SEED_WAS_NOT_SOWN = new SystemMessage(SystemMessage.THE_HARVEST_FAILED_BECAUSE_THE_SEED_WAS_NOT_SOWN);
	public static final SystemMessage INCORRECT_TARGET = new SystemMessage(SystemMessage.INCORRECT_TARGET);
	public static final SystemMessage YOUR_TARGET_IS_OUT_OF_RANGE = new SystemMessage(SystemMessage.YOUR_TARGET_IS_OUT_OF_RANGE);
	public static final SystemMessage YOU_CANNOT_MOVE_WHILE_SITTING = new SystemMessage(SystemMessage.YOU_CANNOT_MOVE_WHILE_SITTING);
	public static final SystemMessage YOU_CANNOT_ATTACK_IN_THE_PEACE_ZONE = new SystemMessage(SystemMessage.YOU_CANNOT_ATTACK_IN_THE_PEACE_ZONE);
	public static final SystemMessage ONLY_LEVEL_SUP_10_CAN_RECOMMEND = new SystemMessage(SystemMessage.ONLY_LEVEL_SUP_10_CAN_RECOMMEND);
	public static final SystemMessage YOU_CANNOT_RECOMMEND_YOURSELF = new SystemMessage(SystemMessage.YOU_CANNOT_RECOMMEND_YOURSELF);
	public static final SystemMessage NO_MORE_RECOMMENDATIONS_TO_HAVE = new SystemMessage(SystemMessage.NO_MORE_RECOMMENDATIONS_TO_HAVE);
	public static final SystemMessage YOU_NO_LONGER_RECIVE_A_RECOMMENDATION = new SystemMessage(SystemMessage.YOU_NO_LONGER_RECIVE_A_RECOMMENDATION);
	public static final SystemMessage THAT_CHARACTER_IS_RECOMMENDED = new SystemMessage(SystemMessage.THAT_CHARACTER_IS_RECOMMENDED);
	public static final SystemMessage NOT_WORKING_PLEASE_TRY_AGAIN_LATER = new SystemMessage(SystemMessage.NOT_WORKING_PLEASE_TRY_AGAIN_LATER);
	public static final SystemMessage YOU_CANNOT_ATTACK_THE_TARGET_IN_THE_PEACE_ZONE = new SystemMessage(SystemMessage.YOU_CANNOT_ATTACK_THE_TARGET_IN_THE_PEACE_ZONE);
	public static final SystemMessage ONLY_FISHING_SKILLS_ARE_AVAILABLE = new SystemMessage(SystemMessage.ONLY_FISHING_SKILLS_ARE_AVAILABLE);
	public static final SystemMessage YOU_CANNOT_SUMMON_A_BASE_BECAUSE_YOU_ARE_NOT_IN_BATTLE = new SystemMessage(SystemMessage.YOU_CANNOT_SUMMON_A_BASE_BECAUSE_YOU_ARE_NOT_IN_BATTLE);
	public static final SystemMessage THIS_ITEM_IS_NOT_AVAILABLE_FOR_THE_OLYMPIAD_EVENT = new SystemMessage(SystemMessage.THIS_ITEM_IS_NOT_AVAILABLE_FOR_THE_OLYMPIAD_EVENT);
	public static final SystemMessage NOT_ENOUGH_HP = new SystemMessage(SystemMessage.NOT_ENOUGH_HP);
	public static final SystemMessage NOT_ENOUGH_MP = new SystemMessage(SystemMessage.NOT_ENOUGH_MP);
	public static final SystemMessage NOT_ENOUGH_ARROWS = new SystemMessage(SystemMessage.NOT_ENOUGH_ARROWS);
	public static final SystemMessage THE_RECIPE_IS_INCORRECT = new SystemMessage(SystemMessage.THE_RECIPE_IS_INCORRECT);
	public static final SystemMessage PLEASE_REGISTER_A_RECIPE = new SystemMessage(SystemMessage.PLEASE_REGISTER_A_RECIPE);
	public static final SystemMessage YOU_DO_NOT_HAVE_ENOUGH_ADENA = new SystemMessage(SystemMessage.YOU_DO_NOT_HAVE_ENOUGH_ADENA);
	public static final SystemMessage NOT_ENOUGH_MATERIALS = new SystemMessage(SystemMessage.NOT_ENOUGH_MATERIALS);
	public static final SystemMessage PROTOCOL_VERSION_IS_DIFFERENT_PLEASE_QUIT_THE_PROGRAM = new SystemMessage(SystemMessage.PROTOCOL_VERSION_IS_DIFFERENT_PLEASE_QUIT_THE_PROGRAM);
	public static final SystemMessage PROGRESS_IN_A_QUEST_IS_POSSIBLE_ONLY_WHEN_YOUR_INVENTORYS_WEIGHT_AND_VOLUME_ARE_LESS_THAN_80_PERCENT_OF_CAPACITY = new SystemMessage(SystemMessage.PROGRESS_IN_A_QUEST_IS_POSSIBLE_ONLY_WHEN_YOUR_INVENTORYS_WEIGHT_AND_VOLUME_ARE_LESS_THAN_80_PERCENT_OF_CAPACITY);
}