package L2jFT.game.communitybbs.Manager;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.ShowBoard;

public class AdminBBSManager extends BaseBBSManager
{
	private static AdminBBSManager _Instance = null;

	/**
	 * @return
	 */
	public static AdminBBSManager getInstance()
	{
		if(_Instance == null)
			_Instance = new AdminBBSManager();
		return _Instance;
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.communitybbs.Manager.BaseBBSManager#parsecmd(java.lang.String, L2jFT.game.model.actor.instance.L2Player)
	 */
	@Override
	public void parsecmd(String command, L2Player activeChar)
	{
		if(activeChar.getPlayerAccess().IsGM)
			return;
		if(command.startsWith("admin_bbs"))
			separateAndSend("<html><body><br><br><center>This Page is only an exemple :)<br><br>command=" + command + "</center></body></html>", activeChar);
		else
		{

			ShowBoard sb = new ShowBoard("<html><body><br><br><center>the command: " + command + " is not implemented yet</center><br><br></body></html>", "101");
			activeChar.sendPacket(sb);
			activeChar.sendPacket(new ShowBoard(null, "102"));
			activeChar.sendPacket(new ShowBoard(null, "103"));
		}

	}

	/**
	 * @param activeChar
	 * @param file
	 */

	/* (non-Javadoc)
	 * @see L2jFT.game.communitybbs.Manager.BaseBBSManager#parsewrite(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, L2jFT.game.model.L2Player)
	 */
	@Override
	public void parsewrite(String ar1, String ar2, String ar3, String ar4, String ar5, L2Player activeChar)
	{
		if(activeChar.getPlayerAccess().IsGM)
			return;

	}
}
