package L2jFT.game.communitybbs.Manager;

import javolution.util.FastList;
import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.ShowBoard;

import java.util.List;

public abstract class BaseBBSManager
{
	public abstract void parsecmd(String command, L2Player activeChar);

	public abstract void parsewrite(String ar1, String ar2, String ar3, String ar4, String ar5, L2Player activeChar);

	protected void separateAndSend(String html, L2Player acha)
	{
		if(html.length() < 8180)
		{
			acha.sendPacket(new ShowBoard(html, "101"));
			acha.sendPacket(new ShowBoard(null, "102"));
			acha.sendPacket(new ShowBoard(null, "103"));
		}
		else if(html.length() < 8180 * 2)
		{
			acha.sendPacket(new ShowBoard(html.substring(0, 8180), "101"));
			acha.sendPacket(new ShowBoard(html.substring(8180, html.length()), "102"));
			acha.sendPacket(new ShowBoard(null, "103"));
		}
		else if(html.length() < 8180 * 3)
		{
			acha.sendPacket(new ShowBoard(html.substring(0, 8180), "101"));
			acha.sendPacket(new ShowBoard(html.substring(8180, 8180 * 2), "102"));
			acha.sendPacket(new ShowBoard(html.substring(8180 * 2, html.length()), "103"));
		}
	}

	/**
	 * @param html
	 */
	protected void send1001(String html, L2Player acha)
	{
		if(html.length() < 8180)
			acha.sendPacket(new ShowBoard(html, "1001"));
	}

	/**
	 * @param i
	 */
	protected void send1002(L2Player acha)
	{
		send1002(acha, " ", " ", "0");
	}

	/**
	 * @param activeChar
	 * @param string
	 * @param string2
	 */
	protected void send1002(L2Player activeChar, String string, String string2, String string3)
	{
		List<String> _arg = new FastList<String>();
		_arg.add("0");
		_arg.add("0");
		_arg.add("0");
		_arg.add("0");
		_arg.add("0");
		_arg.add("0");
		_arg.add(activeChar.getName());
		_arg.add(Integer.toString(activeChar.getObjectId()));
		_arg.add(activeChar.getAccountName());
		_arg.add("9");
		_arg.add(string2);
		_arg.add(string2);
		_arg.add(string);
		_arg.add(string3);
		_arg.add(string3);
		_arg.add("0");
		_arg.add("0");
		activeChar.sendPacket(new ShowBoard(_arg));
	}
}
