package L2jFT.game.communitybbs.Manager;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.ShowBoard;
import L2jFT.util.Files;

import java.util.StringTokenizer;

public class TopBBSManager extends BaseBBSManager
{

	/* (non-Javadoc)
	 * @see L2jFT.game.communitybbs.Manager.BaseBBSManager#parsecmd(java.lang.String, L2jFT.game.model.actor.instance.L2Player)
	 */
	@Override
	public void parsecmd(String command, L2Player activeChar)
	{
		if(command.equals("_bbstop"))
		{
			String content = Files.read("data/html/CommunityBoard/index.htm", activeChar);
			if(content == null)
				content = new String("<html><body><br><br><center>404 :File Not foud: 'data/html/CommunityBoard/index.htm' </center></body></html>");
			separateAndSend(content, activeChar);
		}
		else if(command.equals("_bbshome"))
		{
			String content = Files.read("data/html/CommunityBoard/index.htm", activeChar);
			if(content == null)
				content = new String("<html><body><br><br><center>404 :File Not foud: 'data/html/CommunityBoard/index.htm' </center></body></html>");
			separateAndSend(content, activeChar);
		}
		else if(command.startsWith("_bbstop;"))
		{
			StringTokenizer st = new StringTokenizer(command, ";");
			st.nextToken();
			int idp = Integer.parseInt(st.nextToken());
			String content = Files.read("data/html/CommunityBoard/" + idp + ".htm", activeChar);
			if(content == null)
				content = new String("<html><body><br><br><center>404 :File Not foud: 'data/html/CommunityBoard/" + idp + ".htm' </center></body></html>");
			separateAndSend(content, activeChar);
		}
		else
		{
			ShowBoard sb = new ShowBoard("<html><body><br><br><center>the command: " + command + " is not implemented yet</center><br><br></body></html>", "101");
			activeChar.sendPacket(sb);
			activeChar.sendPacket(new ShowBoard(null, "102"));
			activeChar.sendPacket(new ShowBoard(null, "103"));
		}
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.communitybbs.Manager.BaseBBSManager#parsewrite(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, L2jFT.game.model.actor.instance.L2Player)
	 */
	@Override
	public void parsewrite(String ar1, String ar2, String ar3, String ar4, String ar5, L2Player activeChar)
	{
	// TODO Auto-generated method stub

	}

	private static TopBBSManager _Instance = new TopBBSManager();

	/**
	 * @return
	 */
	public static TopBBSManager getInstance()
	{
		return _Instance;
	}

}
