package L2jFT.game.handler;

import L2jFT.game.ai.CtrlEvent;
import L2jFT.game.ai.CtrlIntention;
import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Player;
import L2jFT.util.Location;

public interface IScriptHandler
{
	public void setIntention(CtrlIntention intention, Object arg0, Object arg1);

	public void notifyEvent(CtrlEvent evt, Object arg0, Object arg1);

	public void onDie(L2Character self, L2Character killer);

	public Location onEscape(L2Player player);
}
