package L2jFT.game.model;

import L2jFT.game.model.instances.L2ItemInstance.ItemLocation;
import L2jFT.game.model.instances.L2PetInstance;

public class PetInventory extends Inventory
{

	private final L2PetInstance _owner;

	public PetInventory(L2PetInstance owner)
	{
		_owner = owner;
	}

	@Override
	public L2PetInstance getOwner()
	{
		return _owner;
	}

	@Override
	protected ItemLocation getBaseLocation()
	{
		return ItemLocation.PET;
	}

	@Override
	protected ItemLocation getEquipLocation()
	{
		return ItemLocation.PET_EQUIP;
	}
}
