package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;

/**
 * This class ...
 *
 * @version $Revision: 1.7.4.4 $ $Date: 2005/03/27 18:46:19 $
 */
public class ObserverReturn extends L2GameClientPacket
{
	private static String OBSRETURN__C__04 = "[C] b8 ObserverReturn";

	@Override
	public void readImpl()
	{
	//_objectId  = readD();
	//_originX   = readD();
	//_originY   = readD();
	//_originZ   = readD();
	//_actionId  = readC();// 0 for simple click  1 for shift click
	/* writeC( 20 c2 fe ff de 5a 02 f0 97 f3 ff ff 5c 07 00);*/
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(!activeChar.inObserverMode())
			return;

		activeChar.leaveObserverMode();
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.clientpackets.ClientBasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return OBSRETURN__C__04;
	}
}
