package L2jFT.game.network.clientpackets;

import java.util.logging.Logger;

/**
 * Format: (ch) dd
 * @author -Wooden-
 *
 */
public class RequestDismissPartyRoom extends L2GameClientPacket
{
	private static Logger _log = Logger.getLogger(RequestDismissPartyRoom.class.getName());
	private static String _C__D0_02_REQUESTDISMISSPARTYROOM = "[C] D0:02 RequestDismissPartyRoom";
	private int _data1;
	private int _data2;

	/**
	 * @param buf
	 * @param client
	 */
	@Override
	public void readImpl()
	{
		_data1 = readD();
		_data2 = readD();
	}

	@Override
	public void runImpl()
	{
		_log.info("This packet is not well known : RequestDismissPartyRoom");
		_log.info("Data received: d:" + _data1 + " d:" + _data2);

	}

	@Override
	public String getType()
	{
		return _C__D0_02_REQUESTDISMISSPARTYROOM;
	}
}