package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;
import L2jFT.game.network.serverpackets.PartyMatchDetail;

public class RequestPartyMatchDetail extends L2GameClientPacket
{
	private static String _C__71_REQUESTPARTYMATCHDETAIL = "[C] 71 RequestPartyMatchDetail";
	//private static Logger _log = Logger.getLogger(RequestPartyMatchDetail.class.getName());

	private int _objectId;

	/**
	 * packet type id 0x71
	 *
	 * sample
	 *
	 * 71
	 * d8 a8 10 41  object id 
	 *
	 * format:		cd 
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_objectId = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player player = (L2Player) getClient().getActiveChar().getVisibleObject(_objectId);
		if(player == null)
			return;
		sendPacket(new PartyMatchDetail(player));
	}

	@Override
	public String getType()
	{
		return _C__71_REQUESTPARTYMATCHDETAIL;
	}
}