package L2jFT.game.network.clientpackets;

import L2jFT.game.model.L2Player;

public class RequestPrivateStoreQuitBuy extends L2GameClientPacket
{
	private static String _C__93_REQUESTPRIVATESTOREQUITBUY = "[C] 93 RequestPrivateStoreQuitBuy";

	//private static Logger _log = Logger.getLogger(RequestPrivateStoreQuitBuy.class.getName());

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(activeChar.getTradeList() != null)
			activeChar.getTradeList().removeAll();
		activeChar.setPrivateStoreType(L2Player.STORE_PRIVATE_NONE);
		activeChar.standUp();
		activeChar.broadcastUserInfo();
	}

	@Override
	public String getType()
	{
		return _C__93_REQUESTPRIVATESTOREQUITBUY;
	}
}
