package L2jFT.game.network.clientpackets;

/**
 * This class ...
 *
 * @version $Revision: 1.3.4.2 $ $Date: 2005/03/27 15:29:30 $
 */
public class RequestShortCutDel extends L2GameClientPacket
{
	private static String _C__35_REQUESTSHORTCUTDEL = "[C] 35 RequestShortCutDel";

	private int _slot;
	private int _page;

	/**
	 * packet type id 0x35
	 * format:		cd
	 * @param rawPacket
	 */
	@Override
	public void readImpl()
	{
		int id = readD();
		_slot = id % 12;
		_page = id / 12;
	}

	@Override
	public void runImpl()
	{
		// client dont needs confirmation. this packet is just to inform the server
		getClient().getActiveChar().deleteShortCut(_slot, _page);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.clientpackets.ClientBasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__35_REQUESTSHORTCUTDEL;
	}
}
