package L2jFT.game.network.clientpackets;

import L2jFT.game.instancemanager.QuestManager;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.quest.Quest;
import L2jFT.game.model.quest.QuestState;

public class RequestTutorialClientEvent extends L2GameClientPacket
{
	int event = 0;

	/**
	 * Пакет от клиента, если вы в туториале подергали мышкой как надо - клиент пишлет его с значением 1 ну или нужным ивентом;)
	 */
	@Override
	public void readImpl()
	{
		event = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player player = getClient().getActiveChar();

		if(player == null)
			return;

		Quest tutorial = QuestManager.getInstance().getQuest(255);

		if(tutorial == null)
			return;

		String qn = tutorial.getName();
		QuestState qs = player.getQuestState(qn);
		if(qs != null)
			tutorial.notifyEvent("CE" + event + "", qs);
	}

	@Override
	public String getType()
	{
		return "[C] 7E RequestTutorialClientEvent"; //To change body of implemented methods use File | Settings | File Templates.
	}
}