package L2jFT.game.network.clientpackets;

import L2jFT.game.instancemanager.QuestManager;
import L2jFT.game.model.L2Player;
import L2jFT.game.model.quest.Quest;
import L2jFT.game.model.quest.QuestState;

import java.util.logging.Logger;

public class RequestTutorialPassCmdToServer extends L2GameClientPacket
{
	private static Logger _log = Logger.getLogger(RequestTutorialPassCmdToServer.class.getName());
	String _bypass = null;

	@Override
	public void readImpl()
	{
		_bypass = readS();

		if(_buf.hasRemaining())
			_log.warning("Tutorial bypass has more values. Please check packets.txt");
	}

	@Override
	public void runImpl()
	{
		L2Player player = getClient().getActiveChar();

		if(player == null)
			return;

		Quest tutorial = QuestManager.getInstance().getQuest(255);

		if(tutorial == null)
			return;

		String qn = tutorial.getName();
		QuestState qs = player.getQuestState(qn);
		if(qs != null)
			tutorial.notifyEvent(_bypass, qs);
	}

	@Override
	public String getType()
	{
		return null;
	}
}