package L2jFT.game.network.clientpackets;

import java.util.logging.Logger;

/**
 * Format (ch) dd
 * @author -Wooden-
 *
 */
public class RequestWithdrawPartyRoom extends L2GameClientPacket
{
	private static Logger _log = Logger.getLogger(RequestWithdrawPartyRoom.class.getName());
	private static String _C__D0_02_REQUESTWITHDRAWPARTYROOM = "[C] D0:02 RequestWithdrawPartyRoom";
	private int _data1;
	private int _data2;

	/**
	 * @param buf
	 * @param client
	 */
	@Override
	public void readImpl()
	{
		_data1 = readD();
		_data2 = readD();
	}

	@Override
	public void runImpl()
	{
		_log.info("This packet is not well known : RequestWithdrawPartyRoom");
		_log.info("Data received: d:" + _data1 + " d:" + _data2);
	}

	@Override
	public String getType()
	{
		return _C__D0_02_REQUESTWITHDRAWPARTYROOM;
	}
}