package L2jFT.game.network.loginserverpackets;

public class PlayerAuthResponse extends LoginServerBasePacket
{

	private String _account;
	private boolean _Authed;
	private double _bonus;

	/**
	 * @param decrypt
	 */
	public PlayerAuthResponse(byte[] decrypt)
	{
		super(decrypt);

		_account = readS();
		_Authed = readC() == 0 ? false : true;
		_bonus = Double.parseDouble(readS());
	}

	/**
	 * @return Returns the account.
	 */
	public String getAccount()
	{
		return _account;
	}

	/**
	 * @return Returns the authed state.
	 */
	public boolean isAuthed()
	{
		return _Authed;
	}

	public double getBonus()
	{
		return _bonus;
	}
}