package L2jFT.game.network.serverpackets;

/**
 *
 * sample
 * <p>
 * 7d 
 * c1 b2 e0 4a 
 * 00 00 00 00
 * <p>
 *
 * format
 * cdd
 *
 * @version $Revision: 1.1.2.1.2.3 $ $Date: 2005/03/27 15:29:57 $
 */
public class AskJoinAlly extends L2GameServerPacket
{
	private static final String _S__A8_ASKJOINALLY = "[S] A8 AskJoinAlly";
	//private static Logger _log = Logger.getLogger(AskJoinAlly.class.getName());

	private String _requestorName;
	private String _requestorAllyName;
	private int _requestorId;

	/**
	 *
	 */
	public AskJoinAlly(int requestorId, String requestorName, String requestorAllyName)
	{
		_requestorName = requestorName;
		_requestorAllyName = requestorAllyName;
		_requestorId = requestorId;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xA8);
		writeD(_requestorId);
		writeS(_requestorName);
		writeS("");
		writeS(_requestorAllyName);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__A8_ASKJOINALLY;
	}

}
