package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class BeginRotation extends L2GameServerPacket
{
	private static final String _S__62_BEGINROTATION = "[S] 62 BeginRotation";
	private int _charId;
	private int _degree;
	private int _side;

	public BeginRotation(L2Player player, int degree, int side)
	{
		_charId = player.getObjectId();
		_degree = degree;
		_side = side;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x62);
		writeD(_charId);
		writeD(_degree);
		writeD(_side);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__62_BEGINROTATION;
	}
}
