package L2jFT.game.network.serverpackets;

public class CameraMode extends L2GameServerPacket
{
	int _mode;

	private static final String _S__F1_CAMERAMODE = "[S] F1 CameraMode";

	/**
	 * Forces client camera mode change
	 * @param mode
	 * 0 - third person cam
	 * 1 - first person cam
	 */
	public CameraMode(int mode)
	{
		_mode = mode;
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xF1);
		writeD(_mode);
	}

	@Override
	public String getType()
	{
		return _S__F1_CAMERAMODE;
	}
}
