package L2jFT.game.network.serverpackets;

/**
 * This class ...
 *
 * @version $Revision: 1.4.2.1.2.3 $ $Date: 2005/03/27 15:29:39 $
 */
public class CharCreateFail extends L2GameServerPacket
{
	private static final String _S__1A_CHARCREATEFAIL = "[S] 1A CharCreateFail";

	public static int REASON_CREATION_FAILED = 0x00;
	public static int REASON_TOO_MANY_CHARACTERS = 0x01;
	public static int REASON_NAME_ALREADY_EXISTS = 0x02;
	public static int REASON_16_ENG_CHARS = 0x03;

	private int _error;

	public CharCreateFail(int errorCode)
	{
		_error = errorCode;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x1A);
		writeD(_error);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__1A_CHARCREATEFAIL;
	}

}
