package L2jFT.game.network.serverpackets;

import L2jFT.game.GameTimeController;

public class ClientSetTime extends L2GameServerPacket
{
	private static final String _S__EC_CLIENTSETTIME = "[S] EC ClientSetTime";

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xEC);
		writeD(GameTimeController.getInstance().getGameTime()); // time in client minutes
		writeD(6); //constant to match the server time( this determines the speed of the client clock)
	}

	@Override
	public String getType()
	{
		return _S__EC_CLIENTSETTIME;
	}
}