package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;
import L2jFT.util.Strings;

public class CreatureSay extends L2GameServerPacket
{
	private static final String _S__4A_CREATURESAY = "[S] 4A CreatureSay";
	private int _objectId;
	private int _textType;
	private String _charName;
	private String _text;

	/**
	 * @param _characters
	 */
	public CreatureSay(int objectId, int messageType, String charName, String text)
	{
		_objectId = objectId;
		_textType = messageType;
		_charName = charName;
		_text = text;
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		if(getClient().getActiveChar() == null)
			return;
		writeC(0x4A);
		writeD(_objectId);
		writeD(_textType);

		writeS(_charName);

		if(getClient().getActiveChar().getVarB("translit"))
			writeS(Strings.translit(_text));
		else
			writeS(_text);

		L2Player _pci = getClient().getActiveChar();
		if(_pci != null)
			_pci.broadcastSnoop(_textType, _charName, _text);
	}

	@Override
	public String getType()
	{
		return _S__4A_CREATURESAY;
	}
}