package L2jFT.game.network.serverpackets;

import java.util.ArrayList;

public class Custom extends L2GameServerPacket
{
	private static final String __CUSTOM__ = "[S] __CUSTOM__PACKET__";
	private ArrayList<Object> custom_buffer = new ArrayList<Object>();

	public Custom()
	{}

	@Override
	public void runImpl()
	{}

	public void addByte(Byte val)
	{
		custom_buffer.add(val);
	}

	public void addShort(Short val)
	{
		custom_buffer.add(val);
	}

	public void addInteger(Integer val)
	{
		custom_buffer.add(val);
	}

	public void addDouble(Double val)
	{
		custom_buffer.add(val);
	}

	public void addString(String val)
	{
		custom_buffer.add(val);
	}

	@Override
	protected final void writeImpl()
	{
		for(Object obj : custom_buffer)
			if(obj instanceof Byte)
				writeC(((Byte) obj).byteValue());
			else if(obj instanceof Short)
				writeH(((Short) obj).shortValue());
			else if(obj instanceof Integer)
				writeD(((Integer) obj).intValue());
			else if(obj instanceof Double)
				writeF(((Double) obj).doubleValue());
			else if(obj instanceof String)
				writeS((String) obj);
	}

	@Override
	public String getType()
	{
		return __CUSTOM__;
	}
}
