package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

/**
 *
 * chsddddddddd
 * FE type
 * 4F 00 ex_type
 * 4E 00 65 00 6C 00 75 00 44 00 69 00 6D 00 00 00 name
 * 04 A6 C0 4C objectID?????
 * 2C 00 00 00 class_id
 * 06 00 00 00 level
 * 00 01 00 00 cur_hp
 * 00 01 00 00 max_hp
 * 4B 00 00 00 cur_mp
 * 4B 00 00 00 max_mp
 * 80 00 00 00 cur_cp
 * 80 00 00 00 max_cp
 *
 */
public class ExDuelUpdateUserInfo extends L2GameServerPacket
{
	L2Player _attacker;

	public ExDuelUpdateUserInfo(L2Player attacker)
	{
		_attacker = attacker;
	}

	@Override
	public void runImpl()
	{

	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x4F);
		writeS(_attacker.getName());
		writeD(_attacker.getObjectId());
		writeD(_attacker.getClassId().getId());
		writeD(_attacker.getLevel());
		writeD((int) _attacker.getCurrentHp());
		writeD(_attacker.getMaxHp());
		writeD((int) _attacker.getCurrentMp());
		writeD(_attacker.getMaxMp());
		writeD((int) _attacker.getCurrentCp());
		writeD(_attacker.getMaxCp());
	}

	/**
	 * just for information and debug purposes
	 * @return text for trace message
	 */
	@Override
	public String getType()
	{
		return "[S] FE : 4F ExDuelUpdateUserInfo";
	}
}
