package L2jFT.game.network.serverpackets;

/**
 * Asks the player to join a Command Channel
 */
public class ExMPCCAskJoin extends L2GameServerPacket
{

	private static final String _S__FE_27_EXMPCCASKJOIN = "[S] FE:27 ExMPCCAskJoin";
	private String _requestorName;

	/**
	 * @param String Name of CCLeader
	 */
	public ExMPCCAskJoin(String requestorName)
	{
		_requestorName = requestorName;
	}

	@Override
	protected void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x27);
		writeS(_requestorName); // лидер CC

	}

	@Override
	public String getType()
	{
		return _S__FE_27_EXMPCCASKJOIN;
	}
}