package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Character;

/**
 *
 * format  dd
 *
 * @version $Revision: 1.3.2.1.2.3 $ $Date: 2005/03/27 15:29:57 $ 
 */
public class FinishRotation extends L2GameServerPacket
{
	private static final String _S__63_FINISHROTATION = "[S] 63 FinishRotation";
	private int _heading;
	private int _objectId;

	public FinishRotation(L2Character cha)
	{
		_objectId = cha.getObjectId();
		_heading = cha.getHeading();
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x63);
		writeD(_objectId);
		writeD(_heading);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__63_FINISHROTATION;
	}
}
