package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class ObservationReturn extends L2GameServerPacket
{
	// ddSS
	private static final String _S__E0_OBSERVRETURN = "[S] E0 ObservationReturn";
	private L2Player _char;

	/**
	 * @param _characters
	 */
	public ObservationReturn(L2Player observer)
	{
		_char = observer;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xE0);
		writeD(_char.getX());
		writeD(_char.getY());
		writeD(_char.getZ());
	}

	@Override
	public String getType()
	{
		return _S__E0_OBSERVRETURN;
	}
}