/**
 *
 */
package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Party;
import L2jFT.game.model.L2Player;

/**
 * @author zabbix
 *
 */
public class PartyMemberPosition extends L2GameServerPacket
{
	L2Party _party;

	public PartyMemberPosition(L2Player actor)
	{
		_party = actor.getParty();
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xA7);
		writeD(_party.getMemberCount());

		for(L2Player pm : _party.getPartyMembers())
		{
			if(pm == null)
				continue;

			writeD(pm.getObjectId());
			writeD(pm.getX());
			writeD(pm.getY());
			writeD(pm.getZ());
		}
	}

	@Override
	public String getType()
	{
		return null;
	}

}
