package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

/**
 * This class ...
 *
 * @version $Revision: 1.4.2.1.2.5 $ $Date: 2005/03/27 15:29:57 $
 */
public class PartySmallWindowAdd extends L2GameServerPacket
{
	private static final String _S__4F_PARTYSMALLWINDOWADD = "[S] 4F PartySmallWindowAdd";

	private L2Player _member;

	public PartySmallWindowAdd(L2Player member)
	{
		_member = member;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x4F);
		L2Player player = getClient().getActiveChar();
		if(player == null)
			return;

		writeD(player.getObjectId()); // c3
		writeD(0);//writeD(0x04); ?? //c3
		writeD(_member.getObjectId());
		writeS(_member.getName());
		writeD((int) _member.getCurrentCp());
		writeD(_member.getMaxCp());
		writeD((int) _member.getCurrentHp());
		writeD(_member.getMaxHp());
		writeD((int) _member.getCurrentMp());
		writeD(_member.getMaxMp());
		writeD(_member.getLevel());
		writeD(_member.getClassId().getId());
		writeD(0);//writeD(0x01); ??
		writeD(0);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__4F_PARTYSMALLWINDOWADD;
	}
}
