package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Summon;

/**
 * This class ...
 *
 * @author Yme
 * @version $Revision: 1.3.2.2.2.4 $ $Date: 2005/03/29 23:15:10 $
 */
public class PetStatusShow extends L2GameServerPacket
{
	private static final String _S__B0_PETSTATUSSHOW = "[S] B0 PetStatusShow";
	private int _summonType;

	public PetStatusShow(L2Summon summon)
	{
		_summonType = summon.getSummonType();
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xB0);
		writeD(_summonType);
	}

	@Override
	public String getType()
	{
		return _S__B0_PETSTATUSSHOW;
	}
}
