package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2ClanMember;

/**
 * This class ...
 *
 * @version $Revision: 1.3.2.1.2.4 $ $Date: 2005/03/27 15:29:39 $
 */
public class PledgeShowMemberListAdd extends L2GameServerPacket
{
	private static final String _S__55_PLEDGESHOWMEMBERLISTADD = "[S] 55 PledgeShowMemberListAdd";
	private L2ClanMember _member;

	public PledgeShowMemberListAdd(L2ClanMember member)
	{
		_member = member;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x55);
		writeS(_member.getName());
		writeD(_member.getLevel());
		writeD(_member.getClassId());
		writeD(0);
		writeD(1);
		writeD((_member.isOnline() ? _member.getObjectId() : 0)); // obj_id=online 0=offline		
		writeD(_member.getPledgeType());
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__55_PLEDGESHOWMEMBERLISTADD;
	}

}
