package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class PrivateStoreMsgBuy extends L2GameServerPacket
{
	private static final String _S__B9_PRIVATESTOREMSGBUY = "[S] B9 PrivateStoreMsgBuy";
	private L2Player _cha;
	private String _name;

	/**
	 * Название личного магазина покупки 
	 * @param player
	 */
	public PrivateStoreMsgBuy(L2Player player)
	{
		_cha = player;

		if(player.getTradeList() != null)
			_name = player.getTradeList().getBuyStoreName();
	}

	@Override
	final public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0xB9);
		writeD(_cha.getObjectId());
		writeS(_name);
	}

	@Override
	public String getType()
	{
		return _S__B9_PRIVATESTOREMSGBUY;
	}
}