package L2jFT.game.network.serverpackets;

/**
 * This class ...
 *
 * @version $Revision: 1.2.2.1.2.3 $ $Date: 2005/03/27 15:29:40 $
 */
public class SendTradeRequest extends L2GameServerPacket
{
	private static final String _S__5E_SENDTRADEREQUEST = "[S] 5E SendTradeRequest";
	private int _senderID;

	public SendTradeRequest(int senderID)
	{
		_senderID = senderID;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x5E);
		writeD(_senderID);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__5E_SENDTRADEREQUEST;
	}
}
