package L2jFT.game.network.serverpackets;

/**
 * This class ...
 *
 * @version $Revision: 1.3.2.1.2.3 $ $Date: 2005/03/27 15:29:39 $
 */
public class SocialAction extends L2GameServerPacket
{
	private static final String _S__2D_SOCIALACTION = "[S] 2D SocialAction";
	private int _playerId;
	private int _actionId;

	/**
	 * 0x3d SocialAction         dd 
	 * @param _characters
	 */
	public SocialAction(int playerId, int actionId)
	{
		_playerId = playerId;
		_actionId = actionId;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x2D);
		writeD(_playerId);
		writeD(_actionId);
	}

	@Override
	public String getType()
	{
		return _S__2D_SOCIALACTION;
	}
}