package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Player;

public class StopMoveInVehicle extends L2GameServerPacket
{

	private L2Player _pci;
	private int _boatid;

	/**
	 * @param player
	 * @param boatid
	 */
	public StopMoveInVehicle(L2Player player, int boatid)
	{
		_pci = player;
		_boatid = boatid;
	}

	@Override
	public void runImpl()
	{}

	@Override
	protected final void writeImpl()
	{
		writeC(0x72);
		writeD(_pci.getObjectId());
		writeD(_boatid);
		writeD(_pci.getInBoatPosition().x);
		writeD(_pci.getInBoatPosition().y);
		writeD(_pci.getInBoatPosition().z);
		writeD(_pci.getHeading());
	}

	@Override
	public String getType()
	{
		return "[S] 72 STOPMOVEINVEHICLE";
	}
}