package L2jFT.game.network.serverpackets;

import L2jFT.game.model.L2Character;

/**
 * This class ...
 *
 * @version $Revision: 1.2.2.1.2.4 $ $Date: 2005/03/27 15:29:57 $
 */
public class StopRotation extends L2GameServerPacket
{
	private static final String _S__63_STOPROTATION = "[S] 63 StopRotation";
	private int _charId;
	private int _degree;

	public StopRotation(L2Character player, int degree)
	{
		_charId = player.getObjectId();
		_degree = degree;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x63);
		writeD(_charId);
		writeD(_degree);
	}

	/* (non-Javadoc)
	 * @see L2jFT.game.network.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__63_STOPROTATION;
	}
}
