package L2jFT.game.skills.conditions;

import L2jFT.game.skills.Env;

public final class ConditionHasSkill extends Condition
{
	private final short _id;
	private final short _level;

	public ConditionHasSkill(short id, short level)
	{
		_id = id;
		_level = level;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(env.skill == null)
			return false;
		return env.character.getSkillLevel(_id) >= _level;
	}
}
