package L2jFT.game.skills.conditions;

import L2jFT.game.model.L2Player;
import L2jFT.game.model.base.Race;
import L2jFT.game.skills.Env;

public class ConditionPlayerRace extends Condition
{
	private final Race _race;

	public ConditionPlayerRace(Race race)
	{
		_race = race;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(!env.character.isPlayer)
			return false;
		return ((L2Player) env.character).getRace() == _race;
	}
}
