package L2jFT.game.skills.conditions;

import L2jFT.game.model.L2Playable;
import L2jFT.game.skills.Env;

public class ConditionTargetPlayable extends Condition
{
	private final boolean _flag;

	public ConditionTargetPlayable(boolean flag)
	{
		_flag = flag;
	}

	@Override
	public boolean testImpl(Env env)
	{
		return env.target instanceof L2Playable == _flag;
	}
}
