package L2jFT.game.skills.skillclasses;

import javolution.util.FastList;
import jsr166x.ConcurrentSkipListSet;
import L2jFT.game.model.L2Character;
import L2jFT.game.model.L2Effect;
import L2jFT.game.model.L2Skill;
import L2jFT.game.templates.StatsSet;

public class Toggle extends L2Skill
{
	public Toggle(StatsSet set)
	{
		super(set);
	}

	@Override
	public void useSkill(L2Character activeChar, FastList<L2Character> targets)
	{
		ConcurrentSkipListSet<L2Effect> effects = activeChar.getEffect(_id);
		if(effects != null && effects.size() > 0)
		{
			for(L2Effect effect : effects)
				if(effect != null)
					effect.exit();
			return;
		}
		getEffects(activeChar, activeChar, getActivateRate() > 0);
	}
}
