@echo off
title L2jFulLTeaM Backup Database

REM ###############################################
REM ## Configurate Database Connections please!!!!
REM ###############################################
REM Please, type here you dir to mysql directory \bin. Example: C:\Program Files\MySQL\Mysql 5.0\bin
set mysqlPath=C:\Program Files\MySQL\MySQL Server 5.0\bin
set backupPath=C:\server\backup
set user=root
set pass=123
set db=123

echo Start backuping
%mysqlPath%\mysqldump.exe -u %user% -p %pass% %db%>%backupPath%\%db%.%date%.sql
echo Starting L2jFullTeam GameServer.
echo.
rem ======== Optimize memory settings =======
rem 
rem   1GB: -Xmn128m -Xms512m -Xmx512m
rem 1.5GB: -Xmn192m -Xms768m -Xmx768m
rem   2GB: -Xmn256m -Xms1024m -Xmx1024m
rem  
rem Make sure -Xmn value is always 1/4 the size of -Xms and -Xmx.
rem -Xms and -Xmx should always be equal.
rem ==========================================
java -Dfile.encoding=UTF-8 -Xms1024m -Xmx1024m -cp ./lib/*;bsf-2.0.jar;bsh-2.0b5.jar;javolution.jar;c3p0-0.9.1.2.jar;mysql-connector-java-5.1.8-bin.jar;L2jFullTeam.jar;jython.jar;rrd4j-2.0.1.jar;jsr166x.jar;mmocore.jar L2jFT.game.GameServer
if ERRORLEVEL 2 goto restart
if ERRORLEVEL 1 goto error
goto end
:restart
echo.
echo Admin Restart ...
echo.
goto start
:error
echo.
echo Server terminated abnormaly
echo.
:end
echo.
echo server terminated
echo.
del gameserver_is_running.tmp
pause
